/*!
  * Sa11y, the accessibility quality assurance assistant.
  * @version 3.0.3
  * @author Adam Chaboryk, Toronto Metropolitan University
  * @license GPL-2.0-or-later
  * @copyright © 2020 - 2023 Toronto Metropolitan University (formerly Ryerson University).
  * @contact adam.chaboryk@torontomu.ca
  * GitHub: git+https://github.com/ryersondmp/sa11y.git | Website: https://sa11y.netlify.app
  * For all acknowledgements, please visit: https://sa11y.netlify.app/acknowledgements/
  * The above copyright notice shall be included in all copies or substantial portions of the Software.
**/
const e={checkRoot:"body",containerIgnore:".sa11y-ignore",contrastIgnore:'.sr-only, [role="menu"] *',outlineIgnore:"",headerIgnore:"",imageIgnore:"",linkIgnore:'nav *, [role="navigation"] *',linkIgnoreSpan:"",showGoodLinkButton:!0,detectSPArouting:!1,doNotRun:"",dismissAnnotations:!0,headless:!1,selectorPath:!1,shadowComponents:"",autoDetectShadowComponents:!1,panelPosition:"right",readabilityPlugin:!0,readabilityRoot:"body",readabilityIgnore:"",contrastPlugin:!0,formLabelsPlugin:!0,linksAdvancedPlugin:!0,colourFilterPlugin:!0,customChecks:!0,checkAllHideToggles:!1,linksToFlag:"",linksToDOI:!0,missingH1:!0,flagLongHeadings:!0,nonConsecutiveHeadingIsError:!0,badLinksQA:!0,strongItalicsQA:!0,pdfQA:!0,documentQA:!0,langQA:!0,blockquotesQA:!0,tablesQA:!0,allCapsQA:!0,fakeHeadingsQA:!0,fakeListQA:!0,duplicateIdQA:!0,underlinedTextQA:!0,pageTitleQA:!0,subscriptQA:!0,documentLinks:".ppt, .doc, .xls, .csv, sway.com, docs.google.com",embeddedContentAll:!0,embeddedContentAudio:!0,embeddedContentVideo:!0,embeddedContentDataViz:!0,embeddedContentTitles:!0,embeddedContentGeneral:!0,videoContent:"youtube.com, vimeo.com, yuja.com, panopto.com",audioContent:"soundcloud.com, simplecast.com, podbean.com, buzzsprout.com, blubrry.com, transistor.fm, fusebox.fm, libsyn.com",dataVizContent:"datastudio.google.com, tableau"},t={langStrings:{},addI18n(e){this.langStrings=e},_(e){return this.translate(e)},sprintf(e,...t){let n=this._(e);return n=this.prepHTML(n),t&&t.length&&t.forEach((e=>{n=n.replace(/%\([a-zA-z]+\)/,e)})),n},translate(e){return this.langStrings[e]||e},prepHTML:e=>e.replaceAll(/<hr>/g,'<hr aria-hidden="true">').replaceAll(/<a[\s]href=/g,'<a target="_blank" rel="noopener noreferrer" href=').replaceAll(/<\/a>/g,`<span class="visually-hidden"> (${t._("NEW_TAB")})</span></a>`).replaceAll(/{r}/g,'class="red-text"')};const n=e=>{const t=document.createElement("style");t.setAttribute("class","sa11y-css-utilities"),t.textContent="[data-sa11y-overflow]{overflow:auto!important}[data-sa11y-clone-image-text]{display:none!important}[data-sa11y-readability-period]{clip:rect(1px,1px,1px,1px)!important;border:0!important;-webkit-clip-path:inset(50%)!important;clip-path:inset(50%)!important;display:block!important;height:1px!important;overflow:hidden!important;padding:0!important;position:absolute!important;white-space:nowrap!important;width:1px!important}[data-sa11y-error]{outline:5px solid var(--sa11y-error)!important}[data-sa11y-warning]{outline:5px solid var(--sa11y-warning)!important}[data-sa11y-good]{outline:5px solid var(--sa11y-good)!important}[data-sa11y-error-inline]{background-color:var(--sa11y-error)!important;box-shadow:0 0 0 4px var(--sa11y-error)!important;color:var(--sa11y-error-text)!important}[data-sa11y-error-inline],[data-sa11y-warning-inline]{border-color:transparent!important;border-radius:.25em!important}[data-sa11y-warning-inline]{background-color:var(--sa11y-warning)!important;box-shadow:0 0 0 4px var(--sa11y-warning)!important;color:var(--sa11y-warning-text)!important}[data-sa11y-pulse-border]{animation:pulse 2s 3;box-shadow:0;outline:5px solid var(--sa11y-focus-color)!important}[data-sa11y-pulse-border]:focus,[data-sa11y-pulse-border]:hover{animation:none}@keyframes pulse{0%{box-shadow:0 0 0 5px var(--sa11y-focus-color)}70%{box-shadow:0 0 0 12px var(--sa11y-pulse-color)}to{box-shadow:0 0 0 5px var(--sa11y-pulse-color)}}@media (prefers-reduced-motion:reduce){[data-sa11y-pulse-border]{animation:none!important}}@media (forced-colors:active){[data-sa11y-error-inline],[data-sa11y-error],[data-sa11y-good],[data-sa11y-pulse-border],[data-sa11y-warning-inline],[data-sa11y-warning]{forced-color-adjust:none}}",e.shadowRoot.appendChild(t)};const o=function(){const e={};const i={};const a={};const r={};const s={};const l={};return{initializeGlobal:function(t){e.currentPage=window.location.pathname,e.html=document.querySelector("html"),e.headless=t.headless,e.panelPosition=t.panelPosition,e.contrastPlugin=t.contrastPlugin,e.formLabelsPlugin=t.formLabelsPlugin,e.linksAdvancedPlugin=t.linksAdvancedPlugin,e.colourFilterPlugin=t.colourFilterPlugin,e.checkAllHideToggles=t.checkAllHideToggles,e.Root=document.querySelector(t.checkRoot),t.checkRoot||(e.Root=document.querySelector("body"));let n=!1;"function"==typeof window.matchMedia&&(n=window.matchMedia("(prefers-reduced-motion: reduce)")),e.scrollBehaviour=!n||n.matches?"auto":"smooth",e.langDirection="rtl"===e.html.getAttribute("dir")?"rtl":"ltr",t.documentLinks&&(e.documentLinks=`${t.documentLinks}`)},Global:e,initializePanelSelectors:function(){const e=document.querySelector("sa11y-control-panel").shadowRoot;i.panel=e.getElementById("panel"),i.content=e.getElementById("panel-content"),i.controls=e.getElementById("panel-controls"),i.outline=e.getElementById("outline-panel"),i.outlineContent=e.getElementById("outline-content"),i.outlineList=e.getElementById("outline-list"),i.outlineHeader=e.getElementById("outline-header"),i.notifBadge=e.getElementById("notification-badge"),i.notifCount=e.getElementById("notification-count"),i.notifText=e.getElementById("notification-text"),i.status=e.getElementById("status"),i.pageIssues=e.getElementById("page-issues"),i.pageIssuesList=e.getElementById("page-issues-list"),i.pageIssuesHeader=e.getElementById("page-issues-header"),i.pageIssuesContent=e.getElementById("page-issues-content"),i.settings=e.getElementById("settings-panel"),i.settingsHeader=e.getElementById("settings-header"),i.settingsContent=e.getElementById("settings-content"),i.contrastToggle=e.getElementById("contrast-toggle"),i.labelsToggle=e.getElementById("labels-toggle"),i.linksToggle=e.getElementById("links-advanced-toggle"),i.readabilityToggle=e.getElementById("readability-toggle"),i.themeToggle=e.getElementById("theme-toggle"),i.contrastItem=e.getElementById("contrast-item"),i.labelsItem=e.getElementById("form-labels-item"),i.linksItem=e.getElementById("links-advanced-item"),i.readabilityItem=e.getElementById("readability-item"),i.darkModeItem=e.getElementById("dark-mode-item"),i.colourPanel=e.getElementById("panel-colour-filters"),i.colourFilterItem=e.getElementById("colour-filter-item"),i.colourFilterSelect=e.getElementById("colour-filter-select"),i.colourFilterIcon=e.getElementById("filter-icon"),i.toggle=e.getElementById("toggle"),i.outlineToggle=e.getElementById("outline-toggle"),i.settingsToggle=e.getElementById("settings-toggle"),i.skipButton=e.getElementById("skip-button"),i.dismissButton=e.getElementById("dismiss-button"),i.dismissTooltip=e.getElementById("dismiss-tooltip"),i.skipToPageIssues=e.getElementById("skip-to-page-issues"),i.alert=e.getElementById("panel-alert"),i.alertText=e.getElementById("panel-alert-text"),i.alertPreview=e.getElementById("panel-alert-preview"),i.alertClose=e.getElementById("close-alert"),i.readability=e.getElementById("readability-panel"),i.readabilityInfo=e.getElementById("readability-info"),i.readabilityDetails=e.getElementById("readability-details")},Panel:i,initializeReadability:function(n){if(!0===n.readabilityPlugin){a.Root=document.querySelector(n.readabilityRoot),a.Root||(e.Root?(a.Root=e.Root,console.error(`Sa11y configuration error: The selector '${n.readabilityRoot}' used for the property 'readabilityRoot' does not exist. '${e.Root.tagName}' was used as a fallback.`)):a.Root=document.querySelector("body")),a.Lang=t._("LANG_CODE").substring(0,2);const i=["en","fr","es","de","nl","it","sv","fi","da","no","nb","nn","pt"],r=o.Global.html.getAttribute("lang");if(r){const e=r.toLowerCase().substring(0,2);i.includes(e)&&i.includes(a.Lang)?a.Plugin=!0:a.Plugin=!1}else a.Plugin=!1}},Readability:a,initializeExclusions:function(e){if(e.containerIgnore){const t=e.containerIgnore.split(",").map((e=>`${e} *, ${e}`));r.Container=`[aria-hidden], #wpadminbar *, ${t.join(", ")}`}else r.Container="[aria-hidden], #wpadminbar *";if(r.Contrast="script, style, link",e.contrastIgnore&&(r.Contrast=`${e.contrastIgnore}, ${r.Contrast}`),r.Readability='nav li, [role="navigation"] li',e.readabilityIgnore&&(r.Readability=`${e.readabilityIgnore}, ${r.Readability}`),e.headerIgnore&&(r.Headings=`${e.headerIgnore}`),e.outlineIgnore&&(r.Outline=`${e.outlineIgnore}`),r.Images='[role="presentation"]',e.imageIgnore&&(r.Images=`${e.imageIgnore}, ${r.Images}`),r.Links='[aria-hidden="true"], .anchorjs-link',e.linkIgnore&&(r.Links=`${e.linkIgnore}, ${r.Links}`),e.linkIgnoreSpan){const t=e.linkIgnoreSpan.split(",").map((e=>`${e} *, ${e}`));r.LinkSpan=`noscript, ${t.join(", ")}`}else r.LinkSpan="noscript"},Exclusions:r,initializeEmbeddedContent:function(e){if(e.videoContent){const t=e.videoContent.split(/\s*[\s,]\s*/).map((e=>`[src*='${e}']`));s.Video=`video, ${t.join(", ")}`}else s.Video="video";if(e.audioContent){const t=e.audioContent.split(/\s*[\s,]\s*/).map((e=>`[src*='${e}']`));s.Audio=`audio, ${t.join(", ")}`}else s.Audio="audio";if(e.dataVizContent){const t=e.dataVizContent.split(/\s*[\s,]\s*/).map((e=>`[src*='${e}']`));s.Visualization=t.join(", ")}else s.Visualization="datastudio.google.com, tableau";s.All=`${s.Video}, ${s.Audio}, ${s.Visualization}`},EmbeddedContent:s,initializeShadowSearch:function(e,t,o){l.Components=function(e,t,o){let i;if(!0===t){const t="sa11y-heading-label, sa11y-heading-anchor, sa11y-annotation, sa11y-tooltips, sa11y-dismiss-tooltip, sa11y-control-panel, #sa11y-colour-filters, #sa11y-colour-filters *, script",o=document.querySelector(e),a=o?Array.from(o.querySelectorAll(`*:not(${t})`)):Array.from(document.body.querySelectorAll(`*:not(${t})`)),r=[];a.forEach((e=>{e.shadowRoot&&"open"===e.shadowRoot.mode&&(r.push(e),n(e))}));const s=Array.from(r).map((e=>e.tagName.toLowerCase()));i=1===s.length?`${s.toString()}`:s.join(", ")}else i=o||"",i&&document.querySelectorAll(i).forEach((e=>{n(e)}));return i}(e,t,o)},Shadow:l}}();function i(e,t,n){let i;"document"===t?i=document:"readability"===t?(i=o.Readability.Root,i||(i=o.Global.Root)):"root"===t?(i=o.Global.Root,i||(i=document.body)):"panel"===t?(i=o.Panel.panel,i||(i=document.body)):(i=document.querySelector(t),i||(i=document.body));const a=o.Shadow.Components,r=a?`, ${a}`:"",s=o.Exclusions.Container,l=void 0!==n?`, ${n}`:"",d=Array.from(i.querySelectorAll(`:is(${e}${r}):not(${s}${l})`));if(a.length){const t=[],n=a.trim().replace(/^,+/,"");if(d.forEach(((o,i)=>{o.matches(n)&&(t[i]=o.shadowRoot.querySelectorAll(`:is(${e}):not(${s}${l})`))})),t.length>0)for(let e=t.length-1;e>=0;e--)t[e]&&d.splice(e,1,...t[e])}return d}function a(e){const t=document.createElement("div");return t.textContent=e,t.innerHTML.replaceAll('"',"&quot;").replaceAll("'","&#039;").replaceAll("`","&#x60;")}function r(e){return e.replace(/[^\w. ]/gi,(e=>`&#${e.charCodeAt(0)};`))}function s(e){return e.textContent.replace(/[\n\r]+|[\s]{2,}/g," ").trim()}function l(e,t){const n="noscript, script, style",o=t?`${n}, ${t}`:n,i=e.cloneNode(!0);return Array.from(i.querySelectorAll(o)).forEach((e=>{e.parentElement.removeChild(e)})),i}function d(e){if(e.matches("[aria-label]"))return e.getAttribute("aria-label");if(e.matches("[aria-labelledby]")){const t=e.getAttribute("aria-labelledby").split(/\s+/);if(t.length>0){let e="";return t.forEach((t=>{const n=document.querySelector(`#${CSS.escape(t)}`);null===n?e+=" ":n.hasAttribute("aria-label")?e+=`${n.getAttribute("aria-label")}`:e+=`${n.firstChild.nodeValue} `})),e}}if(Array.from(e.children).filter((e=>e.matches("[aria-label]"))).length>0){const t=Array.from(e.childNodes);let n="";return t.forEach((e=>{1===e.nodeType?3===e.nodeType||null===e.ariaLabel?n+=e.innerText:n+=e.getAttribute("aria-label"):n+=e.nodeValue})),n}if(Array.from(e.children).filter((e=>e.matches("[aria-labelledby]"))).length>0){const t=Array.from(e.childNodes);let n="";return t.forEach((e=>{if(8===e.nodeType);else if(3===e.nodeType||null===e.getAttribute("aria-labelledby"))n+=e.nodeValue;else{const t=e.getAttribute("aria-labelledby").split(/\s+/);if(t.length>0){let e="";t.forEach((t=>{null===document.querySelector(`#${CSS.escape(t)}`)?e+=" ":e+=`${document.querySelector(`#${CSS.escape(t)}`).firstChild.nodeValue} `})),n+=e}}})),n}return"noAria"}function c(e,t,n){let o=e;for(;null!==o;){if(window.getComputedStyle(o).getPropertyValue(t)===n)return o;o=o.parentElement}return null}function p(e){const t=e.getBoundingClientRect(),n=window.pageYOffset||document.documentElement.scrollTop;return{top:t.top+n}}const u={getItem(e){try{return null===localStorage.getItem(e)?sessionStorage.getItem(e):localStorage.getItem(e)}catch(e){return!1}},setItem(e,t){try{localStorage.setItem(e,t)}catch(n){sessionStorage.setItem(e,t)}return!0},removeItem(e){try{localStorage.removeItem(e)}catch(t){sessionStorage.removeItem(e)}return!0}};function g(e){const t="data-sa11y-pulse-border";e.setAttribute(t,""),setTimeout((()=>{e.removeAttribute(t)}),2500)}function f(e){return String(e).replace(/([^0-9a-zA-Z])/g,"").substring(0,256)}function m(){const e=document.querySelector("sa11y-control-panel").shadowRoot,t=e.getElementById("panel-alert"),n=e.getElementById("panel-alert-text"),o=e.getElementById("panel-alert-preview");for(t.classList.remove("active"),o.classList.remove("panel-alert-preview");n.firstChild;)n.removeChild(n.firstChild);for(;o.firstChild;)o.removeChild(o.firstChild)}function b(e,t){m();const n=document.querySelector("sa11y-control-panel").shadowRoot,o=n.getElementById("panel-alert"),i=n.getElementById("panel-alert-text"),a=n.getElementById("panel-alert-preview"),r=n.getElementById("close-alert"),s=n.getElementById("skip-button");o.classList.add("active"),i.innerHTML=e,t&&(a.classList.add("panel-alert-preview"),a.innerHTML=t),setTimeout((()=>{r.focus()}),300),r.addEventListener("click",(()=>{m(),s.hasAttribute("disabled")?n.getElementById("toggle").focus():s.focus()}))}function h(e,t){e.forEach((e=>{i(`[${e}]`,`${t}`).forEach((t=>{t.removeAttribute(e)}))}))}function y(e,t){i(`${e}`,`${t}`).forEach((e=>{e.parentNode.removeChild(e)}))}function v(e,t){e.scrollHeight>t.clientHeight?(t.classList.add("scrollable"),e.setAttribute("tabindex","0")):t.classList.remove("scrollable")}const x=function(){const e={};const t={};return{initializeElements:function(t){e.Images=i("img","root",o.Exclusions.Images),e.Headings=i('h1, h2, h3, h4, h5, h6, [role="heading"][aria-level]',"root",o.Exclusions.Headings),e.HeadingOne=i('h1, [role="heading"][aria-level="1"]',"document",o.Exclusions.Headings),e.Links=i("a[href]","root",o.Exclusions.Links),e.Inputs=i("input, select, textarea","root",o.Exclusions.Container),e.Contrast=i("*","root",o.Exclusions.Contrast),e.Labels=i("label","root",o.Exclusions.Container),e.Readability=i("p, li","readability",o.Exclusions.Readability),e.Paragraphs=i("p","root",o.Exclusions.Container),e.Lists=i("li","root",o.Exclusions.Container),e.Spans=i("span","root",o.Exclusions.Container),e.Blockquotes=i("blockquote","root",o.Exclusions.Container),e.Tables=i('table:not([role="presentation"])',"root",o.Exclusions.Container),e.StrongItalics=i("strong, em","root",o.Exclusions.Container),e.Ids=i("[id]","document",o.Exclusions.Container),e.Underlines=i("u","root",o.Exclusions.Container),e.Subscripts=i("sup, sub","root",o.Exclusions.Container),e.Language=o.Global.html.getAttribute("lang"),e.CustomErrorLinks=t?i(t,"root",o.Exclusions.Container):[],e.Iframes=i("iframe, audio, video","root",o.Exclusions.Container),e.Videos=e.Iframes.filter((e=>e.matches(o.EmbeddedContent.Video))),e.Audio=e.Iframes.filter((e=>e.matches(o.EmbeddedContent.Audio))),e.Visualizations=e.Iframes.filter((e=>e.matches(o.EmbeddedContent.Visualization))),e.EmbeddedContent=e.Iframes.filter((e=>!e.matches(o.EmbeddedContent.All)))},Found:e,initializeAnnotations:function(){t.Array=i("sa11y-annotation","root"),t.Array.forEach(((e,t)=>{e.setAttribute("data-sa11y-position",t)}))},Annotations:t}}();function A(e,t,n){if(!0===e){let e=o.Global.currentPage;const i=function(e,t){let n=null;return(...o)=>{window.clearTimeout(n),n=window.setTimeout((()=>{e(...o)}),t)}}((async()=>{e!==window.location.pathname&&("Closed"!==u.getItem("sa11y-remember-panel")&&u.getItem("sa11y-remember-panel")?(n(!1),await t()):t(),e=window.location.pathname)}),250);window.addEventListener("mousemove",i),window.addEventListener("keydown",i)}}var w='.visually-hidden{clip:rect(1px,1px,1px,1px);border:0;-webkit-clip-path:inset(50%);clip-path:inset(50%);display:block;height:1px;overflow:hidden;padding:0;position:absolute;white-space:nowrap;width:1px}[hidden]{display:none!important}.header-text,.header-text-inline,h2{color:var(--sa11y-panel-primary);display:block;font-size:var(--sa11y-large-text);font-weight:600;margin-bottom:3px}.header-text-inline{display:inline-block!important}.kbd,code,kbd{background-color:var(--sa11y-panel-badge);border-radius:3.2px;color:var(--sa11y-panel-primary);padding:1.6px 4.8px}code{font-family:monospace}.bold{font-weight:600}.red-text{color:var(--sa11y-red-text)}.red-text,.yellow-text{font-family:var(--sa11y-font-face);font-size:var(--sa11y-normal-text)}.yellow-text{color:var(--sa11y-yellow-text)}.close-btn{background:none;border:1px solid var(--sa11y-button-outline);border-radius:50%;color:var(--sa11y-panel-primary);cursor:pointer;float:var(--sa11y-float-rtl);font-size:var(--sa11y-normal-text);font-weight:400;height:32px;margin:0;position:relative;transition:all .2s ease-in-out;width:32px}.close-btn:focus,.close-btn:hover{background-color:var(--sa11y-shortcut-hover)}.close-btn:after{background:var(--sa11y-setting-switch-bg-off);bottom:-7px;content:"";left:-7px;-webkit-mask:var(--sa11y-close-btn-svg) center no-repeat;mask:var(--sa11y-close-btn-svg) center no-repeat;position:absolute;right:-7px;top:-7px}@media screen and (forced-colors:active){.close-btn:after{filter:invert(1)}}#container [tabindex="-1"]:focus,#container [tabindex="0"]:focus,#container a:focus,#container button:not(#settings-toggle):not(#outline-toggle):not(.switch):focus,#container select:focus{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}#container #outline-toggle:focus,#container #settings-toggle:focus,#container .switch:focus{box-shadow:inset 0 0 0 4px var(--sa11y-focus-color);outline:0}.tippy-box[data-theme~=sa11y-theme] [tabindex="-1"]:focus,.tippy-box[data-theme~=sa11y-theme] a:focus,.tippy-box[data-theme~=sa11y-theme] button:active,.tippy-box[data-theme~=sa11y-theme] button:focus{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}#container #outline-toggle:focus:not(:focus-visible),#container #settings-toggle:focus:not(:focus-visible),#container [tabindex="-1"]:focus:not(:focus-visible),#container [tabindex="0"]:focus:not(:focus-visible),#container button:focus:not(:focus-visible),#container select:focus:not(:focus-visible){box-shadow:none;outline:0}.tippy-box[data-theme~=sa11y-theme] [tabindex="-1"]:focus:not(:focus-visible),.tippy-box[data-theme~=sa11y-theme] a:focus:not(:focus-visible),.tippy-box[data-theme~=sa11y-theme] button:focus:not(:focus-visible){box-shadow:none;outline:0}#container [tabindex="-1"]:focus-visible,#container [tabindex="0"]:focus-visible,#container a:focus-visible,#container button:not(#settings-toggle):not(#outline-toggle):not(.switch):focus-visible,#container select:focus-visible{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}#container #outline-toggle:focus-visible,#container #settings-toggle:focus-visible,#container .switch:focus-visible{box-shadow:inset 0 0 0 4px var(--sa11y-focus-color);outline:0}.tippy-box[data-theme~=sa11y-theme] [tabindex="-1"]:focus-visible,.tippy-box[data-theme~=sa11y-theme] a:focus-visible,.tippy-box[data-theme~=sa11y-theme] button:focus-visible{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}@media screen and (forced-colors:active){#outline-toggle:focus,#settings-toggle:focus{border:3px solid transparent}#container [tabindex="-1"]:focus,#container [tabindex="0"]:focus,#container a:focus,#container button:focus,#container select:focus,.close-btn:focus,.tippy-box[data-theme~=sa11y-theme] [tabindex="-1"]:focus,.tippy-box[data-theme~=sa11y-theme] a:focus,.tippy-box[data-theme~=sa11y-theme] button:focus{outline:3px solid transparent!important}}';class E extends HTMLElement{constructor(e){super(),this.error=e}connectedCallback(){const e=this.attachShadow({mode:"open"}),n=document.createElement("style");n.innerHTML=":host{background:var(--sa11y-panel-bg);border-top:5px solid var(--sa11y-panel-bg-splitter);bottom:0;display:block;height:-moz-fit-content;height:fit-content;position:fixed;width:100%;z-index:999999}*{-webkit-font-smoothing:auto!important;color:var(--sa11y-panel-primary);font-family:var(--sa11y-font-face)!important;font-size:var(--sa11y-normal-text);line-height:22px!important}#dialog{margin:20px auto;max-width:900px;padding:20px}h2{font-size:var(--sa11y-large-text);margin-top:0}a{color:var(--sa11y-hyperlink);cursor:pointer;text-decoration:underline}a:focus,a:hover{text-decoration:none}p{margin-top:0}.error{background:var(--sa11y-error);border:2px dashed #f08080;color:var(--sa11y-error-text);margin-bottom:0;padding:5px}"+w,e.appendChild(n);const i=document.createElement("div");i.setAttribute("id","dialog"),i.setAttribute("tabindex","-1");const r=window.location,s=`https://github.com/ryersondmp/sa11y/issues/new?title=Bug%20report&body=%23%23%20Error%20Description%0A%60%60%60javascript%0A${encodeURIComponent(this.error.stack)}%0A%60%60%60%0A%0A%23%23%20URL%0A%60${r}%60%0A%0A%23%23%20Comments%0A`;i.innerHTML=`\n      <button class="close-btn" aria-label="${t._("ALERT_CLOSE")}"></button>\n      <h2>${t._("ERROR")}</h2>\n      <p>${t.sprintf("CONSOLE_ERROR_MESSAGE","https://forms.gle/sjzK9XykETaoqZv99",s)}</p>\n      <p class="error">${a(this.error.stack)}<br><br>URL: ${r}</p>\n    `,e.appendChild(i),setTimeout((()=>{o.Panel.toggle.style.display="none";const e=document.querySelector("sa11y-console-error");e.shadowRoot.getElementById("dialog").focus();e.shadowRoot.querySelector(".close-btn").addEventListener("click",(()=>{e.remove()}))}),0)}}class I extends HTMLElement{connectedCallback(){this.attachShadow({mode:"open"});const e=document.createElement("style");e.textContent='a,button,code,div,h1,h2,kbd,label,li,ol,p,span,strong,svg,ul{all:unset;box-sizing:border-box!important}:after,:before{all:unset}div{display:block}*{-webkit-font-smoothing:auto!important;font-family:var(--sa11y-font-face)!important;line-height:22px!important}label,li,ol,p,ul{font-size:var(--sa11y-normal-text);font-weight:400;letter-spacing:normal;text-align:start;word-break:normal}.sa11y-overflow{overflow:auto}#toggle{align-items:center;background:linear-gradient(0deg,#e040fb,#00bcd4);background-color:var(--sa11y-blue);background-size:150% 150%;border-radius:50%;bottom:15px;color:#fff;cursor:pointer;display:flex;height:55px;inset-inline-end:18px;justify-content:center;margin:0;overflow:visible;position:fixed;transition:all .2s ease-in-out;width:55px;z-index:2147483644}#toggle.left,#toggle.top-left{inset-inline-start:18px}#toggle.top-left,#toggle.top-right{bottom:unset;top:15px}@media screen and (forced-colors:active){#toggle{border:2px solid transparent}}#toggle svg{height:35px;width:35px}#toggle svg path{fill:var(--sa11y-panel-bg)}#toggle:focus,#toggle:hover{animation:sa11y-toggle-gradient 3s ease}#toggle:disabled:focus,#toggle:disabled:hover{animation:none}#toggle.on{background:linear-gradient(180deg,#e040fb,#00bcd4);background-color:var(--sa11y-blue)}#notification-badge{align-items:center;background-color:#eb0000;border:1px solid transparent;border-radius:50%;color:#fff;display:none;font-size:13px;font-weight:400;height:20px;justify-content:center;position:absolute;right:-3px;top:-3px;width:20px}#notification-badge.notification-badge-warning{background-color:var(--sa11y-warning-hover);border:1px solid var(--sa11y-warning);color:var(--sa11y-warning-text)}#panel{background:var(--sa11y-panel-bg);border-radius:4px;bottom:25px;box-shadow:0 0 20px 4px rgba(154,161,177,.15),0 4px 80px -8px rgba(36,40,47,.25),0 4px 4px -2px rgba(91,94,105,.15);inset-inline-end:42px;opacity:0;overflow:visible;position:fixed;transform:scale(0);transform-origin:100% 100%;transition:transform .2s,opacity background .2s .2s;visibility:hidden;z-index:2147483643}#panel.left,#panel.top-left{inset-inline-start:42px}#panel.top-left,#panel.top-right{bottom:unset;top:50px}#panel.active{height:auto;opacity:1;transform:scale(1);transform-origin:bottom right;transition:transform .2s,opacity .2s;visibility:visible}@media screen and (forced-colors:active){#panel{border:2px solid transparent}}#panel.active.left,[dir=rtl] #panel.active{transform-origin:bottom left}#panel.active.top-left{transform-origin:top left}#panel.active.top-right{transform-origin:top right}#panel-alert{display:none;opacity:0}#panel-alert.active{display:block;opacity:1}#panel-alert-content{align-items:center;border-bottom:1px solid var(--sa11y-panel-bg-splitter);color:var(--sa11y-panel-primary);max-height:200px;overflow-y:auto;padding:15px 20px 15px 15px;position:relative}#panel-alert-preview .close-tooltip{display:none}#panel-alert-preview,#panel-alert-text{font-family:var(--sa11y-font-face);font-size:var(--sa11y-normal-text);font-weight:400;line-height:22px}.panel-alert-preview{background:var(--sa11y-panel-bg-secondary);border:1px dashed var(--sa11y-panel-bg-splitter);border-radius:5px;margin-top:15px;padding:10px}button[data-sa11y-dismiss]{background:var(--sa11y-panel-bg);border:1px solid var(--sa11y-button-outline);border-radius:5px;color:var(--sa11y-panel-primary);cursor:pointer;display:block;margin:10px 5px 5px 0;padding:4px 8px}button[data-sa11y-dismiss]:focus,button[data-sa11y-dismiss]:hover{background:var(--sa11y-shortcut-hover)}h2{display:block;font-size:var(--sa11y-large-text);margin-bottom:3px}h2,strong{font-weight:600}a:not(#outline-list a){border-bottom:0;color:var(--sa11y-hyperlink);cursor:pointer;text-decoration:underline}a:focus,a:hover{text-decoration:none!important}hr{background:var(--sa11y-panel-bg-splitter);border:none;height:1px;margin:10px 0;opacity:1;padding:0}#dismiss-button,#skip-button{-webkit-margin-end:8px;-webkit-margin-start:2px;background:var(--sa11y-panel-bg-secondary);border:1px solid var(--sa11y-button-outline);border-radius:50px;cursor:pointer;display:none;height:36px;margin-inline-end:8px;margin-inline-start:2px;overflow:visible;position:relative;text-align:center;transition:all .1s ease-in-out;width:36px}#dismiss-button.active,#skip-button.active{display:block}#dismiss-button:disabled,#skip-button:disabled{background:none;border:0;box-shadow:none;cursor:default}#dismiss-button:before,#skip-button:before{bottom:-5px;content:"";left:-5px;position:absolute;right:-5px;top:-5px}#dismiss-button:focus:not(:disabled),#dismiss-button:hover:not(:disabled),#skip-button:focus:not(:disabled),#skip-button:hover:not(:disabled){background-color:var(--sa11y-shortcut-hover)}#panel.left #dismiss-button,#panel.left #skip-button,#panel.top-left #dismiss-button,#panel.top-left #skip-button{-webkit-margin-start:8px;-webkit-margin-end:2px;margin-inline-end:2px;margin-inline-start:8px}.dismiss-icon{background:var(--sa11y-setting-switch-bg-off);display:inline-block;height:24px;margin-bottom:-4px;-webkit-mask:var(--sa11y-dismiss-icon) center no-repeat;mask:var(--sa11y-dismiss-icon) center no-repeat;width:24px}@media screen and (forced-colors:active){.dismiss-icon{filter:invert(1)}}#panel-content{align-items:center;color:var(--sa11y-panel-primary);display:flex;padding:6px}#panel-content.errors .panel-icon,#panel-content.good .panel-icon,#panel-content.warnings .panel-icon{height:26px;margin:0 auto;width:26px}#panel-content.errors .panel-icon{background:var(--sa11y-panel-error);margin-top:-2px;-webkit-mask:var(--sa11y-error-svg) center no-repeat;mask:var(--sa11y-error-svg) center no-repeat}#panel-content.good .panel-icon{background:var(--sa11y-good);-webkit-mask:var(--sa11y-good-svg) center no-repeat;mask:var(--sa11y-good-svg) center no-repeat}#panel-content.warnings .panel-icon{background:var(--sa11y-warning-svg-color);-webkit-mask:var(--sa11y-warning-svg) center no-repeat;mask:var(--sa11y-warning-svg) center no-repeat;transform:scaleX(var(--sa11y-icon-direction))}@media screen and (forced-colors:active){#panel-content.errors .panel-icon,#panel-content.good .panel-icon,#panel-content.warnings .panel-icon{filter:invert(1)}}#panel.left #panel-content,#panel.top-left #panel-content{flex-direction:row-reverse}#status{font-size:var(--sa11y-large-text)}#status,.panel-count{color:var(--sa11y-panel-primary)}.panel-count{background-color:var(--sa11y-panel-badge);border-radius:4px;font-size:15px;font-weight:400;margin-left:3px;margin-right:3px;padding:2px 4px}#outline-panel,#page-issues,#settings-panel{color:var(--sa11y-panel-primary);display:none;opacity:0}#outline-panel.active,#page-issues.active,#settings-panel.active{display:block;opacity:1}.panel-header{padding:10px 15px 0;text-align:start}#outline-content,#page-issues-content,#settings-content{border-bottom:1px solid var(--sa11y-panel-bg-splitter);padding:0 15px 10px}#page-issues-content{max-height:160px;overflow-y:auto}#outline-content{max-height:250px;overflow-y:auto}#outline-panel .outline-list-item.sa11y-red-text,#settings-panel .sa11y-red-text{color:var(--sa11y-red-text)}#outline-list{display:block;margin:0;padding:0}#outline-list a{cursor:pointer;display:block;text-decoration:none}#outline-list li{display:block;list-style-type:none;margin-bottom:3px;margin-top:0;padding:0}#outline-list li:first-child{margin-top:5px}#outline-list li a:focus,#outline-list li a:hover{background:var(--sa11y-panel-outline-hover);border-radius:5px;box-shadow:0 0 0 2px var(--sa11y-panel-outline-hover);display:block}#outline-list .outline-2{-webkit-margin-start:15px;margin-inline-start:15px}#outline-list .outline-3{-webkit-margin-start:30px;margin-inline-start:30px}#outline-list .outline-4{-webkit-margin-start:45px;margin-inline-start:45px}#outline-list .outline-5{-webkit-margin-start:60px;margin-inline-start:60px}#outline-list .outline-6{-webkit-margin-start:75px;margin-inline-start:75px}.badge{background-color:var(--sa11y-panel-badge);border:1px solid transparent;border-radius:10px;color:var(--sa11y-panel-primary);display:inline;font-size:13px;font-weight:700;min-width:10px;padding:2px 5px;text-align:center;white-space:nowrap}.error-badge{background:var(--sa11y-error);color:var(--sa11y-error-text)}.warning-badge{background:var(--sa11y-yellow-text);color:var(--sa11y-panel-bg)}.error-icon{background:var(--sa11y-error-text);-webkit-mask:var(--sa11y-error-svg) center no-repeat;mask:var(--sa11y-error-svg) center no-repeat}.error-icon,.hidden-icon{display:inline-block;height:16px;margin-bottom:-3px;width:16px}.hidden-icon{background:var(--sa11y-panel-primary);-webkit-mask:var(--sa11y-hidden-icon-svg) center no-repeat;mask:var(--sa11y-hidden-icon-svg) center no-repeat}.error-badge .hidden-icon{background:var(--sa11y-error-text)}.warning-badge .hidden-icon{background:var(--sa11y-panel-bg)}@media screen and (forced-colors:active){.hidden-icon{filter:invert(1)}}#panel-controls{border-radius:0 0 4px 4px;display:flex;overflow:hidden}#outline-toggle,#settings-toggle{background:var(--sa11y-panel-bg-secondary);background-color:var(--sa11y-panel-bg-secondary);border-bottom:1px solid var(--sa11y-panel-bg-splitter);border-top:1px solid var(--sa11y-panel-bg-splitter);color:var(--sa11y-panel-secondary);cursor:pointer;display:block;font-size:var(--sa11y-normal-text);font-weight:400;height:30px;line-height:0;margin:0;opacity:1;outline:0;padding:0;position:relative;text-align:center;transition:background .2s;width:100%}#outline-toggle.outline-active,#outline-toggle.settings-active,#outline-toggle:hover,#settings-toggle.outline-active,#settings-toggle.settings-active,#settings-toggle:hover{background-color:var(--sa11y-shortcut-hover)}#outline-toggle.outline-active,#outline-toggle.settings-active,#settings-toggle.outline-active,#settings-toggle.settings-active{font-weight:500}#outline-toggle{-webkit-border-end:1px solid var(--sa11y-panel-bg-splitter);border-inline-end:1px solid var(--sa11y-panel-bg-splitter)}label{display:inline-block;width:100%}#settings-panel .switch,label{color:var(--sa11y-panel-primary);cursor:pointer;font-weight:400;margin:0}#settings-panel .switch{background:none;border:0;border-radius:5px;font-size:var(--sa11y-normal-text);height:44px;padding:7px 10px;position:relative;text-align:end;width:105px}#settings-panel .switch[aria-pressed=false]:after,#settings-panel .switch[aria-pressed=true]:after{content:"";display:inline-block;height:27px;margin:0 4px 4px;vertical-align:middle;width:27px}#settings-panel .switch[aria-pressed=true]:after{background:var(--sa11y-setting-switch-bg-on);-webkit-mask:var(--sa11y-setting-switch-on-svg) center no-repeat;mask:var(--sa11y-setting-switch-on-svg) center no-repeat}#settings-panel .switch[aria-pressed=false]:after{background:var(--sa11y-setting-switch-bg-off);-webkit-mask:var(--sa11y-setting-switch-off-svg) center no-repeat;mask:var(--sa11y-setting-switch-off-svg) center no-repeat}@media screen and (forced-colors:active){#settings-panel .switch[aria-pressed=false]:after,#settings-panel .switch[aria-pressed=true]:after{filter:invert(1)}}#settings-panel #settings-options li{align-items:center;border-bottom:1px solid var(--sa11y-panel-bg-splitter);display:flex;justify-content:space-between;list-style-type:none;padding:1px 0}#settings-panel #settings-options li:last-child{border:none}#page-issues{align-items:center;color:var(--sa11y-panel-primary)}#page-issues-list{display:block;margin-top:4px}#page-issues-list li{display:block;margin:0 0 10px}#page-issues-list strong{display:block}#panel-colour-filters{align-items:center;color:var(--sa11y-panel-primary);display:none;font-family:var(--sa11y-font-face);font-size:var(--sa11y-normal-text);font-weight:400;line-height:22px}#panel-colour-filters.active{display:flex}#panel-colour-filters p{padding:6px 20px 6px 6px;width:100%}#panel-colour-filters[data-colour=protanopia]{border-bottom:6px solid transparent;-o-border-image:linear-gradient(94deg,#786719 11%,#e0c600 36%,#e0c600 47%,#0059e3 75%,#0042aa 91%);border-image:linear-gradient(94deg,#786719 11%,#e0c600 36%,#e0c600 47%,#0059e3 75%,#0042aa 91%);border-image-slice:1}#panel-colour-filters[data-colour=deuteranopia]{border-bottom:6px solid transparent;-o-border-image:linear-gradient(270deg,#567fdb,#a4a28d 48%,#c3ad14 69%,#a79505);border-image:linear-gradient(270deg,#567fdb,#a4a28d 48%,#c3ad14 69%,#a79505);border-image-slice:1}#panel-colour-filters[data-colour=tritanopia]{border-bottom:6px solid transparent;-o-border-image:linear-gradient(270deg,#b1506f,#0696c1 35%,#f3a9ba 70%,#d91c5d 87%,#fe015c);border-image:linear-gradient(270deg,#b1506f,#0696c1 35%,#f3a9ba 70%,#d91c5d 87%,#fe015c);border-image-slice:1}#panel-colour-filters[data-colour=monochromacy]{border-bottom:6px solid transparent;-o-border-image:linear-gradient(270deg,#000,#a7a7a7 50%,#000);border-image:linear-gradient(270deg,#000,#a7a7a7 50%,#000);border-image-slice:1}#panel-colour-filters[data-colour=protanopia] .panel-icon{background:var(--sa11y-panel-error)}#panel-colour-filters[data-colour=deuteranopia] .panel-icon{background:var(--sa11y-good-hover)}#panel-colour-filters[data-colour=tritanopia] .panel-icon{background:var(--sa11y-blue)}#panel-colour-filters[data-colour=monochromacy] .panel-icon{background:linear-gradient(90deg,#38a459 20%,red 50%,#0077c8 80%)}#panel-colour-filters .panel-icon{-webkit-margin-end:5px;-webkit-margin-start:10px;height:30px;margin-inline-end:5px;margin-inline-start:10px;-webkit-mask:var(--sa11y-low-vision-icon) center no-repeat;mask:var(--sa11y-low-vision-icon) center no-repeat;width:30px}@media screen and (forced-colors:active){#panel-colour-filters .panel-icon{forced-color-adjust:none}}.select-dropdown:after{border-left:5px solid transparent;border-right:5px solid transparent;border-top:5px solid var(--sa11y-setting-switch-bg-off);content:" ";height:0;inset-inline-end:25px;margin-top:22.5px;position:absolute;width:0}#colour-filter-select{-webkit-padding-end:25px;-webkit-padding-start:5px;-webkit-appearance:none;-moz-appearance:none;appearance:none;background:var(--sa11y-panel-bg);border:2px solid var(--sa11y-setting-switch-bg-off);border-radius:5px;color:var(--sa11y-panel-primary);cursor:pointer;font-size:var(--sa11y-normal-text);font-weight:400;height:30px;padding-inline-end:25px;padding-inline-start:5px;position:relative;text-align:end;vertical-align:middle}#colour-filter-select.active{box-shadow:0 0 0 2px var(--sa11y-setting-switch-bg-on)}#colour-filter-item label,#colour-filter-item select{margin-bottom:9px;margin-top:10px}#readability-panel{display:none;opacity:0}#readability-panel.active{display:block;opacity:1}#readability-content{border-bottom:1px solid var(--sa11y-panel-bg-splitter);color:var(--sa11y-panel-primary);padding:10px 15px;width:100%}#readability-details{list-style-type:none;margin:0;padding:0;white-space:normal}#readability-details li{-webkit-padding-end:10px;display:inline-block;list-style-type:none;margin:0;padding-inline-end:10px}.readability-score{-webkit-margin-start:5px;background-color:var(--sa11y-panel-badge);border-radius:4px;color:var(--sa11y-panel-primary);margin-inline-start:5px;padding:2px 5px}#readability-info{-webkit-margin-start:10px;margin-inline-start:10px}#skip-to-page-issues{display:none}#panel.has-page-issues #skip-to-page-issues{clip:rect(0,0,0,0);background:var(--sa11y-panel-bg);border:0;border-radius:5px;display:block;height:1px;margin:-1px;overflow:hidden;padding:0;position:absolute;white-space:nowrap;width:1px}#panel.has-page-issues #skip-to-page-issues:focus{clip:auto;height:auto;margin:0;overflow:visible;padding:5px 7px;white-space:normal;width:auto;z-index:1}.hide-settings-border{border-bottom:0!important;padding:0 15px!important}::-webkit-scrollbar{width:7px}::-webkit-scrollbar-thumb{background-color:var(--sa11y-button-outline);border-radius:6px}*{scrollbar-color:var(--sa11y-button-outline);scrollbar-width:thin}.scrollable:before{animation:fade 1s ease-in-out;background-image:linear-gradient(180deg,transparent 0,transparent 70%,var(--sa11y-panel-scrollable) 100%);background-position:bottom;bottom:auto;content:"";height:250px;left:0;position:absolute;right:0;top:auto;transition:opacity 1s ease-in-out;z-index:-1}#page-issues-content.scrollable:before{height:160px}#panel-alert.scrollable:before{height:200px}@keyframes sa11y-toggle-gradient{0%{background-position:50% 0}50%{background-position:50% 100%}to{background-position:50% 0}}@keyframes fade{0%{opacity:0}to{opacity:1}}@media (prefers-reduced-motion:reduce){*{animation:none!important;transform:none!important;transition:none!important}}#panel{width:375px}#container:lang(en) #panel{width:305px}#container:lang(da) #panel,#container:lang(de) #panel,#container:lang(nb) #panel,#container:lang(pl) #panel,#container:lang(sv) #panel,#container:lang(zh) #panel{width:335px}#container:lang(es) .switch{width:225px!important}#container:not(:lang(en)):not(:lang(de)) .switch{width:205px}'+w,this.shadowRoot.appendChild(e);const n="On"===u.getItem("sa11y-remember-contrast"),i="On"===u.getItem("sa11y-remember-labels"),a="On"===u.getItem("sa11y-remember-links-advanced"),r="On"===u.getItem("sa11y-remember-readability"),s=!0===o.Global.checkAllHideToggles,{panelPosition:l}=o.Global,d=!0===o.Global.contrastPlugin?`\n      <li id="contrast-item" ${s?"hidden":""}>\n        <label id="check-contrast" for="contrast-toggle">${t._("CONTRAST")}</label>\n        <button id="contrast-toggle"\n          aria-labelledby="check-contrast"\n          class="switch"\n          aria-pressed="${n?"true":"false"}">${n?t._("ON"):t._("OFF")}</button>\n      </li>`:"",c=!0===o.Global.formLabelsPlugin?`\n      <li id="form-labels-item" ${s?"hidden":""}>\n        <label id="check-labels" for="labels-toggle">${t._("FORM_LABELS")}</label>\n        <button id="labels-toggle"\n          aria-labelledby="check-labels"\n          class="switch"\n          aria-pressed="${i?"true":"false"}">${i?t._("ON"):t._("OFF")}</button>\n      </li>`:"",p=!0===o.Global.linksAdvancedPlugin?`\n      <li id="links-advanced-item" ${s?"hidden":""}>\n        <label id="check-changerequest" for="links-advanced-toggle">${t._("LINKS_ADVANCED")} <span class="badge">AAA</span></label>\n        <button id="links-advanced-toggle"\n          aria-labelledby="check-changerequest"\n          class="switch"\n          aria-pressed="${a?"true":"false"}">${a?t._("ON"):t._("OFF")}</button>\n      </li>`:"",g=!0===o.Readability.Plugin?`\n      <li id="readability-item">\n        <label id="check-readability" for="readability-toggle">${t._("LANG_READABILITY")} <span class="badge">AAA</span></label>\n        <button id="readability-toggle"\n          aria-labelledby="check-readability"\n          class="switch"\n          aria-pressed="${r?"true":"false"}">${r?t._("ON"):t._("OFF")}</button>\n      </li>`:"",f=!0===o.Global.colourFilterPlugin?`\n      <li id="colour-filter-item">\n        <label id="colour-filter-mode" for="colour-filter">${t._("COLOUR_FILTER")}</label>\n        <div class="select-dropdown">\n          <select id="colour-filter-select">\n            <option value="0">${t._("OFF")}</option>\n            <option value="1">${t._("PROTANOPIA")}</option>\n            <option value="2">${t._("DEUTERANOPIA")}</option>\n            <option value="3">${t._("TRITANOPIA")}</option>\n            <option value="4">${t._("MONOCHROMACY")}</option>\n          </select>\n        </div>\n      </li>`:"",m=!0===o.Global.colourFilterPlugin?`\n      <div id="panel-colour-filters" role="region" aria-labelledby="colour-filter-mode">\n        <div id="filter-icon" class="panel-icon" role="img"></div>\n        <p>${t._("COLOUR_FILTER_MESSAGE")}</p>\n      </div>`:"",b=`\n      <button type="button" aria-expanded="false" id="toggle" aria-describedby="notification-badge" aria-label="${t._("MAIN_TOGGLE_LABEL")}" class="${l}" disabled>\n        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M256 48c114.953 0 208 93.029 208 208 0 114.953-93.029 208-208 208-114.953 0-208-93.029-208-208 0-114.953 93.029-208 208-208m0-40C119.033 8 8 119.033 8 256s111.033 248 248 248 248-111.033 248-248S392.967 8 256 8zm0 56C149.961 64 64 149.961 64 256s85.961 192 192 192 192-85.961 192-192S362.039 64 256 64zm0 44c19.882 0 36 16.118 36 36s-16.118 36-36 36-36-16.118-36-36 16.118-36 36-36zm117.741 98.023c-28.712 6.779-55.511 12.748-82.14 15.807.851 101.023 12.306 123.052 25.037 155.621 3.617 9.26-.957 19.698-10.217 23.315-9.261 3.617-19.699-.957-23.316-10.217-8.705-22.308-17.086-40.636-22.261-78.549h-9.686c-5.167 37.851-13.534 56.208-22.262 78.549-3.615 9.255-14.05 13.836-23.315 10.217-9.26-3.617-13.834-14.056-10.217-23.315 12.713-32.541 24.185-54.541 25.037-155.621-26.629-3.058-53.428-9.027-82.141-15.807-8.6-2.031-13.926-10.648-11.895-19.249s10.647-13.926 19.249-11.895c96.686 22.829 124.283 22.783 220.775 0 8.599-2.03 17.218 3.294 19.249 11.895 2.029 8.601-3.297 17.219-11.897 19.249z"/></svg>\n        <div id="notification-badge">\n          <span id="notification-count"></span>\n          <span id="notification-text" class="visually-hidden"></span>\n        </div>\n      </button>`,h=`\n      <div id="page-issues">\n        <div class="panel-header">\n          <h2 id="page-issues-header" tabindex="-1">${t._("PAGE_ISSUES")}</h2>\n        </div>\n        <div id="page-issues-content">\n          <ul id="page-issues-list" role="list" aria-labelledby="page-issues-header"></ul>\n        </div>\n      </div>`,y=`\n      <div id="outline-panel" role="tabpanel" aria-labelledby="outline-header">\n        <div class="panel-header">\n          <h2 id="outline-header" tabindex="-1">${t._("OUTLINE")}</h2>\n        </div>\n        <div id="outline-content">\n          <ul\n            id="outline-list"\n            tabindex="0"\n            role="list"\n            aria-labelledby="outline-header"></ul>\n        </div>\n        <div id="readability-panel">\n          <div id="readability-content">\n            <h2 class="header-text-inline">${t._("LANG_READABILITY")}</h2>\n            <p id="readability-info"></p>\n            <ul id="readability-details"></ul>\n          </div>\n        </div>\n      </div>`,v=`\n      <div id="settings-panel" role="tabpanel" aria-labelledby="settings-header">\n        <div class="panel-header">\n          <h2 id="settings-header" tabindex="-1">${t._("SETTINGS")}</h2>\n        </div>\n        <div id="settings-content">\n          <ul id="settings-options">\n            ${d}\n            ${c}\n            ${p}\n            ${g}\n            <li id="dark-mode-item">\n              <label id="dark-mode" for="theme-toggle">${t._("DARK_MODE")}</label>\n              <button id="theme-toggle"\n                aria-labelledby="dark-mode"\n                class="switch"></button>\n            </li>\n            ${f}\n          </ul>\n        </div>\n      </div>`,x=`\n      <div\n        id="panel-alert"\n        role="alertdialog"\n        aria-labelledby="alert-heading"\n        aria-describedby="panel-alert-text">\n        <div id="panel-alert-content">\n          <div class="header-text">\n            <button id="close-alert" class="close-btn" aria-label="${t._("ALERT_CLOSE")}"></button>\n            <h2 id="alert-heading">${t._("ALERT_TEXT")}</h2>\n          </div>\n          <p id="panel-alert-text"></p>\n          <div id="panel-alert-preview"></div>\n        </div>\n      </div>`,A=`\n      <div id="panel-content">\n        <button id="skip-to-page-issues" type="button">\n          ${t._("SKIP_TO_PAGE_ISSUES")}\n        </button>\n        <button id="skip-button" type="button">\n          <div class="panel-icon"></div>\n          <span class="visually-hidden">${t._("SHORTCUT_SCREEN_READER")}</span>\n        </button>\n        <button id="dismiss-button" type="button">\n          <div class="dismiss-icon"></div>\n          <span id="dismiss-tooltip" class="visually-hidden"></span>\n        </button>\n        <div id="panel-text">\n          <h1 class="visually-hidden">${t._("PANEL_HEADING")}</h1>\n          <p id="status" aria-live="polite"></p>\n        </div>\n      </div>`,E=`\n      <div id="panel-controls" role="tablist" aria-orientation="horizontal">\n        ${"left"===l?'<div style="width:40px"></div>':""}\n        <button type="button" role="tab" aria-expanded="false" id="outline-toggle" aria-controls="outline-panel">${t._("OUTLINE")}</button>\n        <button type="button" role="tab" aria-expanded="false" id="settings-toggle" aria-controls="settings-panel">${t._("SETTINGS")}</button>\n        ${"right"===l?'<div style="width:40px"></div>':""}\n      </div>`,I=document.createElement("div");I.setAttribute("id","container"),I.setAttribute("role","region"),I.setAttribute("lang",t._("LANG_CODE")),I.setAttribute("aria-label",t._("CONTAINER_LABEL")),I.setAttribute("dir",o.Global.langDirection),I.innerHTML="top-left"===l||"top-right"===l?`\n        ${b}\n        <div id="panel" class="${l}">\n          ${A}\n          ${m}\n          ${E}\n          ${y}\n          ${v}\n          ${x}\n          ${h}\n        </div>`:`\n        ${b}\n        <div id="panel" class="${l}">\n          ${h}\n          ${y}\n          ${v}\n          ${x}\n          ${m}\n          ${A}\n          ${E}\n        </div>`,this.shadowRoot.appendChild(I),o.initializePanelSelectors()}}function L(e,n){const a=[];return e.map((e=>{const t=n.find((t=>e.key.includes(t.dismiss)&&e.href===o.Global.currentPage));return void 0===t?"":t})).forEach((e=>{Object.assign(e,{dismissedHeading:!0})})),n.forEach((e=>{const n=e.element,i=e.headingLevel,r=e.text,s=e.index,l=e.type,d=e.hidden,c=e.visibleParent,p=e.dismissedHeading;let g=[];if(o.Exclusions.Outline&&(g=Array.from(document.querySelectorAll(o.Exclusions.Outline))),!g.includes(n)){const e=!0===d?'<span class="hidden-icon"></span><span class="visually-hidden">Hidden</span>':"",n=!0===d?'class="hidden-h"':"";let o;"error"===l?(o=`\n        <li class="outline-${i}">\n          <a role="button" id="sa11y-link-${s}" tabindex="-1" ${n}>\n            <span class="badge error-badge">\n            <span aria-hidden="true">${e}\n              <span class="error-icon"></span>\n            </span>\n            <span class="visually-hidden">${t._("ERROR")}</span> ${i}</span>\n            <strong class="outline-list-item red-text">${r}</strong>\n          </a>\n        </li>`,a.push(o)):"warning"!==l||p?(o=`\n        <li class="outline-${i}">\n          <a role="button" id="sa11y-link-${s}" tabindex="-1" ${n}>\n            <span class="badge">${e} ${i}</span>\n            <span class="outline-list-item">${r}</span>\n          </a>\n        </li>`,a.push(o)):(o=`\n        <li class="outline-${i}">\n          <a role="button" id="sa11y-link-${s}" tabindex="-1" ${n}>\n            <span class="badge warning-badge">\n            <span aria-hidden="true">${e} &#x3f;</span>\n            <span class="visually-hidden">${t._("WARNING")}</span> ${i}</span>\n            <strong class="outline-list-item yellow-text">${r}</strong>\n          </a>\n        </li>`,a.push(o))}const f=document.createElement("sa11y-heading-label"),m=document.createElement("sa11y-heading-anchor");if(f.hidden=!0,null!==c){n.insertAdjacentElement("beforeend",f);const e=c.previousElementSibling;m.setAttribute("id",`sa11y-h${s}`),e?(e.insertAdjacentElement("beforebegin",m),e.setAttribute("data-sa11y-parent",`h${s}`)):(c.parentNode.insertAdjacentElement("beforebegin",m),c.parentNode.setAttribute("data-sa11y-parent",`h${s}`))}else n.insertAdjacentElement("beforeend",f),f.insertAdjacentElement("beforebegin",m),m.setAttribute("id",`sa11y-h${s}`);const b=document.createElement("span");b.classList.add("heading-label"),b.innerHTML=`H${i}`,f.shadowRoot.appendChild(b),"Opened"===u.getItem("sa11y-remember-outline")&&(f.hidden=!1)})),o.Panel.outlineList.innerHTML=a.join(" "),setTimeout((()=>{const e=document.querySelector("sa11y-control-panel").shadowRoot,n=Array.from(e.querySelectorAll("#outline-list a"));n.forEach(((n,a)=>{const r=e.getElementById(`sa11y-link-${a}`),s=i(`#sa11y-h${a}, [data-sa11y-parent="h${a}"]`,"root",o.Exclusions.Container),l=e=>{("keyup"===e.type&&"Enter"===e.code||"click"===e.type)&&(s.forEach((e=>{(e=>{g(e.parentElement),e.scrollIntoView({behavior:`${o.Global.scrollBehaviour}`,block:"center"})})(e)})),r.classList.contains("hidden-h")?b(`${t._("HEADING_NOT_VISIBLE_ALERT")}`):o.Panel.alert.classList.contains("active")&&m()),e.preventDefault()};r.addEventListener("click",l,!1),r.addEventListener("keyup",l,!1)}));let a=0;const r=e=>{if(!["ArrowUp","ArrowDown","Space"].includes(e.code))return;if("Space"===e.code)return void n[a].click();let t;n[a].setAttribute("tabindex",-1),"ArrowDown"===e.code?(t=a+1,a===n.length-1&&(t=0)):"ArrowUp"===e.code&&(t=a-1,0===a&&(t=n.length-1)),n[t].setAttribute("tabindex",0),n[t].focus(),a=t,e.preventDefault()};o.Panel.outlineList.addEventListener("focus",(()=>{n.length>0&&(o.Panel.outlineList.setAttribute("tabindex",-1),n[a].setAttribute("tabindex",0),n[a].focus()),o.Panel.outlineList.addEventListener("keydown",r)})),o.Panel.outlineList.addEventListener("blur",(()=>{o.Panel.outlineList.removeEventListener("keydown",r)}))}),0),e}var k="top",T="bottom",_="right",S="left",P="auto",O=[k,T,_,S],C="start",N="end",$="clippingParents",R="viewport",D="popper",G="reference",M=O.reduce((function(e,t){return e.concat([t+"-"+C,t+"-"+N])}),[]),B=[].concat(O,[P]).reduce((function(e,t){return e.concat([t,t+"-"+C,t+"-"+N])}),[]),H=["beforeRead","read","afterRead","beforeMain","main","afterMain","beforeWrite","write","afterWrite"];function F(e){return e?(e.nodeName||"").toLowerCase():null}function z(e){if(null==e)return window;if("[object Window]"!==e.toString()){var t=e.ownerDocument;return t&&t.defaultView||window}return e}function j(e){return e instanceof z(e).Element||e instanceof Element}function q(e){return e instanceof z(e).HTMLElement||e instanceof HTMLElement}function U(e){return"undefined"!=typeof ShadowRoot&&(e instanceof z(e).ShadowRoot||e instanceof ShadowRoot)}var V={name:"applyStyles",enabled:!0,phase:"write",fn:function(e){var t=e.state;Object.keys(t.elements).forEach((function(e){var n=t.styles[e]||{},o=t.attributes[e]||{},i=t.elements[e];q(i)&&F(i)&&(Object.assign(i.style,n),Object.keys(o).forEach((function(e){var t=o[e];!1===t?i.removeAttribute(e):i.setAttribute(e,!0===t?"":t)})))}))},effect:function(e){var t=e.state,n={popper:{position:t.options.strategy,left:"0",top:"0",margin:"0"},arrow:{position:"absolute"},reference:{}};return Object.assign(t.elements.popper.style,n.popper),t.styles=n,t.elements.arrow&&Object.assign(t.elements.arrow.style,n.arrow),function(){Object.keys(t.elements).forEach((function(e){var o=t.elements[e],i=t.attributes[e]||{},a=Object.keys(t.styles.hasOwnProperty(e)?t.styles[e]:n[e]).reduce((function(e,t){return e[t]="",e}),{});q(o)&&F(o)&&(Object.assign(o.style,a),Object.keys(i).forEach((function(e){o.removeAttribute(e)})))}))}},requires:["computeStyles"]};function W(e){return e.split("-")[0]}var K=Math.max,Q=Math.min,Y=Math.round;function X(){var e=navigator.userAgentData;return null!=e&&e.brands&&Array.isArray(e.brands)?e.brands.map((function(e){return e.brand+"/"+e.version})).join(" "):navigator.userAgent}function Z(){return!/^((?!chrome|android).)*safari/i.test(X())}function J(e,t,n){void 0===t&&(t=!1),void 0===n&&(n=!1);var o=e.getBoundingClientRect(),i=1,a=1;t&&q(e)&&(i=e.offsetWidth>0&&Y(o.width)/e.offsetWidth||1,a=e.offsetHeight>0&&Y(o.height)/e.offsetHeight||1);var r=(j(e)?z(e):window).visualViewport,s=!Z()&&n,l=(o.left+(s&&r?r.offsetLeft:0))/i,d=(o.top+(s&&r?r.offsetTop:0))/a,c=o.width/i,p=o.height/a;return{width:c,height:p,top:d,right:l+c,bottom:d+p,left:l,x:l,y:d}}function ee(e){var t=J(e),n=e.offsetWidth,o=e.offsetHeight;return Math.abs(t.width-n)<=1&&(n=t.width),Math.abs(t.height-o)<=1&&(o=t.height),{x:e.offsetLeft,y:e.offsetTop,width:n,height:o}}function te(e,t){var n=t.getRootNode&&t.getRootNode();if(e.contains(t))return!0;if(n&&U(n)){var o=t;do{if(o&&e.isSameNode(o))return!0;o=o.parentNode||o.host}while(o)}return!1}function ne(e){return z(e).getComputedStyle(e)}function oe(e){return["table","td","th"].indexOf(F(e))>=0}function ie(e){return((j(e)?e.ownerDocument:e.document)||window.document).documentElement}function ae(e){return"html"===F(e)?e:e.assignedSlot||e.parentNode||(U(e)?e.host:null)||ie(e)}function re(e){return q(e)&&"fixed"!==ne(e).position?e.offsetParent:null}function se(e){for(var t=z(e),n=re(e);n&&oe(n)&&"static"===ne(n).position;)n=re(n);return n&&("html"===F(n)||"body"===F(n)&&"static"===ne(n).position)?t:n||function(e){var t=/firefox/i.test(X());if(/Trident/i.test(X())&&q(e)&&"fixed"===ne(e).position)return null;var n=ae(e);for(U(n)&&(n=n.host);q(n)&&["html","body"].indexOf(F(n))<0;){var o=ne(n);if("none"!==o.transform||"none"!==o.perspective||"paint"===o.contain||-1!==["transform","perspective"].indexOf(o.willChange)||t&&"filter"===o.willChange||t&&o.filter&&"none"!==o.filter)return n;n=n.parentNode}return null}(e)||t}function le(e){return["top","bottom"].indexOf(e)>=0?"x":"y"}function de(e,t,n){return K(e,Q(t,n))}function ce(e){return Object.assign({},{top:0,right:0,bottom:0,left:0},e)}function pe(e,t){return t.reduce((function(t,n){return t[n]=e,t}),{})}var ue={name:"arrow",enabled:!0,phase:"main",fn:function(e){var t,n=e.state,o=e.name,i=e.options,a=n.elements.arrow,r=n.modifiersData.popperOffsets,s=W(n.placement),l=le(s),d=[S,_].indexOf(s)>=0?"height":"width";if(a&&r){var c=function(e,t){return ce("number"!=typeof(e="function"==typeof e?e(Object.assign({},t.rects,{placement:t.placement})):e)?e:pe(e,O))}(i.padding,n),p=ee(a),u="y"===l?k:S,g="y"===l?T:_,f=n.rects.reference[d]+n.rects.reference[l]-r[l]-n.rects.popper[d],m=r[l]-n.rects.reference[l],b=se(a),h=b?"y"===l?b.clientHeight||0:b.clientWidth||0:0,y=f/2-m/2,v=c[u],x=h-p[d]-c[g],A=h/2-p[d]/2+y,w=de(v,A,x),E=l;n.modifiersData[o]=((t={})[E]=w,t.centerOffset=w-A,t)}},effect:function(e){var t=e.state,n=e.options.element,o=void 0===n?"[data-popper-arrow]":n;null!=o&&("string"!=typeof o||(o=t.elements.popper.querySelector(o)))&&te(t.elements.popper,o)&&(t.elements.arrow=o)},requires:["popperOffsets"],requiresIfExists:["preventOverflow"]};function ge(e){return e.split("-")[1]}var fe={top:"auto",right:"auto",bottom:"auto",left:"auto"};function me(e){var t,n=e.popper,o=e.popperRect,i=e.placement,a=e.variation,r=e.offsets,s=e.position,l=e.gpuAcceleration,d=e.adaptive,c=e.roundOffsets,p=e.isFixed,u=r.x,g=void 0===u?0:u,f=r.y,m=void 0===f?0:f,b="function"==typeof c?c({x:g,y:m}):{x:g,y:m};g=b.x,m=b.y;var h=r.hasOwnProperty("x"),y=r.hasOwnProperty("y"),v=S,x=k,A=window;if(d){var w=se(n),E="clientHeight",I="clientWidth";if(w===z(n)&&"static"!==ne(w=ie(n)).position&&"absolute"===s&&(E="scrollHeight",I="scrollWidth"),i===k||(i===S||i===_)&&a===N)x=T,m-=(p&&w===A&&A.visualViewport?A.visualViewport.height:w[E])-o.height,m*=l?1:-1;if(i===S||(i===k||i===T)&&a===N)v=_,g-=(p&&w===A&&A.visualViewport?A.visualViewport.width:w[I])-o.width,g*=l?1:-1}var L,P=Object.assign({position:s},d&&fe),O=!0===c?function(e,t){var n=e.x,o=e.y,i=t.devicePixelRatio||1;return{x:Y(n*i)/i||0,y:Y(o*i)/i||0}}({x:g,y:m},z(n)):{x:g,y:m};return g=O.x,m=O.y,l?Object.assign({},P,((L={})[x]=y?"0":"",L[v]=h?"0":"",L.transform=(A.devicePixelRatio||1)<=1?"translate("+g+"px, "+m+"px)":"translate3d("+g+"px, "+m+"px, 0)",L)):Object.assign({},P,((t={})[x]=y?m+"px":"",t[v]=h?g+"px":"",t.transform="",t))}var be={passive:!0};var he={left:"right",right:"left",bottom:"top",top:"bottom"};function ye(e){return e.replace(/left|right|bottom|top/g,(function(e){return he[e]}))}var ve={start:"end",end:"start"};function xe(e){return e.replace(/start|end/g,(function(e){return ve[e]}))}function Ae(e){var t=z(e);return{scrollLeft:t.pageXOffset,scrollTop:t.pageYOffset}}function we(e){return J(ie(e)).left+Ae(e).scrollLeft}function Ee(e){var t=ne(e),n=t.overflow,o=t.overflowX,i=t.overflowY;return/auto|scroll|overlay|hidden/.test(n+i+o)}function Ie(e){return["html","body","#document"].indexOf(F(e))>=0?e.ownerDocument.body:q(e)&&Ee(e)?e:Ie(ae(e))}function Le(e,t){var n;void 0===t&&(t=[]);var o=Ie(e),i=o===(null==(n=e.ownerDocument)?void 0:n.body),a=z(o),r=i?[a].concat(a.visualViewport||[],Ee(o)?o:[]):o,s=t.concat(r);return i?s:s.concat(Le(ae(r)))}function ke(e){return Object.assign({},e,{left:e.x,top:e.y,right:e.x+e.width,bottom:e.y+e.height})}function Te(e,t,n){return t===R?ke(function(e,t){var n=z(e),o=ie(e),i=n.visualViewport,a=o.clientWidth,r=o.clientHeight,s=0,l=0;if(i){a=i.width,r=i.height;var d=Z();(d||!d&&"fixed"===t)&&(s=i.offsetLeft,l=i.offsetTop)}return{width:a,height:r,x:s+we(e),y:l}}(e,n)):j(t)?function(e,t){var n=J(e,!1,"fixed"===t);return n.top=n.top+e.clientTop,n.left=n.left+e.clientLeft,n.bottom=n.top+e.clientHeight,n.right=n.left+e.clientWidth,n.width=e.clientWidth,n.height=e.clientHeight,n.x=n.left,n.y=n.top,n}(t,n):ke(function(e){var t,n=ie(e),o=Ae(e),i=null==(t=e.ownerDocument)?void 0:t.body,a=K(n.scrollWidth,n.clientWidth,i?i.scrollWidth:0,i?i.clientWidth:0),r=K(n.scrollHeight,n.clientHeight,i?i.scrollHeight:0,i?i.clientHeight:0),s=-o.scrollLeft+we(e),l=-o.scrollTop;return"rtl"===ne(i||n).direction&&(s+=K(n.clientWidth,i?i.clientWidth:0)-a),{width:a,height:r,x:s,y:l}}(ie(e)))}function _e(e,t,n,o){var i="clippingParents"===t?function(e){var t=Le(ae(e)),n=["absolute","fixed"].indexOf(ne(e).position)>=0&&q(e)?se(e):e;return j(n)?t.filter((function(e){return j(e)&&te(e,n)&&"body"!==F(e)})):[]}(e):[].concat(t),a=[].concat(i,[n]),r=a[0],s=a.reduce((function(t,n){var i=Te(e,n,o);return t.top=K(i.top,t.top),t.right=Q(i.right,t.right),t.bottom=Q(i.bottom,t.bottom),t.left=K(i.left,t.left),t}),Te(e,r,o));return s.width=s.right-s.left,s.height=s.bottom-s.top,s.x=s.left,s.y=s.top,s}function Se(e){var t,n=e.reference,o=e.element,i=e.placement,a=i?W(i):null,r=i?ge(i):null,s=n.x+n.width/2-o.width/2,l=n.y+n.height/2-o.height/2;switch(a){case k:t={x:s,y:n.y-o.height};break;case T:t={x:s,y:n.y+n.height};break;case _:t={x:n.x+n.width,y:l};break;case S:t={x:n.x-o.width,y:l};break;default:t={x:n.x,y:n.y}}var d=a?le(a):null;if(null!=d){var c="y"===d?"height":"width";switch(r){case C:t[d]=t[d]-(n[c]/2-o[c]/2);break;case N:t[d]=t[d]+(n[c]/2-o[c]/2)}}return t}function Pe(e,t){void 0===t&&(t={});var n=t,o=n.placement,i=void 0===o?e.placement:o,a=n.strategy,r=void 0===a?e.strategy:a,s=n.boundary,l=void 0===s?$:s,d=n.rootBoundary,c=void 0===d?R:d,p=n.elementContext,u=void 0===p?D:p,g=n.altBoundary,f=void 0!==g&&g,m=n.padding,b=void 0===m?0:m,h=ce("number"!=typeof b?b:pe(b,O)),y=u===D?G:D,v=e.rects.popper,x=e.elements[f?y:u],A=_e(j(x)?x:x.contextElement||ie(e.elements.popper),l,c,r),w=J(e.elements.reference),E=Se({reference:w,element:v,strategy:"absolute",placement:i}),I=ke(Object.assign({},v,E)),L=u===D?I:w,S={top:A.top-L.top+h.top,bottom:L.bottom-A.bottom+h.bottom,left:A.left-L.left+h.left,right:L.right-A.right+h.right},P=e.modifiersData.offset;if(u===D&&P){var C=P[i];Object.keys(S).forEach((function(e){var t=[_,T].indexOf(e)>=0?1:-1,n=[k,T].indexOf(e)>=0?"y":"x";S[e]+=C[n]*t}))}return S}function Oe(e,t){void 0===t&&(t={});var n=t,o=n.placement,i=n.boundary,a=n.rootBoundary,r=n.padding,s=n.flipVariations,l=n.allowedAutoPlacements,d=void 0===l?B:l,c=ge(o),p=c?s?M:M.filter((function(e){return ge(e)===c})):O,u=p.filter((function(e){return d.indexOf(e)>=0}));0===u.length&&(u=p);var g=u.reduce((function(t,n){return t[n]=Pe(e,{placement:n,boundary:i,rootBoundary:a,padding:r})[W(n)],t}),{});return Object.keys(g).sort((function(e,t){return g[e]-g[t]}))}var Ce={name:"flip",enabled:!0,phase:"main",fn:function(e){var t=e.state,n=e.options,o=e.name;if(!t.modifiersData[o]._skip){for(var i=n.mainAxis,a=void 0===i||i,r=n.altAxis,s=void 0===r||r,l=n.fallbackPlacements,d=n.padding,c=n.boundary,p=n.rootBoundary,u=n.altBoundary,g=n.flipVariations,f=void 0===g||g,m=n.allowedAutoPlacements,b=t.options.placement,h=W(b),y=l||(h===b||!f?[ye(b)]:function(e){if(W(e)===P)return[];var t=ye(e);return[xe(e),t,xe(t)]}(b)),v=[b].concat(y).reduce((function(e,n){return e.concat(W(n)===P?Oe(t,{placement:n,boundary:c,rootBoundary:p,padding:d,flipVariations:f,allowedAutoPlacements:m}):n)}),[]),x=t.rects.reference,A=t.rects.popper,w=new Map,E=!0,I=v[0],L=0;L<v.length;L++){var O=v[L],N=W(O),$=ge(O)===C,R=[k,T].indexOf(N)>=0,D=R?"width":"height",G=Pe(t,{placement:O,boundary:c,rootBoundary:p,altBoundary:u,padding:d}),M=R?$?_:S:$?T:k;x[D]>A[D]&&(M=ye(M));var B=ye(M),H=[];if(a&&H.push(G[N]<=0),s&&H.push(G[M]<=0,G[B]<=0),H.every((function(e){return e}))){I=O,E=!1;break}w.set(O,H)}if(E)for(var F=function(e){var t=v.find((function(t){var n=w.get(t);if(n)return n.slice(0,e).every((function(e){return e}))}));if(t)return I=t,"break"},z=f?3:1;z>0;z--){if("break"===F(z))break}t.placement!==I&&(t.modifiersData[o]._skip=!0,t.placement=I,t.reset=!0)}},requiresIfExists:["offset"],data:{_skip:!1}};function Ne(e,t,n){return void 0===n&&(n={x:0,y:0}),{top:e.top-t.height-n.y,right:e.right-t.width+n.x,bottom:e.bottom-t.height+n.y,left:e.left-t.width-n.x}}function $e(e){return[k,_,T,S].some((function(t){return e[t]>=0}))}var Re={name:"offset",enabled:!0,phase:"main",requires:["popperOffsets"],fn:function(e){var t=e.state,n=e.options,o=e.name,i=n.offset,a=void 0===i?[0,0]:i,r=B.reduce((function(e,n){return e[n]=function(e,t,n){var o=W(e),i=[S,k].indexOf(o)>=0?-1:1,a="function"==typeof n?n(Object.assign({},t,{placement:e})):n,r=a[0],s=a[1];return r=r||0,s=(s||0)*i,[S,_].indexOf(o)>=0?{x:s,y:r}:{x:r,y:s}}(n,t.rects,a),e}),{}),s=r[t.placement],l=s.x,d=s.y;null!=t.modifiersData.popperOffsets&&(t.modifiersData.popperOffsets.x+=l,t.modifiersData.popperOffsets.y+=d),t.modifiersData[o]=r}};var De={name:"preventOverflow",enabled:!0,phase:"main",fn:function(e){var t=e.state,n=e.options,o=e.name,i=n.mainAxis,a=void 0===i||i,r=n.altAxis,s=void 0!==r&&r,l=n.boundary,d=n.rootBoundary,c=n.altBoundary,p=n.padding,u=n.tether,g=void 0===u||u,f=n.tetherOffset,m=void 0===f?0:f,b=Pe(t,{boundary:l,rootBoundary:d,padding:p,altBoundary:c}),h=W(t.placement),y=ge(t.placement),v=!y,x=le(h),A="x"===x?"y":"x",w=t.modifiersData.popperOffsets,E=t.rects.reference,I=t.rects.popper,L="function"==typeof m?m(Object.assign({},t.rects,{placement:t.placement})):m,P="number"==typeof L?{mainAxis:L,altAxis:L}:Object.assign({mainAxis:0,altAxis:0},L),O=t.modifiersData.offset?t.modifiersData.offset[t.placement]:null,N={x:0,y:0};if(w){if(a){var $,R="y"===x?k:S,D="y"===x?T:_,G="y"===x?"height":"width",M=w[x],B=M+b[R],H=M-b[D],F=g?-I[G]/2:0,z=y===C?E[G]:I[G],j=y===C?-I[G]:-E[G],q=t.elements.arrow,U=g&&q?ee(q):{width:0,height:0},V=t.modifiersData["arrow#persistent"]?t.modifiersData["arrow#persistent"].padding:{top:0,right:0,bottom:0,left:0},Y=V[R],X=V[D],Z=de(0,E[G],U[G]),J=v?E[G]/2-F-Z-Y-P.mainAxis:z-Z-Y-P.mainAxis,te=v?-E[G]/2+F+Z+X+P.mainAxis:j+Z+X+P.mainAxis,ne=t.elements.arrow&&se(t.elements.arrow),oe=ne?"y"===x?ne.clientTop||0:ne.clientLeft||0:0,ie=null!=($=null==O?void 0:O[x])?$:0,ae=M+te-ie,re=de(g?Q(B,M+J-ie-oe):B,M,g?K(H,ae):H);w[x]=re,N[x]=re-M}if(s){var ce,pe="x"===x?k:S,ue="x"===x?T:_,fe=w[A],me="y"===A?"height":"width",be=fe+b[pe],he=fe-b[ue],ye=-1!==[k,S].indexOf(h),ve=null!=(ce=null==O?void 0:O[A])?ce:0,xe=ye?be:fe-E[me]-I[me]-ve+P.altAxis,Ae=ye?fe+E[me]+I[me]-ve-P.altAxis:he,we=g&&ye?function(e,t,n){var o=de(e,t,n);return o>n?n:o}(xe,fe,Ae):de(g?xe:be,fe,g?Ae:he);w[A]=we,N[A]=we-fe}t.modifiersData[o]=N}},requiresIfExists:["offset"]};function Ge(e,t,n){void 0===n&&(n=!1);var o,i,a=q(t),r=q(t)&&function(e){var t=e.getBoundingClientRect(),n=Y(t.width)/e.offsetWidth||1,o=Y(t.height)/e.offsetHeight||1;return 1!==n||1!==o}(t),s=ie(t),l=J(e,r,n),d={scrollLeft:0,scrollTop:0},c={x:0,y:0};return(a||!a&&!n)&&(("body"!==F(t)||Ee(s))&&(d=(o=t)!==z(o)&&q(o)?{scrollLeft:(i=o).scrollLeft,scrollTop:i.scrollTop}:Ae(o)),q(t)?((c=J(t,!0)).x+=t.clientLeft,c.y+=t.clientTop):s&&(c.x=we(s))),{x:l.left+d.scrollLeft-c.x,y:l.top+d.scrollTop-c.y,width:l.width,height:l.height}}function Me(e){var t=new Map,n=new Set,o=[];function i(e){n.add(e.name),[].concat(e.requires||[],e.requiresIfExists||[]).forEach((function(e){if(!n.has(e)){var o=t.get(e);o&&i(o)}})),o.push(e)}return e.forEach((function(e){t.set(e.name,e)})),e.forEach((function(e){n.has(e.name)||i(e)})),o}var Be={placement:"bottom",modifiers:[],strategy:"absolute"};function He(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return!t.some((function(e){return!(e&&"function"==typeof e.getBoundingClientRect)}))}function Fe(e){void 0===e&&(e={});var t=e,n=t.defaultModifiers,o=void 0===n?[]:n,i=t.defaultOptions,a=void 0===i?Be:i;return function(e,t,n){void 0===n&&(n=a);var i,r,s={placement:"bottom",orderedModifiers:[],options:Object.assign({},Be,a),modifiersData:{},elements:{reference:e,popper:t},attributes:{},styles:{}},l=[],d=!1,c={state:s,setOptions:function(n){var i="function"==typeof n?n(s.options):n;p(),s.options=Object.assign({},a,s.options,i),s.scrollParents={reference:j(e)?Le(e):e.contextElement?Le(e.contextElement):[],popper:Le(t)};var r,d,u=function(e){var t=Me(e);return H.reduce((function(e,n){return e.concat(t.filter((function(e){return e.phase===n})))}),[])}((r=[].concat(o,s.options.modifiers),d=r.reduce((function(e,t){var n=e[t.name];return e[t.name]=n?Object.assign({},n,t,{options:Object.assign({},n.options,t.options),data:Object.assign({},n.data,t.data)}):t,e}),{}),Object.keys(d).map((function(e){return d[e]}))));return s.orderedModifiers=u.filter((function(e){return e.enabled})),s.orderedModifiers.forEach((function(e){var t=e.name,n=e.options,o=void 0===n?{}:n,i=e.effect;if("function"==typeof i){var a=i({state:s,name:t,instance:c,options:o}),r=function(){};l.push(a||r)}})),c.update()},forceUpdate:function(){if(!d){var e=s.elements,t=e.reference,n=e.popper;if(He(t,n)){s.rects={reference:Ge(t,se(n),"fixed"===s.options.strategy),popper:ee(n)},s.reset=!1,s.placement=s.options.placement,s.orderedModifiers.forEach((function(e){return s.modifiersData[e.name]=Object.assign({},e.data)}));for(var o=0;o<s.orderedModifiers.length;o++)if(!0!==s.reset){var i=s.orderedModifiers[o],a=i.fn,r=i.options,l=void 0===r?{}:r,p=i.name;"function"==typeof a&&(s=a({state:s,options:l,name:p,instance:c})||s)}else s.reset=!1,o=-1}}},update:(i=function(){return new Promise((function(e){c.forceUpdate(),e(s)}))},function(){return r||(r=new Promise((function(e){Promise.resolve().then((function(){r=void 0,e(i())}))}))),r}),destroy:function(){p(),d=!0}};if(!He(e,t))return c;function p(){l.forEach((function(e){return e()})),l=[]}return c.setOptions(n).then((function(e){!d&&n.onFirstUpdate&&n.onFirstUpdate(e)})),c}}var ze=Fe({defaultModifiers:[{name:"eventListeners",enabled:!0,phase:"write",fn:function(){},effect:function(e){var t=e.state,n=e.instance,o=e.options,i=o.scroll,a=void 0===i||i,r=o.resize,s=void 0===r||r,l=z(t.elements.popper),d=[].concat(t.scrollParents.reference,t.scrollParents.popper);return a&&d.forEach((function(e){e.addEventListener("scroll",n.update,be)})),s&&l.addEventListener("resize",n.update,be),function(){a&&d.forEach((function(e){e.removeEventListener("scroll",n.update,be)})),s&&l.removeEventListener("resize",n.update,be)}},data:{}},{name:"popperOffsets",enabled:!0,phase:"read",fn:function(e){var t=e.state,n=e.name;t.modifiersData[n]=Se({reference:t.rects.reference,element:t.rects.popper,strategy:"absolute",placement:t.placement})},data:{}},{name:"computeStyles",enabled:!0,phase:"beforeWrite",fn:function(e){var t=e.state,n=e.options,o=n.gpuAcceleration,i=void 0===o||o,a=n.adaptive,r=void 0===a||a,s=n.roundOffsets,l=void 0===s||s,d={placement:W(t.placement),variation:ge(t.placement),popper:t.elements.popper,popperRect:t.rects.popper,gpuAcceleration:i,isFixed:"fixed"===t.options.strategy};null!=t.modifiersData.popperOffsets&&(t.styles.popper=Object.assign({},t.styles.popper,me(Object.assign({},d,{offsets:t.modifiersData.popperOffsets,position:t.options.strategy,adaptive:r,roundOffsets:l})))),null!=t.modifiersData.arrow&&(t.styles.arrow=Object.assign({},t.styles.arrow,me(Object.assign({},d,{offsets:t.modifiersData.arrow,position:"absolute",adaptive:!1,roundOffsets:l})))),t.attributes.popper=Object.assign({},t.attributes.popper,{"data-popper-placement":t.placement})},data:{}},V,Re,Ce,De,ue,{name:"hide",enabled:!0,phase:"main",requiresIfExists:["preventOverflow"],fn:function(e){var t=e.state,n=e.name,o=t.rects.reference,i=t.rects.popper,a=t.modifiersData.preventOverflow,r=Pe(t,{elementContext:"reference"}),s=Pe(t,{altBoundary:!0}),l=Ne(r,o),d=Ne(s,i,a),c=$e(l),p=$e(d);t.modifiersData[n]={referenceClippingOffsets:l,popperEscapeOffsets:d,isReferenceHidden:c,hasPopperEscaped:p},t.attributes.popper=Object.assign({},t.attributes.popper,{"data-popper-reference-hidden":c,"data-popper-escaped":p})}}]}),je="tippy-content",qe="tippy-backdrop",Ue="tippy-arrow",Ve="tippy-svg-arrow",We={passive:!0,capture:!0},Ke=function(){return document.body};function Qe(e,t,n){if(Array.isArray(e)){var o=e[t];return null==o?Array.isArray(n)?n[t]:n:o}return e}function Ye(e,t){var n={}.toString.call(e);return 0===n.indexOf("[object")&&n.indexOf(t+"]")>-1}function Xe(e,t){return"function"==typeof e?e.apply(void 0,t):e}function Ze(e,t){return 0===t?e:function(o){clearTimeout(n),n=setTimeout((function(){e(o)}),t)};var n}function Je(e){return[].concat(e)}function et(e,t){-1===e.indexOf(t)&&e.push(t)}function tt(e){return[].slice.call(e)}function nt(e){return Object.keys(e).reduce((function(t,n){return void 0!==e[n]&&(t[n]=e[n]),t}),{})}function ot(){return document.createElement("div")}function it(e){return["Element","Fragment"].some((function(t){return Ye(e,t)}))}function at(e){return it(e)?[e]:function(e){return Ye(e,"NodeList")}(e)?tt(e):Array.isArray(e)?e:tt(document.querySelectorAll(e))}function rt(e,t){e.forEach((function(e){e&&(e.style.transitionDuration=t+"ms")}))}function st(e,t){e.forEach((function(e){e&&e.setAttribute("data-state",t)}))}function lt(e,t,n){var o=t+"EventListener";["transitionend","webkitTransitionEnd"].forEach((function(t){e[o](t,n)}))}function dt(e,t){for(var n=t;n;){var o;if(e.contains(n))return!0;n=null==n.getRootNode||null==(o=n.getRootNode())?void 0:o.host}return!1}var ct={isTouch:!1},pt=0;function ut(){ct.isTouch||(ct.isTouch=!0,window.performance&&document.addEventListener("mousemove",gt))}function gt(){var e=performance.now();e-pt<20&&(ct.isTouch=!1,document.removeEventListener("mousemove",gt)),pt=e}function ft(){var e,t=document.activeElement;if((e=t)&&e._tippy&&e._tippy.reference===e){var n=t._tippy;t.blur&&!n.state.isVisible&&t.blur()}}var mt=!!("undefined"!=typeof window&&"undefined"!=typeof document)&&!!window.msCrypto,bt=Object.assign({appendTo:Ke,aria:{content:"auto",expanded:"auto"},delay:0,duration:[300,250],getReferenceClientRect:null,hideOnClick:!0,ignoreAttributes:!1,interactive:!1,interactiveBorder:2,interactiveDebounce:0,moveTransition:"",offset:[0,10],onAfterUpdate:function(){},onBeforeUpdate:function(){},onCreate:function(){},onDestroy:function(){},onHidden:function(){},onHide:function(){},onMount:function(){},onShow:function(){},onShown:function(){},onTrigger:function(){},onUntrigger:function(){},onClickOutside:function(){},placement:"top",plugins:[],popperOptions:{},render:null,showOnCreate:!1,touch:!0,trigger:"mouseenter focus",triggerTarget:null},{animateFill:!1,followCursor:!1,inlinePositioning:!1,sticky:!1},{allowHTML:!1,animation:"fade",arrow:!0,content:"",inertia:!1,maxWidth:350,role:"tooltip",theme:"",zIndex:9999}),ht=Object.keys(bt);function yt(e){var t=(e.plugins||[]).reduce((function(t,n){var o,i=n.name,a=n.defaultValue;i&&(t[i]=void 0!==e[i]?e[i]:null!=(o=bt[i])?o:a);return t}),{});return Object.assign({},e,t)}function vt(e,t){var n=Object.assign({},t,{content:Xe(t.content,[e])},t.ignoreAttributes?{}:function(e,t){return(t?Object.keys(yt(Object.assign({},bt,{plugins:t}))):ht).reduce((function(t,n){var o=(e.getAttribute("data-tippy-"+n)||"").trim();if(!o)return t;if("content"===n)t[n]=o;else try{t[n]=JSON.parse(o)}catch(e){t[n]=o}return t}),{})}(e,t.plugins));return n.aria=Object.assign({},bt.aria,n.aria),n.aria={expanded:"auto"===n.aria.expanded?t.interactive:n.aria.expanded,content:"auto"===n.aria.content?t.interactive?null:"describedby":n.aria.content},n}var xt=function(){return"innerHTML"};function At(e,t){e[xt()]=t}function wt(e){var t=ot();return!0===e?t.className=Ue:(t.className=Ve,it(e)?t.appendChild(e):At(t,e)),t}function Et(e,t){it(t.content)?(At(e,""),e.appendChild(t.content)):"function"!=typeof t.content&&(t.allowHTML?At(e,t.content):e.textContent=t.content)}function It(e){var t=e.firstElementChild,n=tt(t.children);return{box:t,content:n.find((function(e){return e.classList.contains(je)})),arrow:n.find((function(e){return e.classList.contains(Ue)||e.classList.contains(Ve)})),backdrop:n.find((function(e){return e.classList.contains(qe)}))}}function Lt(e){var t=ot(),n=ot();n.className="tippy-box",n.setAttribute("data-state","hidden"),n.setAttribute("tabindex","-1");var o=ot();function i(n,o){var i=It(t),a=i.box,r=i.content,s=i.arrow;o.theme?a.setAttribute("data-theme",o.theme):a.removeAttribute("data-theme"),"string"==typeof o.animation?a.setAttribute("data-animation",o.animation):a.removeAttribute("data-animation"),o.inertia?a.setAttribute("data-inertia",""):a.removeAttribute("data-inertia"),a.style.maxWidth="number"==typeof o.maxWidth?o.maxWidth+"px":o.maxWidth,o.role?a.setAttribute("role",o.role):a.removeAttribute("role"),n.content===o.content&&n.allowHTML===o.allowHTML||Et(r,e.props),o.arrow?s?n.arrow!==o.arrow&&(a.removeChild(s),a.appendChild(wt(o.arrow))):a.appendChild(wt(o.arrow)):s&&a.removeChild(s)}return o.className=je,o.setAttribute("data-state","hidden"),Et(o,e.props),t.appendChild(n),n.appendChild(o),i(e.props,e.props),{popper:t,onUpdate:i}}Lt.$$tippy=!0;var kt=1,Tt=[],_t=[];function St(e,t){var n,o,i,a,r,s,l,d,c=vt(e,Object.assign({},bt,yt(nt(t)))),p=!1,u=!1,g=!1,f=!1,m=[],b=Ze(W,c.interactiveDebounce),h=kt++,y=(d=c.plugins).filter((function(e,t){return d.indexOf(e)===t})),v={id:h,reference:e,popper:ot(),popperInstance:null,props:c,state:{isEnabled:!0,isVisible:!1,isDestroyed:!1,isMounted:!1,isShown:!1},plugins:y,clearDelayTimeouts:function(){clearTimeout(n),clearTimeout(o),cancelAnimationFrame(i)},setProps:function(t){if(v.state.isDestroyed)return;N("onBeforeUpdate",[v,t]),U();var n=v.props,o=vt(e,Object.assign({},n,nt(t),{ignoreAttributes:!0}));v.props=o,q(),n.interactiveDebounce!==o.interactiveDebounce&&(D(),b=Ze(W,o.interactiveDebounce));n.triggerTarget&&!o.triggerTarget?Je(n.triggerTarget).forEach((function(e){e.removeAttribute("aria-expanded")})):o.triggerTarget&&e.removeAttribute("aria-expanded");R(),C(),w&&w(n,o);v.popperInstance&&(X(),J().forEach((function(e){requestAnimationFrame(e._tippy.popperInstance.forceUpdate)})));N("onAfterUpdate",[v,t])},setContent:function(e){v.setProps({content:e})},show:function(){var e=v.state.isVisible,t=v.state.isDestroyed,n=!v.state.isEnabled,o=ct.isTouch&&!v.props.touch,i=Qe(v.props.duration,0,bt.duration);if(e||t||n||o)return;if(_().hasAttribute("disabled"))return;if(N("onShow",[v],!1),!1===v.props.onShow(v))return;v.state.isVisible=!0,T()&&(A.style.visibility="visible");C(),H(),v.state.isMounted||(A.style.transition="none");if(T()){var a=P();rt([a.box,a.content],0)}s=function(){var e;if(v.state.isVisible&&!f){if(f=!0,A.offsetHeight,A.style.transition=v.props.moveTransition,T()&&v.props.animation){var t=P(),n=t.box,o=t.content;rt([n,o],i),st([n,o],"visible")}$(),R(),et(_t,v),null==(e=v.popperInstance)||e.forceUpdate(),N("onMount",[v]),v.props.animation&&T()&&function(e,t){z(e,t)}(i,(function(){v.state.isShown=!0,N("onShown",[v])}))}},function(){var e,t=v.props.appendTo,n=_();e=v.props.interactive&&t===Ke||"parent"===t?n.parentNode:Xe(t,[n]);e.contains(A)||e.appendChild(A);v.state.isMounted=!0,X()}()},hide:function(){var e=!v.state.isVisible,t=v.state.isDestroyed,n=!v.state.isEnabled,o=Qe(v.props.duration,1,bt.duration);if(e||t||n)return;if(N("onHide",[v],!1),!1===v.props.onHide(v))return;v.state.isVisible=!1,v.state.isShown=!1,f=!1,p=!1,T()&&(A.style.visibility="hidden");if(D(),F(),C(!0),T()){var i=P(),a=i.box,r=i.content;v.props.animation&&(rt([a,r],o),st([a,r],"hidden"))}$(),R(),v.props.animation?T()&&function(e,t){z(e,(function(){!v.state.isVisible&&A.parentNode&&A.parentNode.contains(A)&&t()}))}(o,v.unmount):v.unmount()},hideWithInteractivity:function(e){S().addEventListener("mousemove",b),et(Tt,b),b(e)},enable:function(){v.state.isEnabled=!0},disable:function(){v.hide(),v.state.isEnabled=!1},unmount:function(){v.state.isVisible&&v.hide();if(!v.state.isMounted)return;Z(),J().forEach((function(e){e._tippy.unmount()})),A.parentNode&&A.parentNode.removeChild(A);_t=_t.filter((function(e){return e!==v})),v.state.isMounted=!1,N("onHidden",[v])},destroy:function(){if(v.state.isDestroyed)return;v.clearDelayTimeouts(),v.unmount(),U(),delete e._tippy,v.state.isDestroyed=!0,N("onDestroy",[v])}};if(!c.render)return v;var x=c.render(v),A=x.popper,w=x.onUpdate;A.setAttribute("data-tippy-root",""),A.id="tippy-"+v.id,v.popper=A,e._tippy=v,A._tippy=v;var E=y.map((function(e){return e.fn(v)})),I=e.hasAttribute("aria-expanded");return q(),R(),C(),N("onCreate",[v]),c.showOnCreate&&ee(),A.addEventListener("mouseenter",(function(){v.props.interactive&&v.state.isVisible&&v.clearDelayTimeouts()})),A.addEventListener("mouseleave",(function(){v.props.interactive&&v.props.trigger.indexOf("mouseenter")>=0&&S().addEventListener("mousemove",b)})),v;function L(){var e=v.props.touch;return Array.isArray(e)?e:[e,0]}function k(){return"hold"===L()[0]}function T(){var e;return!(null==(e=v.props.render)||!e.$$tippy)}function _(){return l||e}function S(){var e,t,n=_().parentNode;return n?null!=(t=Je(n)[0])&&null!=(e=t.ownerDocument)&&e.body?t.ownerDocument:document:document}function P(){return It(A)}function O(e){return v.state.isMounted&&!v.state.isVisible||ct.isTouch||a&&"focus"===a.type?0:Qe(v.props.delay,e?0:1,bt.delay)}function C(e){void 0===e&&(e=!1),A.style.pointerEvents=v.props.interactive&&!e?"":"none",A.style.zIndex=""+v.props.zIndex}function N(e,t,n){var o;(void 0===n&&(n=!0),E.forEach((function(n){n[e]&&n[e].apply(n,t)})),n)&&(o=v.props)[e].apply(o,t)}function $(){var t=v.props.aria;if(t.content){var n="aria-"+t.content,o=A.id;Je(v.props.triggerTarget||e).forEach((function(e){var t=e.getAttribute(n);if(v.state.isVisible)e.setAttribute(n,t?t+" "+o:o);else{var i=t&&t.replace(o,"").trim();i?e.setAttribute(n,i):e.removeAttribute(n)}}))}}function R(){!I&&v.props.aria.expanded&&Je(v.props.triggerTarget||e).forEach((function(e){v.props.interactive?e.setAttribute("aria-expanded",v.state.isVisible&&e===_()?"true":"false"):e.removeAttribute("aria-expanded")}))}function D(){S().removeEventListener("mousemove",b),Tt=Tt.filter((function(e){return e!==b}))}function G(t){if(!ct.isTouch||!g&&"mousedown"!==t.type){var n=t.composedPath&&t.composedPath()[0]||t.target;if(!v.props.interactive||!dt(A,n)){if(Je(v.props.triggerTarget||e).some((function(e){return dt(e,n)}))){if(ct.isTouch)return;if(v.state.isVisible&&v.props.trigger.indexOf("click")>=0)return}else N("onClickOutside",[v,t]);!0===v.props.hideOnClick&&(v.clearDelayTimeouts(),v.hide(),u=!0,setTimeout((function(){u=!1})),v.state.isMounted||F())}}}function M(){g=!0}function B(){g=!1}function H(){var e=S();e.addEventListener("mousedown",G,!0),e.addEventListener("touchend",G,We),e.addEventListener("touchstart",B,We),e.addEventListener("touchmove",M,We)}function F(){var e=S();e.removeEventListener("mousedown",G,!0),e.removeEventListener("touchend",G,We),e.removeEventListener("touchstart",B,We),e.removeEventListener("touchmove",M,We)}function z(e,t){var n=P().box;function o(e){e.target===n&&(lt(n,"remove",o),t())}if(0===e)return t();lt(n,"remove",r),lt(n,"add",o),r=o}function j(t,n,o){void 0===o&&(o=!1),Je(v.props.triggerTarget||e).forEach((function(e){e.addEventListener(t,n,o),m.push({node:e,eventType:t,handler:n,options:o})}))}function q(){var e;k()&&(j("touchstart",V,{passive:!0}),j("touchend",K,{passive:!0})),(e=v.props.trigger,e.split(/\s+/).filter(Boolean)).forEach((function(e){if("manual"!==e)switch(j(e,V),e){case"mouseenter":j("mouseleave",K);break;case"focus":j(mt?"focusout":"blur",Q);break;case"focusin":j("focusout",Q)}}))}function U(){m.forEach((function(e){var t=e.node,n=e.eventType,o=e.handler,i=e.options;t.removeEventListener(n,o,i)})),m=[]}function V(e){var t,n=!1;if(v.state.isEnabled&&!Y(e)&&!u){var o="focus"===(null==(t=a)?void 0:t.type);a=e,l=e.currentTarget,R(),!v.state.isVisible&&Ye(e,"MouseEvent")&&Tt.forEach((function(t){return t(e)})),"click"===e.type&&(v.props.trigger.indexOf("mouseenter")<0||p)&&!1!==v.props.hideOnClick&&v.state.isVisible?n=!0:ee(e),"click"===e.type&&(p=!n),n&&!o&&te(e)}}function W(e){var t=e.target,n=_().contains(t)||A.contains(t);if("mousemove"!==e.type||!n){var o=J().concat(A).map((function(e){var t,n=null==(t=e._tippy.popperInstance)?void 0:t.state;return n?{popperRect:e.getBoundingClientRect(),popperState:n,props:c}:null})).filter(Boolean);(function(e,t){var n=t.clientX,o=t.clientY;return e.every((function(e){var t=e.popperRect,i=e.popperState,a=e.props.interactiveBorder,r=i.placement.split("-")[0],s=i.modifiersData.offset;if(!s)return!0;var l="bottom"===r?s.top.y:0,d="top"===r?s.bottom.y:0,c="right"===r?s.left.x:0,p="left"===r?s.right.x:0,u=t.top-o+l>a,g=o-t.bottom-d>a,f=t.left-n+c>a,m=n-t.right-p>a;return u||g||f||m}))})(o,e)&&(D(),te(e))}}function K(e){Y(e)||v.props.trigger.indexOf("click")>=0&&p||(v.props.interactive?v.hideWithInteractivity(e):te(e))}function Q(e){v.props.trigger.indexOf("focusin")<0&&e.target!==_()||v.props.interactive&&e.relatedTarget&&A.contains(e.relatedTarget)||te(e)}function Y(e){return!!ct.isTouch&&k()!==e.type.indexOf("touch")>=0}function X(){Z();var t=v.props,n=t.popperOptions,o=t.placement,i=t.offset,a=t.getReferenceClientRect,r=t.moveTransition,l=T()?It(A).arrow:null,d=a?{getBoundingClientRect:a,contextElement:a.contextElement||_()}:e,c={name:"$$tippy",enabled:!0,phase:"beforeWrite",requires:["computeStyles"],fn:function(e){var t=e.state;if(T()){var n=P().box;["placement","reference-hidden","escaped"].forEach((function(e){"placement"===e?n.setAttribute("data-placement",t.placement):t.attributes.popper["data-popper-"+e]?n.setAttribute("data-"+e,""):n.removeAttribute("data-"+e)})),t.attributes.popper={}}}},p=[{name:"offset",options:{offset:i}},{name:"preventOverflow",options:{padding:{top:2,bottom:2,left:5,right:5}}},{name:"flip",options:{padding:5}},{name:"computeStyles",options:{adaptive:!r}},c];T()&&l&&p.push({name:"arrow",options:{element:l,padding:3}}),p.push.apply(p,(null==n?void 0:n.modifiers)||[]),v.popperInstance=ze(d,A,Object.assign({},n,{placement:o,onFirstUpdate:s,modifiers:p}))}function Z(){v.popperInstance&&(v.popperInstance.destroy(),v.popperInstance=null)}function J(){return tt(A.querySelectorAll("[data-tippy-root]"))}function ee(e){v.clearDelayTimeouts(),e&&N("onTrigger",[v,e]),H();var t=O(!0),o=L(),i=o[0],a=o[1];ct.isTouch&&"hold"===i&&a&&(t=a),t?n=setTimeout((function(){v.show()}),t):v.show()}function te(e){if(v.clearDelayTimeouts(),N("onUntrigger",[v,e]),v.state.isVisible){if(!(v.props.trigger.indexOf("mouseenter")>=0&&v.props.trigger.indexOf("click")>=0&&["mouseleave","mousemove"].indexOf(e.type)>=0&&p)){var t=O(!1);t?o=setTimeout((function(){v.state.isVisible&&v.hide()}),t):i=requestAnimationFrame((function(){v.hide()}))}}else F()}}function Pt(e,t){void 0===t&&(t={});var n=bt.plugins.concat(t.plugins||[]);document.addEventListener("touchstart",ut,We),window.addEventListener("blur",ft);var o=Object.assign({},t,{plugins:n}),i=at(e).reduce((function(e,t){var n=t&&St(t,o);return n&&e.push(n),e}),[]);return it(e)?i[0]:i}Pt.defaultProps=bt,Pt.setDefaultProps=function(e){Object.keys(e).forEach((function(t){bt[t]=e[t]}))},Pt.currentInput=ct,Object.assign({},V,{effect:function(e){var t=e.state,n={popper:{position:t.options.strategy,left:"0",top:"0",margin:"0"},arrow:{position:"absolute"},reference:{}};Object.assign(t.elements.popper.style,n.popper),t.styles=n,t.elements.arrow&&Object.assign(t.elements.arrow.style,n.arrow)}}),Pt.setDefaultProps({render:Lt});var Ot='a,button,code,div,h1,h2,kbd,li,ol,p,span,strong,svg,ul{all:unset;box-sizing:border-box!important}div{display:block}:after,:before{all:unset}.tippy-box[data-animation=fade][data-state=hidden]{opacity:0}[data-tippy-root]{max-width:calc(100vw - 10px)}@media (forced-colors:active){[data-tippy-root]{border:2px solid transparent;border-radius:5px}}.tippy-box[data-placement^=top]>.tippy-arrow{bottom:0}.tippy-box[data-placement^=top]>.tippy-arrow:before{border-top-color:initial;border-width:8px 8px 0;bottom:-7px;left:0;transform-origin:center top}.tippy-box[data-placement^=bottom]>.tippy-arrow{top:0}.tippy-box[data-placement^=bottom]>.tippy-arrow:before{border-bottom-color:initial;border-width:0 8px 8px;left:0;top:-7px;transform-origin:center bottom}.tippy-box[data-placement^=left]>.tippy-arrow{right:0}.tippy-box[data-placement^=left]>.tippy-arrow:before{border-left-color:initial;border-width:8px 0 8px 8px;right:-7px;transform-origin:center left}.tippy-box[data-placement^=right]>.tippy-arrow{left:0}.tippy-box[data-placement^=right]>.tippy-arrow:before{border-right-color:initial;border-width:8px 8px 8px 0;left:-7px;transform-origin:center right}.tippy-arrow{color:#333;height:16px;width:16px}.tippy-arrow:before{border-color:transparent;border-style:solid;content:"";position:absolute}.tippy-content{padding:5px 9px;position:relative;z-index:1}.tippy-box[data-theme~=sa11y-theme][role=tooltip]{box-sizing:border-box!important}.tippy-box[data-theme~=sa11y-theme][role=tooltip][data-animation=fade][data-state=hidden]{opacity:0}.tippy-box[data-theme~=sa11y-theme][role=tooltip][data-inertia][data-state=visible]{transition-timing-function:cubic-bezier(.54,1.5,.38,1.11)}[role=dialog]{min-width:300px;text-align:start}[role=tooltip]{min-width:185px;text-align:center}.tippy-box[data-theme~=sa11y-theme]{-webkit-font-smoothing:auto;background-color:var(--sa11y-panel-bg);border-radius:4px;box-shadow:0 0 20px 4px rgba(154,161,177,.15),0 4px 80px -8px rgba(36,40,47,.25),0 4px 4px -2px rgba(91,94,105,.15)!important;color:var(--sa11y-panel-primary);display:block;font-family:var(--sa11y-font-face);font-size:var(--sa11y-normal-text);font-weight:400;letter-spacing:normal;line-height:22px;outline:0;padding:8px;position:relative;transition-property:transform,visibility,opacity}.tippy-box[data-theme~=sa11y-theme] code{font-family:monospace}.tippy-box[data-theme~=sa11y-theme] code,.tippy-box[data-theme~=sa11y-theme] kbd{-webkit-font-smoothing:auto;background-color:var(--sa11y-panel-badge);border-radius:3.2px;color:var(--sa11y-panel-primary);letter-spacing:normal;line-height:22px;padding:1.6px 4.8px}.tippy-box[data-theme~=sa11y-theme][data-placement^=top]{text-align:center}.tippy-box[data-theme~=sa11y-theme] .tippy-content{padding:5px 9px}.tippy-box[data-theme~=sa11y-theme] sub,.tippy-box[data-theme~=sa11y-theme] sup{font-size:var(--sa11y-small-text)}.tippy-box[data-theme~=sa11y-theme] ul{-webkit-margin-after:0;-webkit-margin-before:0;margin:0;margin-block-end:0;margin-block-start:0;padding:0;position:relative}.tippy-box[data-theme~=sa11y-theme] li{display:list-item;margin:5px 10px 0 20px;padding-bottom:5px}.tippy-box[data-theme~=sa11y-theme] a{color:var(--sa11y-hyperlink);cursor:pointer;text-decoration:underline}.tippy-box[data-theme~=sa11y-theme] a:focus,.tippy-box[data-theme~=sa11y-theme] a:hover{text-decoration:none}.tippy-box[data-theme~=sa11y-theme] strong{font-weight:600}.tippy-box[data-theme~=sa11y-theme] hr{background:var(--sa11y-panel-bg-splitter);border:none;height:1px;margin:10px 0;opacity:1;padding:0}.tippy-box[data-theme~=sa11y-theme] button.close-btn{margin:0}.tippy-box[data-theme~=sa11y-theme] button[data-sa11y-dismiss]{background:var(--sa11y-panel-bg-secondary);border:1px solid var(--sa11y-button-outline);border-radius:5px;color:var(--sa11y-panel-primary);cursor:pointer;display:block;margin:10px 5px 5px 0;padding:4px 8px}.tippy-box[data-theme~=sa11y-theme] button[data-sa11y-dismiss]:focus,.tippy-box[data-theme~=sa11y-theme] button[data-sa11y-dismiss]:hover{background:var(--sa11y-shortcut-hover)}.tippy-box[data-theme~=sa11y-theme][data-placement^=top]>.tippy-arrow:before{border-top-color:var(--sa11y-panel-bg)}.tippy-box[data-theme~=sa11y-theme][data-placement^=bottom]>.tippy-arrow:before{border-bottom-color:var(--sa11y-panel-bg)}.tippy-box[data-theme~=sa11y-theme][data-placement^=left]>.tippy-arrow:before{border-left-color:var(--sa11y-panel-bg)}.tippy-box[data-theme~=sa11y-theme][data-placement^=right]>.tippy-arrow:before{border-right-color:var(--sa11y-panel-bg)}@media (forced-colors:active){.tippy-box[data-theme~=sa11y-theme][data-placement^=bottom]>.tippy-arrow:before,.tippy-box[data-theme~=sa11y-theme][data-placement^=left]>.tippy-arrow:before,.tippy-box[data-theme~=sa11y-theme][data-placement^=right]>.tippy-arrow:before,.tippy-box[data-theme~=sa11y-theme][data-placement^=top]>.tippy-arrow:before{filter:invert(1);forced-color-adjust:none}.tippy-box[data-theme~=sa11y-theme] .tippy-arrow{z-index:-1}}';class Ct extends HTMLElement{connectedCallback(){const e=this.attachShadow({mode:"open"}),n=document.createElement("style");n.innerHTML=Ot+w,e.appendChild(n);const i={name:"hideOnEsc",defaultValue:!0,fn({hide:e}){const t=t=>{27===t.keyCode&&e()};return{onShow(){document.addEventListener("keydown",t)},onHide(){document.removeEventListener("keydown",t)}}}},a=[];x.Annotations.Array.forEach((e=>{const t=e.shadowRoot.querySelectorAll(".sa11y-btn");t&&a.push(...Array.from(t))}));const r=Pt(a,{interactive:!0,trigger:"mouseenter click",arrow:!0,delay:[0,400],theme:"sa11y-theme",placement:"right-start",allowHTML:!0,role:"dialog",aria:{content:null,expanded:"auto"},appendTo:e,zIndex:2147483645,plugins:[i],onShow(e){const t=e.popper;r.forEach((e=>{e!==t&&e.hide()}));e.reference.getRootNode().host.setAttribute("data-sa11y-opened",""),t.querySelector(".close-btn").addEventListener("click",(()=>{e.hide(),e.reference.focus()}))},onTrigger(e,t){"click"===t.type&&setTimeout((()=>{e.popper.querySelector(".close-btn").focus(),function(e){const t=e.querySelectorAll("a[href]:not([disabled]), button:not([disabled])"),n=t[0],o=t[t.length-1];e.addEventListener("keydown",(t=>{const i="Tab"===t.key||9===t.keyCode,a=e.getRootNode();i&&(t.shiftKey?a.activeElement===n&&(o.focus(),t.preventDefault()):a.activeElement===o&&(n.focus(),t.preventDefault()))}))}(e.popper)}),0)},onHide(e){e.popper.querySelector(".close-btn").removeEventListener("click",(()=>{e.hide()}));e.reference.getRootNode().host.removeAttribute("data-sa11y-opened")}});let s;s=-1!==navigator.userAgent.indexOf("Mac")?'<span class="kbd">Option</span> + <span class="kbd">S</span>':'<span class="kbd">Alt</span> + <span class="kbd">S</span>',Pt(o.Panel.skipButton,{content:`${t._("SHORTCUT_TOOLTIP")} &raquo; <br> ${s}`,allowHTML:!0,delay:[500,0],trigger:"mouseenter focusin",arrow:!0,placement:"top",theme:"sa11y-theme",maxWidth:165,role:"tooltip",aria:{content:null,expanded:!1},appendTo:e,zIndex:2147483645})}}class Nt extends HTMLElement{connectedCallback(){const e=this.attachShadow({mode:"open"}),t=document.createElement("style");t.innerHTML=Ot+w,e.appendChild(t),this.object=Pt(o.Panel.dismissButton,{delay:[500,0],trigger:"mouseenter focusin",arrow:!0,placement:"top",theme:"sa11y-theme",maxWidth:165,role:"tooltip",aria:{content:null,expanded:!1},appendTo:e,zIndex:2147483645})}}class $t extends HTMLElement{connectedCallback(){const e=this.attachShadow({mode:"open"}),t=document.createElement("style");t.innerHTML='.instance{display:block}.instance-inline{display:inline-block;text-align:end}button{border-radius:50%;box-shadow:0 0 16px 0 rgba(0,0,0,.31);cursor:pointer;display:block;font-size:0;line-height:normal;min-width:0;padding:0;transition:all .2s ease-in-out;z-index:8888}button,button:after{height:36px;position:absolute;width:36px}button:after{content:"";left:-7px;padding:7px;top:-7px}button.warning-btn{margin:20px}button.error-btn,button.good-btn{margin:10px}button.error-btn-text,button.good-btn-text,button.warning-btn-text{margin:-30px 10px}button.error-btn,button.error-btn-text{background:50% 50% var(--sa11y-error-svg) no-repeat;background-color:var(--sa11y-error);background-size:22px;border:1px solid var(--sa11y-error)}button.error-btn-text:focus,button.error-btn-text:hover,button.error-btn:focus,button.error-btn:hover{background-color:var(--sa11y-error-hover)}button.good-btn,button.good-btn-text{background:50% 50% var(--sa11y-good) var(--sa11y-good-svg) no-repeat;background-color:var(--sa11y-good);background-size:20px;border:1px solid var(--sa11y-good)}button.good-btn-text:focus,button.good-btn-text:hover,button.good-btn:focus,button.good-btn:hover{background-color:var(--sa11y-good-hover)}button.warning-btn,button.warning-btn-text{background:50% 50% var(--sa11y-warning) var(--sa11y-warning-svg) no-repeat;background-color:var(--sa11y-warning);background-size:24px;border:1px solid var(--sa11y-warning);transform:scaleX(var(--sa11y-icon-direction))}button.warning-btn-text:focus,button.warning-btn-text:hover,button.warning-btn:focus,button.warning-btn:hover{background-color:var(--sa11y-warning-hover)}button.sa11y-btn:active,button.sa11y-btn:focus{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}@media screen and (forced-colors:active){button.sa11y-btn{border:1px solid transparent!important;forced-color-adjust:none;outline:3px solid transparent!important}}'+w,e.appendChild(t)}}const Rt=()=>{document.querySelectorAll("sa11y-annotation").forEach((e=>{const t=((e,t,n)=>{let o=e;for(;null!==o;){if(window.getComputedStyle(o).getPropertyValue(t)===n)return o;o=o.parentElement}return null})(e,"overflow","hidden");null!==t&&t.setAttribute("data-sa11y-overflow","")}))};class Dt extends HTMLElement{connectedCallback(){this.attachShadow({mode:"open"})}}class Gt extends HTMLElement{connectedCallback(){const e=this.attachShadow({mode:"open"}),t=document.createElement("style");t.textContent="\n      span.heading-label {\n        background-color: #777678;\n        background-image: linear-gradient(to bottom right, #b629ce, #16aec2);\n        border-radius: 5px;\n        border: 1px solid #36a5c3;\n        color: white;\n        display: inline-block;\n        font-family: var(--sa11y-font-face);\n        font-weight: 500;\n        font-size: 17px;\n        line-height: normal;\n        letter-spacing: normal;\n        margin: -5px 0 0 5px;\n        padding: 3px;\n        position: absolute;\n        text-shadow: 1px 1px black;\n        -webkit-text-fill-color: white;\n        z-index: 200;\n      }\n      @media screen and (forced-colors: active) {\n        span.heading-label {\n          border: 2px solid transparent;\n        }\n      }",e.appendChild(t)}}const Mt=e=>{if(0===e.offsetTop){const n=c(e.getRootNode().host,"display","none");(e=>{const t=c(e.getRootNode().host,"display","none");if(null!==t){g(t.previousElementSibling||t.parentNode)}})(e);const o=e.getAttribute("data-tippy-content");if(b(`${t._("NOT_VISIBLE_ALERT")}`,o),(()=>{const e=document.querySelector("sa11y-tooltips").shadowRoot.querySelector("button");null!==e&&e.click()})(),n){const e=n.previousElementSibling,{parentNode:t}=n;return e?p(e).top-150:p(t).top-150}}else m(),o.Panel.skipButton.focus();return p(e).top-150};let Bt=-1;const Ht=()=>{const e=u.getItem("sa11y-latest-dismissed");null!==e&&(Bt=parseInt(e,10)-1),u.removeItem("sa11y-latest-dismissed");const t=i("[data-sa11y-opened]","root");t[0]&&(Bt=parseInt(t[0].getAttribute("data-sa11y-position"),10))},Ft=()=>{Ht();const e=x.Annotations.Array;Bt>=e.length-1&&(Bt=-1);const t=e[Bt+1].shadowRoot.querySelector("button"),n=Mt(t);window.scrollTo({top:n,behavior:`${o.Global.scrollBehaviour}`}),0!==t.offsetTop&&(t.focus(),t.click()),Bt+=1};function zt(e){x.Annotations.Array.length&&!o.Panel.skipButton.hasAttribute("disabled")&&(e.altKey&&"KeyS"===e.code?(e.preventDefault(),Ft()):e.altKey&&"KeyW"===e.code&&(e.preventDefault(),(()=>{if(Ht(),Bt>0){const e=x.Annotations.Array[Bt-1].shadowRoot.querySelector("button"),t=Mt(e);window.scrollTo({top:t,behavior:`${o.Global.scrollBehaviour}`}),0!==e.offsetTop&&(e.focus(),e.click()),Bt-=1,-1===Bt&&(Bt=x.Annotations.Array.length-1)}})()))}const jt=e=>zt(e),qt=e=>{Ft()};function Ut(e){return x.Found.Images.forEach((n=>{const o=n.getAttribute("alt");if(null===o)n.closest("a[href]")?l(n.closest("a[href]")).textContent.trim().length>=1?e.push({element:n,type:"error",content:t.sprintf("MISSING_ALT_LINK_BUT_HAS_TEXT_MESSAGE"),inline:!1,position:"beforebegin"}):0===l(n.closest("a[href]")).textContent.trim().length&&e.push({element:n,type:"error",content:t.sprintf("MISSING_ALT_LINK_MESSAGE"),inline:!1,position:"beforebegin"}):e.push({element:n,type:"error",content:t.sprintf("MISSING_ALT_MESSAGE"),inline:!1,position:"beforebegin"});else{const i=r(o),a=(e=>{const n=[null,null,null];return[".png",".jpg",".jpeg",".webp",".gif",".tiff",".svg","DSC_"].forEach((t=>{e.toLowerCase().indexOf(t)>=0&&(n[0]=t)})),t._("SUSPICIOUS_ALT_STOPWORDS").forEach((t=>{e.toLowerCase().indexOf(t)>=0&&(n[1]=t)})),t._("PLACEHOLDER_ALT_STOPWORDS").forEach((t=>{e.length===t.length&&e.toLowerCase().indexOf(t)>=0&&(n[2]=t)})),n})(i),s=o.length,d=n.getAttribute("src"),c=d||n.getAttribute("srcset");if(n.closest("a[href]")&&"-1"===n.closest("a[href]").getAttribute("tabindex")&&"true"===n.closest("a[href]").getAttribute("aria-hidden"));else if(null!==a[0]&&n.closest("a[href]"))e.push({element:n,type:"error",content:t.sprintf("LINK_IMAGE_BAD_ALT_MESSAGE",a[0],i),inline:!1,position:"beforebegin"});else if(null!==a[2]&&n.closest("a[href]"))e.push({element:n,type:"error",content:t.sprintf("LINK_IMAGE_PLACEHOLDER_ALT_MESSAGE",i),inline:!1,position:"beforebegin"});else if(null!==a[1]&&n.closest("a[href]")){const o=f(`LINKEDIMAGE${c+i}`);e.push({element:n,type:"warning",content:t.sprintf("LINK_IMAGE_SUS_ALT_MESSAGE",a[1],i),inline:!1,position:"beforebegin",dismiss:o})}else if(null!==a[0])e.push({element:n,type:"error",content:t.sprintf("LINK_ALT_HAS_BAD_WORD_MESSAGE",a[0],i),inline:!1,position:"beforebegin"});else if(null!==a[2])e.push({element:n,type:"error",content:t.sprintf("ALT_PLACEHOLDER_MESSAGE",i),inline:!1,position:"beforebegin"});else if(null!==a[1]){const o=f(`IMAGE${c+i+a[1]}`);e.push({element:n,type:"warning",content:t.sprintf("ALT_HAS_SUS_WORD",a[1],i),inline:!1,position:"beforebegin",dismiss:o})}else if(""!==o&&" "!==o||!n.closest("a[href]")){if(o.length>250&&n.closest("a[href]")){const a=f(`LINKEDIMAGE${c+i+o.length}`);e.push({element:n,type:"warning",content:t.sprintf("LINK_IMAGE_LONG_ALT",s,i),inline:!1,position:"beforebegin",dismiss:a})}else if(""!==o&&n.closest("a[href]")&&0===l(n.closest("a[href]")).textContent.trim().length){const o=f(`LINKEDIMAGE${c+i}`);e.push({element:n,type:"warning",content:t.sprintf("LINK_IMAGE_ALT_WARNING",i),inline:!1,position:"beforebegin",dismiss:o})}else if(""!==o&&n.closest("a[href]")&&l(n.closest("a[href]")).textContent.trim().length>=1){const o=f(`LINKEDIMAGE${c+i}`);e.push({element:n,type:"warning",content:t.sprintf("LINK_IMAGE_ALT_AND_TEXT_WARNING",i),inline:!1,position:"beforebegin",dismiss:o})}else if(""===o||" "===o)if(n.closest("figure")){const o=n.closest("figure").querySelector("figcaption");if(null!==o&&o.textContent.trim().length>=1){const o=f(`DECORATIVE${c}`);e.push({element:n,type:"warning",content:t.sprintf("IMAGE_FIGURE_DECORATIVE"),inline:!1,position:"beforebegin",dismiss:o})}else{const o=f(`DECORATIVE${c}`);e.push({element:n,type:"warning",content:t.sprintf("IMAGE_DECORATIVE"),inline:!1,position:"beforebegin",dismiss:o})}}else{const o=f(`DECORATIVE${c}`);e.push({element:n,type:"warning",content:t.sprintf("IMAGE_DECORATIVE"),inline:!1,position:"beforebegin",dismiss:o})}else if(o.length>250){const a=f(`IMAGE${c+i+o.length}`);e.push({element:n,type:"warning",content:t.sprintf("IMAGE_ALT_TOO_LONG",s,i),inline:!1,position:"beforebegin",dismiss:a})}else if(""!==o)if(n.closest("figure")){const o=n.closest("figure").querySelector("figcaption");if(o&&o.textContent.trim().toLowerCase()===i.trim().toLowerCase()){const o=f(`FIGURE${c+i}`);e.push({element:n,type:"warning",content:t.sprintf("IMAGE_FIGURE_DUPLICATE_ALT",i),inline:!1,position:"beforebegin",dismiss:o})}else e.push({element:n,type:"good",content:t.sprintf("IMAGE_PASS",i),inline:!1,position:"beforebegin"})}else e.push({element:n,type:"good",content:t.sprintf("IMAGE_PASS",i),inline:!1,position:"beforebegin"})}else"-1"===n.closest("a[href]").getAttribute("tabindex")&&"true"===n.closest("a[href]").getAttribute("aria-hidden")||("true"===n.closest("a[href]").getAttribute("aria-hidden")?e.push({element:n,type:"error",content:t.sprintf("LINK_IMAGE_ARIA_HIDDEN"),inline:!1,position:"beforebegin"}):0===l(n.closest("a[href]")).textContent.trim().length?e.push({element:n,type:"error",content:t.sprintf("LINK_IMAGE_NO_ALT_TEXT"),inline:!1,position:"beforebegin"}):e.push({element:n,type:"good",content:t.sprintf("LINK_IMAGE_HAS_TEXT"),inline:!1,position:"beforebegin"}))}})),{results:e}}function Vt(e,n,o,i,a){let d;return x.Found.Headings.forEach(((i,p)=>{const u=function(e){const t=s(e),n=Array.from(e.querySelectorAll("img"));let o="";if(0===n.length&&t.length>1)o=t;else if(n.length&&0===t.length){const e=n[0].getAttribute("alt");e&&" "!==e&&""!==e?void 0!==e&&(o=e):o=""}else n.length&&t.length&&(n.forEach((e=>{e.insertAdjacentHTML("afterend",` <span data-sa11y-clone-image-text aria-hidden="true">${n[0].getAttribute("alt")}</span>`)})),o=t);return o}(l(i)),g=r(u);let m;m=i.getAttribute("aria-level")?+i.getAttribute("aria-level"):+i.tagName.slice(1),m=parseInt(m,10);const b=g.length;let h=null,y=null;if(m-d>1&&0!==p)if(!0===n)h=t.sprintf("HEADING_NON_CONSECUTIVE_LEVEL",d,m),e.push({element:i,type:"error",content:h,inline:!1,position:"beforebegin"});else{y=t.sprintf("HEADING_NON_CONSECUTIVE_LEVEL",d,m);const n=f(`HEADING${m+g}`);e.push({element:i,type:"warning",content:y,inline:!1,position:"beforebegin",dismiss:n})}else if(0===b)if(i.querySelectorAll("img").length){const n=i.querySelector("img").getAttribute("alt");null!==n&&" "!==n&&""!==n||(h=t.sprintf("HEADING_EMPTY_WITH_IMAGE",m),e.push({element:i,type:"error",content:h,inline:!1,position:"beforebegin"}))}else h=t.sprintf("HEADING_EMPTY",m),e.push({element:i,type:"error",content:h,inline:!1,position:"beforebegin"});else if(0===p&&1!==m&&2!==m)h=t.sprintf("HEADING_FIRST"),e.push({element:i,type:"error",content:h,inline:!1,position:"beforebegin"});else if(b>170&&!0===o){y=t.sprintf("HEADING_LONG",b);const n=f(`HEADING${m+g}`);e.push({element:i,type:"warning",content:y,inline:!1,position:"beforebegin",dismiss:n})}d=m;const v=!!((x=i).getAttribute("hidden")||0===x.offsetWidth&&0===x.offsetHeight||1===x.clientHeight&&1===x.clientWidth)||"none"===getComputedStyle(x).getPropertyValue("display");var x;const A=c(i,"display","none");if(null!==h)a.push({element:i,headingLevel:m,text:g,index:p,type:"error",hidden:v,visibleParent:A});else if(null!==y){const e=f(`HEADING${m+g}`);a.push({element:i,headingLevel:m,text:g,index:p,type:"warning",hidden:v,visibleParent:A,dismiss:e})}else null!==h&&null!==y||a.push({element:i,headingLevel:m,text:g,index:p,hidden:v,visibleParent:A})})),0===x.Found.HeadingOne.length&&!0===i&&e.push({type:"error",content:t.sprintf("HEADING_MISSING_ONE")}),{results:e,headingOutline:a}}function Wt(e,n,i){return x.Found.Links.forEach((a=>{let c=d(a);const p=a.getAttribute("aria-labelledby"),u=a.getAttribute("aria-label");let g=null,m=null;const b=a.getAttribute("title"),h=a.getAttribute("href");if(a.children.length){const e=a.children[0];g=e.getAttribute("aria-labelledby"),m=e.getAttribute("aria-label")}if("noAria"===c){c=s(a);const e=a.querySelector("img");if(e){const t=d(e);c+="noAria"!==t?t:e&&e.getAttribute("alt")||""}}const y=(e=>{const n=[null,null,null,null];return t._("PARTIAL_ALT_STOPWORDS").forEach((t=>(e.length===t.length&&e.toLowerCase().indexOf(t)>=0&&(n[0]=t),!1))),t._("WARNING_ALT_STOPWORDS").forEach((t=>(e.toLowerCase().indexOf(t)>=0&&(n[1]=t),!1))),e.toLowerCase().includes("doi")&&(n[2]="doi.org"),["http",".asp",".htm",".php",".edu/",".com/",".net/",".org/",".us/",".ca/",".de/",".icu/",".uk/",".ru/",".info/",".top/",".xyz/",".tk/",".cn/",".ga/",".cf/",".nl/",".io/",".fr/",".pe/",".nz/",".pt/",".es/",".pl/",".ua/"].forEach((t=>(e.toLowerCase().indexOf(t)>=0&&(n[3]=t),!1))),n})(l(a,o.Exclusions.LinkSpan).textContent.replace(/[!?。，、&*()\-;':"\\|,.<>↣↳←→↓«»↴]+/g,"").trim()),v=c.match(/([<>↣↳←→↓«»↴]+)/),x=v?v[1]:null;if(a.querySelectorAll("img").length);else if(h&&!c)a&&b||(a.children.length?e.push({element:a,type:"error",content:t.sprintf("LINK_EMPTY_LINK_NO_LABEL"),inline:!0,position:"afterend"}):e.push({element:a,type:"error",content:t.sprintf("LINK_EMPTY"),inline:!0,position:"afterend"}));else if(null!==y[0])if(p||u||g||m){const o=r(c);!0===n&&e.push({element:a,type:"good",content:t.sprintf("LINK_LABEL",o),inline:!0,position:"afterend"})}else"true"===a.getAttribute("aria-hidden")&&"-1"===a.getAttribute("tabindex")||e.push({element:a,type:"error",content:t.sprintf("LINK_STOPWORD",y[0]),inline:!0,position:"afterend"});else if(null!==y[1]||null!==x){const n=f(`LINK${c+h}`),o=x||y[1];e.push({element:a,type:"warning",content:t.sprintf("LINK_BEST_PRACTICES",o),inline:!0,position:"beforebegin",dismiss:n})}else if(null!==y[2]&&!0===i){const n=f(`LINK${c+y[2]+h}`);c.length>8&&e.push({element:a,type:"warning",content:t.sprintf("LINK_DOI"),inline:!0,position:"beforebegin",dismiss:n})}else if(null!==y[3]){const n=f(`LINK${c+y[2]+h}`);c.length>40&&e.push({element:a,type:"warning",content:t.sprintf("LINK_URL"),inline:!0,position:"beforebegin",dismiss:n})}else if(p||u||g||m){if(!0===n){const n=r(c);e.push({element:a,type:"good",content:t.sprintf("LINK_LABEL",n),inline:!0,position:"afterend"})}}else"."!==c&&","!==c&&"/"!==c||e.push({element:a,type:"error",content:t.sprintf("LINK_EMPTY"),inline:!0,position:"afterend"})})),{results:e}}function Kt(e,n){return!0===n.formLabelsPlugin&&("On"!==u.getItem("sa11y-remember-labels")&&!0!==n.headless&&!0!==n.checkAllHideToggles||x.Found.Inputs.forEach((n=>{if(!0!=(!!((o=n).getAttribute("hidden")||0===o.offsetWidth&&0===o.offsetHeight)||"none"===getComputedStyle(o).getPropertyValue("display"))){let o=d(n);const i=n.getAttribute("type"),a=n.getAttribute("tabindex");if("submit"===i||"button"===i||"hidden"===i||"-1"===a);else if("image"===i){const o=n.getAttribute("alt");o&&" "!==o||n.getAttribute("aria-label")||e.push({element:n,type:"error",content:t.sprintf("LABELS_MISSING_IMAGE_INPUT_MESSAGE"),inline:!1,position:"beforebegin"})}else if("reset"===i){const i=f(`INPUT${o}`);e.push({element:n,type:"warning",content:t.sprintf("LABELS_INPUT_RESET_MESSAGE"),inline:!1,position:"beforebegin",dismiss:i})}else if(n.getAttribute("aria-label")||n.getAttribute("aria-labelledby")||n.getAttribute("title"))if(n.getAttribute("title")){o=n.getAttribute("title");const i=f(`INPUT${o}`),a=r(o);e.push({element:n,type:"warning",content:t.sprintf("LABELS_ARIA_LABEL_INPUT_MESSAGE",a),inline:!1,position:"beforebegin",dismiss:i})}else{const i=f(`INPUT${o}`),a=r(o);e.push({element:n,type:"warning",content:t.sprintf("LABELS_ARIA_LABEL_INPUT_MESSAGE",a),inline:!1,position:"beforebegin",dismiss:i})}else if(n.closest("label")&&n.closest("label").textContent.trim());else if(n.getAttribute("id")){let o=!1;if(x.Found.Labels.forEach((e=>{o||e.getAttribute("for")===n.getAttribute("id")&&(o=!0)})),!o){const o=n.getAttribute("id");e.push({element:n,type:"error",content:t.sprintf("LABELS_NO_FOR_ATTRIBUTE_MESSAGE",o),inline:!1,position:"beforebegin"})}}else e.push({element:n,type:"error",content:t.sprintf("LABELS_MISSING_LABEL_MESSAGE"),inline:!1,position:"beforebegin"})}var o}))),{results:e}}class Qt{constructor(n){const c={...e,...n};this.initialize=()=>{var e;(()=>{const{doNotRun:e}=c;return e.trim().length>0&&document.querySelector(e)})()||(customElements.define("sa11y-heading-label",Gt),customElements.define("sa11y-heading-anchor",Dt),customElements.define("sa11y-annotation",$t),customElements.define("sa11y-tooltips",Ct),customElements.define("sa11y-dismiss-tooltip",Nt),customElements.define("sa11y-control-panel",I),customElements.define("sa11y-console-error",E),o.initializeGlobal(c),o.initializeReadability(c),o.initializeExclusions(c),o.initializeEmbeddedContent(c),e=()=>{if(!0===c.headless)this.checkAll(),u.removeItem("sa11y-dismissed");else{const i=new I;document.body.appendChild(i),function(e,n){!0===o.Global.contrastPlugin?o.Panel.contrastToggle.onclick=async()=>{"On"===u.getItem("sa11y-remember-contrast")?(u.setItem("sa11y-remember-contrast","Off"),o.Panel.contrastToggle.textContent=`${t._("OFF")}`,o.Panel.contrastToggle.setAttribute("aria-pressed","false"),n(!1),await e()):(u.setItem("sa11y-remember-contrast","On"),o.Panel.contrastToggle.textContent=`${t._("ON")}`,o.Panel.contrastToggle.setAttribute("aria-pressed","true"),n(!1),await e())}:u.setItem("sa11y-remember-contrast","Off"),!0===o.Global.formLabelsPlugin?o.Panel.labelsToggle.onclick=async()=>{"On"===u.getItem("sa11y-remember-labels")?(u.setItem("sa11y-remember-labels","Off"),o.Panel.labelsToggle.textContent=`${t._("OFF")}`,o.Panel.labelsToggle.setAttribute("aria-pressed","false"),n(!1),await e()):(u.setItem("sa11y-remember-labels","On"),o.Panel.labelsToggle.textContent=`${t._("ON")}`,o.Panel.labelsToggle.setAttribute("aria-pressed","true"),n(!1),await e())}:u.setItem("sa11y-remember-labels","Off"),!0===o.Global.linksAdvancedPlugin?o.Panel.linksToggle.onclick=async()=>{"On"===u.getItem("sa11y-remember-links-advanced")?(u.setItem("sa11y-remember-links-advanced","Off"),o.Panel.linksToggle.textContent=`${t._("OFF")}`,o.Panel.linksToggle.setAttribute("aria-pressed","false"),n(!1),await e()):(u.setItem("sa11y-remember-links-advanced","On"),o.Panel.linksToggle.textContent=`${t._("ON")}`,o.Panel.linksToggle.setAttribute("aria-pressed","true"),n(!1),await e())}:u.setItem("sa11y-remember-links-advanced","Off"),!0===o.Readability.Plugin&&(o.Panel.readabilityToggle.onclick=async()=>{"On"===u.getItem("sa11y-remember-readability")?(u.setItem("sa11y-remember-readability","Off"),o.Panel.readabilityToggle.textContent=`${t._("OFF")}`,o.Panel.readabilityToggle.setAttribute("aria-pressed","false"),o.Panel.readability.classList.remove("active"),n(!1),await e()):(u.setItem("sa11y-remember-readability","On"),o.Panel.readabilityToggle.textContent=`${t._("ON")}`,o.Panel.readabilityToggle.setAttribute("aria-pressed","true"),o.Panel.readability.classList.add("active"),n(!1),await e())},"On"===u.getItem("sa11y-remember-readability")&&o.Panel.readability.classList.add("active"));const i=window.matchMedia("(prefers-color-scheme: dark)");i.matches?(o.Panel.themeToggle.textContent=`${t._("ON")}`,o.Panel.themeToggle.setAttribute("aria-pressed","true")):(o.Panel.themeToggle.textContent=`${t._("OFF")}`,o.Panel.themeToggle.setAttribute("aria-pressed","false")),i.addEventListener("change",(()=>{i.matches?(o.Global.html.setAttribute("data-sa11y-theme","dark"),o.Panel.themeToggle.textContent=`${t._("ON")}`,o.Panel.themeToggle.setAttribute("aria-pressed","true"),u.setItem("sa11y-remember-theme","")):(o.Global.html.setAttribute("data-sa11y-theme","light"),o.Panel.themeToggle.textContent=`${t._("OFF")}`,o.Panel.themeToggle.setAttribute("aria-pressed","false"),u.setItem("sa11y-remember-theme",""))})),o.Panel.themeToggle.onclick=async()=>{const e=u.getItem("sa11y-remember-theme");"dark"===e?(o.Global.html.setAttribute("data-sa11y-theme","light"),u.setItem("sa11y-remember-theme","light"),o.Panel.themeToggle.textContent=`${t._("OFF")}`,o.Panel.themeToggle.setAttribute("aria-pressed","false")):"light"===e?(o.Global.html.setAttribute("data-sa11y-theme","dark"),u.setItem("sa11y-remember-theme","dark"),o.Panel.themeToggle.textContent=`${t._("ON")}`,o.Panel.themeToggle.setAttribute("aria-pressed","true")):i.matches?(o.Global.html.setAttribute("data-sa11y-theme","light"),u.setItem("sa11y-remember-theme","light"),o.Panel.themeToggle.textContent=`${t._("OFF")}`,o.Panel.themeToggle.setAttribute("aria-pressed","false")):(o.Global.html.setAttribute("data-sa11y-theme","dark"),u.setItem("sa11y-remember-theme","dark"),o.Panel.themeToggle.textContent=`${t._("ON")}`,o.Panel.themeToggle.setAttribute("aria-pressed","true"))};const a=u.getItem("sa11y-remember-theme");"dark"===a?(o.Global.html.setAttribute("data-sa11y-theme","dark"),u.setItem("sa11y-remember-theme","dark"),o.Panel.themeToggle.textContent=`${t._("ON")}`,o.Panel.themeToggle.setAttribute("aria-pressed","true")):"light"===a&&(o.Global.html.setAttribute("data-sa11y-theme","light"),u.setItem("sa11y-remember-theme","light"),o.Panel.themeToggle.textContent=`${t._("OFF")}`,o.Panel.themeToggle.setAttribute("aria-pressed","false")),!0===o.Global.colourFilterPlugin&&o.Panel.colourFilterSelect.addEventListener("change",(async()=>{const i=parseInt(o.Panel.colourFilterSelect.value,10),a=["protanopia","deuteranopia","tritanopia","monochromacy"],r=[t._("RED_EYE"),t._("GREEN_EYE"),t._("BLUE_EYE"),t._("MONO_EYE")];i>=1&&i<=4?window.matchMedia("(forced-colors: active)").matches?b(t._("COLOUR_FILTER_HIGH_CONTRAST_MESSAGE")):(o.Global.Root.setAttribute("data-sa11y-filter",a[i-1]),o.Panel.colourFilterIcon.setAttribute("aria-label",r[i-1]),h(["data-sa11y-error","data-sa11y-warning","data-sa11y-good","data-sa11y-error-inline","data-sa11y-warning-inline","data-sa11y-overflow"],"document"),y(["sa11y-annotation","sa11y-tooltips","sa11y-heading-label"],"document"),o.Panel.skipButton.disabled=!0,o.Panel.pageIssues.classList.remove("active"),"left"!==o.Global.panelPosition&&"right"!==o.Global.panelPosition||o.Panel.settingsContent.classList.add("hide-settings-border"),o.Panel.colourFilterSelect.classList.add("active"),o.Panel.colourPanel.classList.add("active"),o.Panel.colourPanel.setAttribute("data-colour",a[i-1]),o.Panel.content.hidden=!0):(o.Global.Root.removeAttribute("data-sa11y-filter"),o.Panel.settingsContent.classList.remove("hide-settings-border"),o.Panel.colourFilterSelect.classList.remove("active"),o.Panel.colourPanel.classList.remove("active"),o.Panel.colourPanel.removeAttribute("data-colour"),o.Panel.content.hidden=!1,n(!1),await e())}))}(this.checkAll,this.resetAll),o.Panel.outlineToggle.addEventListener("click",(()=>{"true"===o.Panel.outlineToggle.getAttribute("aria-expanded")?(o.Panel.outlineToggle.classList.remove("outline-active"),o.Panel.outline.classList.remove("active"),o.Panel.outlineToggle.setAttribute("aria-expanded","false"),u.setItem("sa11y-remember-outline","Closed"),document.querySelectorAll("sa11y-heading-label").forEach((e=>e.hidden=!0)),v(o.Panel.outlineList,o.Panel.outlineContent)):(o.Panel.outlineToggle.classList.add("outline-active"),o.Panel.outline.classList.add("active"),o.Panel.outlineToggle.setAttribute("aria-expanded","true"),u.setItem("sa11y-remember-outline","Opened"),document.querySelectorAll("sa11y-heading-label").forEach((e=>e.hidden=!1))),o.Panel.outlineHeader.focus(),o.Panel.settings.classList.remove("active"),o.Panel.settingsToggle.classList.remove("settings-active"),o.Panel.settingsToggle.setAttribute("aria-expanded","false"),v(o.Panel.outlineList,o.Panel.outlineContent)})),"Opened"===u.getItem("sa11y-remember-outline")&&(o.Panel.outlineToggle.classList.add("outline-active"),o.Panel.outline.classList.add("active"),o.Panel.outlineToggle.setAttribute("aria-expanded","true"),setTimeout((()=>{v(o.Panel.outlineList,o.Panel.outlineContent)}),0)),o.Panel.settingsToggle.addEventListener("click",(()=>{"true"===o.Panel.settingsToggle.getAttribute("aria-expanded")?(o.Panel.settingsToggle.classList.remove("settings-active"),o.Panel.settings.classList.remove("active"),o.Panel.settingsToggle.setAttribute("aria-expanded","false")):(o.Panel.settingsToggle.classList.add("settings-active"),o.Panel.settings.classList.add("active"),o.Panel.settingsToggle.setAttribute("aria-expanded","true")),o.Panel.settingsHeader.focus(),document.querySelectorAll("sa11y-heading-label").forEach((e=>e.hidden=!0)),o.Panel.outline.classList.remove("active"),o.Panel.outlineToggle.classList.remove("outline-active"),o.Panel.outlineToggle.setAttribute("aria-expanded","false"),u.setItem("sa11y-remember-outline","Closed"),o.Panel.settingsContent.clientHeight>350&&(o.Panel.settingsContent.setAttribute("tabindex","0"),o.Panel.settingsContent.setAttribute("aria-label",`${t._("SETTINGS")}`),o.Panel.settingsContent.setAttribute("role","region"))})),o.Panel.skipToPageIssues.addEventListener("click",(()=>{o.Panel.pageIssuesHeader.focus()})),setTimeout((()=>{v(o.Panel.pageIssuesList,o.Panel.pageIssuesContent)}),0),o.Panel.controls.addEventListener("keydown",(e=>{const t=o.Panel.panel.querySelectorAll("#outline-toggle[role=tab], #settings-toggle[role=tab]");if("ArrowRight"===e.key)for(let n=0;n<t.length;n++)if("true"===t[n].getAttribute("aria-expanded")||"false"===t[n].getAttribute("aria-expanded")){t[n+1].focus(),e.preventDefault();break}if("ArrowDown"===e.key)for(let n=0;n<t.length;n++)if("true"===t[n].getAttribute("aria-expanded")||"false"===t[n].getAttribute("aria-expanded")){t[n+1].focus(),e.preventDefault();break}if("ArrowLeft"===e.key)for(let n=t.length-1;n>0;n--)if("true"===t[n].getAttribute("aria-expanded")||"false"===t[n].getAttribute("aria-expanded")){t[n-1].focus(),e.preventDefault();break}if("ArrowUp"===e.key)for(let n=t.length-1;n>0;n--)if("true"===t[n].getAttribute("aria-expanded")||"false"===t[n].getAttribute("aria-expanded")){t[n-1].focus(),e.preventDefault();break}})),function(){if(!0===o.Global.colourFilterPlugin&&!1===o.Global.headless){const e=document.createElement("div");e.id="sa11y-colour-filters",e.setAttribute("aria-hidden","true"),e.innerHTML='\n        \x3c!-- DaltonLens SVG filters to simulate color vision deficiencies --\x3e\n        <svg id="sa11y-svg-filters" xmlns="http://www.w3.org/2000/svg">\n          <filter id="sa11y-protanopia" color-interpolation-filters="linearRGB">\n            <feColorMatrix type="matrix" in="SourceGraphic" values="\n                0.10889,0.89111,-0.00000,0,0\n                0.10889,0.89111,0.00000,0,0\n                0.00447,-0.00447,1.00000,0,0\n                0,0,0,1,0"\n            />\n          </filter>\n          <filter id="sa11y-deuteranopia" color-interpolation-filters="linearRGB">\n            <feColorMatrix type="matrix" in="SourceGraphic" values="\n                0.29031,0.70969,-0.00000,0,0\n                0.29031,0.70969,-0.00000,0,0\n                -0.02197,0.02197,1.00000,0,0\n                0,0,0,1,0"\n            />\n          </filter>\n          <filter id="sa11y-tritanopia" color-interpolation-filters="linearRGB">\n            <feColorMatrix type="matrix" in="SourceGraphic" result="ProjectionOnPlane1" values="\n                1.01354, 0.14268, -0.15622, 0, 0\n                -0.01181, 0.87561, 0.13619, 0, 0\n                0.07707, 0.81208, 0.11085, 0, 0\n                7.92482, -5.66475, -2.26007, 1, -0.2"\n            />\n            <feComponentTransfer in="ProjectionOnPlane1" result="ProjectionOnPlane1">\n                <feFuncA type="discrete" tableValues="0 0 0 0 1"/>\n            </feComponentTransfer>\n            <feColorMatrix type="matrix" in="SourceGraphic" result="ProjectionOnPlane2" values="\n                0.93337, 0.19999, -0.13336, 0, 0\n                0.05809, 0.82565, 0.11626, 0, 0\n                -0.37923, 1.13825, 0.24098, 0, 0\n                0,0,0,1,0"\n            />\n            <feBlend in="ProjectionOnPlane1" in2="ProjectionOnPlane2" mode="normal"/>\n          </filter>\n          <filter id="sa11y-monochromacy">\n            <feColorMatrix values="0.33 0.33 0.33 0 0                           0.33 0.33 0.33 0 0                           0.33 0.33 0.33 0 0                           0 0 0 1 0"></feColorMatrix>\n          </filter>\n        </svg>',document.body.appendChild(e)}}(),A(c.detectSPArouting,this.checkAll,this.resetAll),this.dismissTooltip=new Nt,document.body.appendChild(this.dismissTooltip),o.Panel.toggle.disabled=!1,this.checkAll(),e=this.checkAll,n=this.resetAll,o.Panel.toggle.addEventListener("click",(t=>{"Opened"===u.getItem("sa11y-remember-panel")?(t.preventDefault(),u.setItem("sa11y-remember-panel","Closed"),o.Panel.toggle.classList.remove("on"),o.Panel.toggle.setAttribute("aria-expanded","false"),n(),""===o.Panel.notifCount.innerHTML.trim()?o.Panel.notifBadge.style.display="none":o.Panel.notifBadge.style.display="flex"):(t.preventDefault(),u.setItem("sa11y-remember-panel","Opened"),o.Panel.toggle.classList.add("on"),o.Panel.toggle.setAttribute("aria-expanded","true"),e(),v(o.Panel.outlineList,o.Panel.outlineContent))})),"Opened"===u.getItem("sa11y-remember-panel")&&(o.Panel.toggle.classList.add("on"),o.Panel.toggle.setAttribute("aria-expanded","true"),o.Panel.panel.style.transform=""),document.onkeydown=e=>{const t=e||window.event;"Escape"===t.key&&o.Panel.panel.classList.contains("active")&&(o.Panel.toggle.setAttribute("aria-expanded","false"),o.Panel.toggle.classList.remove("on"),o.Panel.toggle.click(),n()),t.altKey&&"KeyA"===t.code&&(o.Panel.toggle.click(),o.Panel.toggle.focus(),t.preventDefault())}}var e,n},"complete"===document.readyState?e():window.addEventListener("load",e))},this.checkAll=async()=>{try{this.results=[],this.headingOutline=[],this.errorCount=0,this.warningCount=0;if(document.querySelector(c.checkRoot)||b(`${t.sprintf("ERROR_MISSING_ROOT_TARGET",c.checkRoot)}`),o.initializeShadowSearch(c.checkRoot,c.autoDetectShadowComponents,c.shadowComponents),x.initializeElements(c.linksToFlag),Vt(this.results,c.nonConsecutiveHeadingIsError,c.flagLongHeadings,c.missingH1,this.headingOutline),Wt(this.results,c.showGoodLinkButton,c.linksToDOI),Ut(this.results),function(e,n){if(!0===n.contrastPlugin&&("On"===u.getItem("sa11y-remember-contrast")||!0===n.headless||!0===n.checkAllHideToggles)){let n={errors:[],warnings:[]};const o={parseRgb(e){let t,n,o,i,a;if(n=e.match(/rgb\(\s*(\-?\d+),\s*(\-?\d+)\s*,\s*(\-?\d+)\s*\)/)){for(o=n.slice(1,4),t=i=0;i<=2;t=++i)o[t]=+o[t];o[3]=1}else if(n=e.match(/rgba\(\s*(\-?\d+),\s*(\-?\d+)\s*,\s*(\-?\d+)\s*,\s*([01]|[01]?\.\d+)\)/))for(o=n.slice(1,5),t=a=0;a<=3;t=++a)o[t]=+o[t];return o},relativeLuminance(e){const t=[];for(let n=0;n<3;n++){const o=e[n]/255;t.push(o<.03928?o/12.92:Math.pow((o+.055)/1.055,2.4))}return.2126*t[0]+.7152*t[1]+.0722*t[2]},contrastRatio(e,t){const n=o.relativeLuminance(o.parseRgb(e)),i=o.relativeLuminance(o.parseRgb(t));return(Math.max(n,i)+.05)/(Math.min(n,i)+.05)},getBackground(e){if(11===e.nodeType){const t=e.getRootNode().host.parentNode;if(null===t)return"alpha";e=t}const t=getComputedStyle(e),n=t.backgroundColor,i=t.backgroundImage,a=`${o.parseRgb(n)}`.split(",");return a[3]<1&&a[3]>0?"alpha":"rgba(0, 0, 0, 0)"!==n&&"transparent"!==n&&"none"===i&&"0"!==a[3]?n:"none"!==i?"image":"HTML"===e.tagName?"rgb(255, 255, 255)":o.getBackground(e.parentNode)},check(){n={errors:[],warnings:[]};for(let e=0;e<x.Found.Contrast.length;e++){const t=x.Found.Contrast[e];if(x.Found.Contrast){const e=getComputedStyle(t),{color:i}=e,{fill:a}=e,r=parseInt(e.fontSize,10)*(3/4),{fontWeight:s}=e,l=t.tagName,d=o.getBackground(t),c=[].reduce.call(t.childNodes,((e,t)=>e+(3===t.nodeType?t.textContent:"")),"").trim(),p=window.getComputedStyle(t).clip.replace(/\s/g,""),u=parseFloat(window.getComputedStyle(t).width),g=parseFloat(window.getComputedStyle(t).height);let f,m,b;if(1!==u||1!==g||"rect(0,0,0,0)"!==p&&"rect(1px,1px,1px,1px)"!==p)if("SVG"===l)f=Math.round(100*o.contrastRatio(a,d))/100,f<3&&(m={elem:t,ratio:`${f}:1`},n.errors.push(m));else if(c.length||"INPUT"===l||"SELECT"===l||"TEXTAREA"===l){const e=t.getAttribute("type");"range"===e||"color"===e||("image"===d||"alpha"===d?(b={elem:t},n.warnings.push(b)):(f=Math.round(100*o.contrastRatio(i,d))/100,r>=18||r>=14&&s>=700?f<3&&(m={elem:t,ratio:`${f}:1`},n.errors.push(m)):f<4.5&&(m={elem:t,ratio:`${f}:1`},n.errors.push(m))))}}}return n}};o.check(),n.errors.forEach((n=>{const o=n.elem,i=n.ratio,a=r(l(o.cloneNode(!0),"script, style").textContent);"INPUT"===o.tagName?e.push({element:o,type:"error",content:t.sprintf("CONTRAST_INPUT_ERROR",i),inline:!1,position:"beforebegin"}):e.push({element:o,type:"error",content:t.sprintf("CONTRAST_ERROR",i,a),inline:!1,position:"beforebegin"})})),n.warnings.forEach((n=>{const o=n.elem,i=l(o.cloneNode(!0),"script, style").textContent,a=f(`CONTRAST${i}`),s=r(i);e.push({element:o,type:"warning",content:t.sprintf("CONTRAST_WARNING",s),inline:!1,position:"beforebegin",dismiss:a})}))}}(this.results,c),Kt(this.results,c),function(e,n){if(!0===n.linksAdvancedPlugin&&("On"===u.getItem("sa11y-remember-links-advanced")||!0===n.headless||!0===n.checkAllHideToggles)){const n={};x.Found.Links.forEach((i=>{let a=d(i);const c=i.querySelector("img");if("noAria"===a&&(a=l(i,o.Exclusions.LinkSpan),a=s(a),c)){const e=d(c);a+="noAria"!==e?e:c&&c.getAttribute("alt")||""}const p=a.replace(/'|"|-|\.|\s+/g,"").toLowerCase(),u=i.getAttribute("href");if(0!==a.length)if(n[p]&&0!==p.length)if(n[u]);else{const n=f(`LINK${p+u}`),o=r(a);e.push({element:i,type:"warning",content:t.sprintf("LINK_IDENTICAL_NAME",o),inline:!0,position:"beforebegin",dismiss:n})}else n[p]=!0,n[u]=!0;const g=t._("NEW_WINDOW_PHRASES").some((e=>(0===a.trim().length&&i.getAttribute("title")&&(a=i.getAttribute("title")),a.toLowerCase().indexOf(e)>=0))),m=["pdf","doc","docx","word","mp3","ppt","text","pptx","txt","exe","dmg","rtf","windows","macos","csv","xls","xlsx","mp4","mov","avi","zip"].concat(t._("FILE_TYPE_PHRASES")).some((e=>a.toLowerCase().indexOf(e)>=0)),b=i.matches("\n              a[href$='.pdf'],\n              a[href$='.doc'],\n              a[href$='.docx'],\n              a[href$='.zip'],\n              a[href$='.mp3'],\n              a[href$='.txt'],\n              a[href$='.exe'],\n              a[href$='.dmg'],\n              a[href$='.rtf'],\n              a[href$='.pptx'],\n              a[href$='.ppt'],\n              a[href$='.xls'],\n              a[href$='.xlsx'],\n              a[href$='.csv'],\n              a[href$='.mp4'],\n              a[href$='.mov'],\n              a[href$='.avi']\n            ");if(0!==p.length&&"_blank"===i.getAttribute("target")&&!b&&!g){const n=f(`LINK${p+u}`);e.push({element:i,type:"warning",content:t.sprintf("NEW_TAB_WARNING"),inline:!0,position:"beforebegin",dismiss:n})}if(0!==p.length&&b&&!m){const n=f(`LINK${p+u}`);e.push({element:i,type:"warning",content:t.sprintf("FILE_TYPE_WARNING"),inline:!0,position:"beforebegin",dismiss:n})}}))}}(this.results,c),function(e,n){if(!0===n.badLinksQA&&x.Found.CustomErrorLinks.forEach((n=>{e.push({element:n,type:"error",content:t.sprintf("QA_BAD_LINK",n),inline:!0,position:"beforebegin"})})),!0===n.strongItalicsQA&&x.Found.StrongItalics.forEach((n=>{const o=n.textContent.trim().length,i=f(n.tagName+n.textContent);o>400&&e.push({element:n.parentNode,type:"warning",content:t.sprintf("QA_BAD_ITALICS"),inline:!1,position:"beforebegin",dismiss:i})})),x.Found.Links.forEach((i=>{const a=i.getAttribute("href"),r=o.Global.documentLinks.split(", ");if(a){const o=r.some((e=>a.includes(e))),s=a.includes(".pdf"),l=f(`DOCUMENT${a}`);!0===n.documentQA&&o?e.push({element:i,type:"warning",content:t.sprintf("QA_DOCUMENT"),inline:!0,position:"beforebegin",dismiss:l}):!0===n.pdfQA&&s&&e.push({element:i,type:"warning",content:t.sprintf("QA_PDF"),inline:!0,position:"beforebegin",dismiss:l})}})),!0===n.langQA&&(!x.Found.Language||x.Found.Language.length<2)&&e.push({type:"error",content:t.sprintf("QA_PAGE_LANGUAGE")}),!0===n.blockquotesQA&&x.Found.Blockquotes.forEach((n=>{const o=n.textContent;if(o.trim().length<25){const i=r(o),a=f(`BLOCKQUOTE${i}`);e.push({element:n,type:"warning",content:t.sprintf("QA_BLOCKQUOTE_MESSAGE",i),inline:!1,position:"beforebegin",dismiss:a})}})),!0===n.tablesQA&&x.Found.Tables.forEach((n=>{const o=n.querySelectorAll("th"),i=n.querySelectorAll("h1, h2, h3, h4, h5, h6");0===o.length&&e.push({element:n,type:"error",content:t.sprintf("TABLES_MISSING_HEADINGS"),inline:!1,position:"beforebegin"}),i.length>0&&i.forEach((n=>{e.push({element:n,type:"error",content:t.sprintf("TABLES_SEMANTIC_HEADING"),inline:!1,position:"beforebegin"})})),o.forEach((n=>{0===n.textContent.trim().length&&e.push({element:n,type:"error",content:t.sprintf("TABLES_EMPTY_HEADING"),inline:!1,position:"afterbegin"})}))})),!0===n.fakeHeadingsQA&&x.Found.Paragraphs.forEach((n=>{const o=n.innerHTML.indexOf("</strong><br>"),i=n.innerHTML.indexOf("<br></strong>"),a='h1, h2, h3, h4, h5, h6, [role="heading"][aria-level], blockquote',l=a.concat(", table"),d=s(n);let c;if(n&&d.length>=300){const{firstChild:a}=n;if("STRONG"===a.tagName&&(-1!==i||-1!==o)){c=s(a);const o=null!==c.match(/[.;?!"]/);if(!/[*]$/.test(c)&&!n.closest(l)&&c.length>=4&&c.length<=120&&!1===o){const n=r(c),o=f(`BOLD${n}`);e.push({element:a,type:"warning",content:t.sprintf("QA_FAKE_HEADING",n),inline:!1,position:"beforebegin",dismiss:o})}}}if(/^<(strong)>.+<\/\1>$/.test(n.innerHTML.trim())){c=d;const o=n.previousElementSibling,i=null!==c.match(/[.;?!"]/);if(null!==o&&o.matches(a));else if(!/[*]$/.test(c)&&c.length>=4&&c.length<=120&&!n.closest(l)&&!1===i){const o=r(c),i=f(`BOLD${o}`);e.push({element:n,type:"warning",content:t.sprintf("QA_FAKE_HEADING",o),inline:!1,position:"beforebegin",dismiss:i})}}(n=>{const o=getComputedStyle(n).fontSize.replace("px",""),i='h1, h2, h3, h4, h5, h6, [role="heading"][aria-level], blockquote',a=s(n),l=n.previousElementSibling,d=null!==a.match(/[.;?!"]/);if(null!==l&&l.matches(i));else if(o>=24&&!n.closest(i)&&a.length>=4&&a.length<=120&&!1===d){const o=r(a),i=f(`BOLD${o}`);e.push({element:n,type:"warning",content:t.sprintf("QA_FAKE_HEADING",o),inline:!1,position:"beforebegin",dismiss:i})}})(n)})),!0===n.fakeListQA&&x.Found.Paragraphs.forEach((n=>{let o="";const i={b:"a",B:"A",2:"1","б":"а","Б":"А"},a=e=>e.replace(/^b|^B|^б|^Б|^2/,(e=>i[e]));let r=!1;const s=n.textContent.substring(0,2);if(s.trim().length>0&&s!==o&&s.match(/a\.|a\)|A\.|A\)|а\.|а\)|А\.|А\)|1\.|1\)|\*\s|-\s|--|•\s|→\s|✓\s|✔\s|✗\s|✖\s|✘\s|❯\s|›\s|»\s/)){const i=n.innerHTML.indexOf("<br>");if(-1!==i&&s===a(n.innerHTML.substring(i+4).trim().substring(0,2))&&(r=!0),r||function(e,t){let n=e.nextElementSibling;if(!t)return n;for(;n;){if(n.matches(t))return n;n=n.nextElementSibling}return""}(n,"p")&&s===a(n.nextElementSibling.textContent.substring(0,2))&&(r=!0),r){const i=f(`LIST${n.textContent}`);e.push({element:n,type:"warning",content:t.sprintf("QA_SHOULD_BE_LIST",s),inline:!1,position:"beforebegin",dismiss:i}),o=s}else o=""}else o=""})),!0===n.allCapsQA){const n=n=>{let o="";"LI"===n.tagName?n.childNodes.forEach((e=>{3===e.nodeType&&(o+=e.textContent)})):o=s(n);const i=o.match(/([A-Z]{2,}[ ])([A-Z]{2,}[ ])([A-Z]{2,}[ ])([A-Z]{2,})/g);if(i&&i[0].length>10){const i=f(`UPPERCASE${o}`);e.push({element:n,type:"warning",content:t.sprintf("QA_UPPERCASE_WARNING"),inline:!1,position:"beforebegin",dismiss:i})}};x.Found.Paragraphs.forEach((e=>n(e))),x.Found.Headings.forEach((e=>n(e))),x.Found.Lists.forEach((e=>n(e))),x.Found.Blockquotes.forEach((e=>n(e)))}if(!0===n.duplicateIdQA){const n={};x.Found.Ids.forEach((o=>{const{id:i}=o;i&&(void 0===n[i]?n[i]=1:e.push({element:o,type:"error",content:t.sprintf("QA_DUPLICATE_ID",i),inline:!0,position:"beforebegin"}))}))}if(!0===n.underlinedTextQA){x.Found.Underlines.forEach((n=>{const o=f(`UNDERLINE${s(n)}`);e.push({element:n,type:"warning",content:t.sprintf("QA_TEXT_UNDERLINE_WARNING"),inline:!0,position:"beforebegin",dismiss:o})}));const n=n=>{const o=getComputedStyle(n).textDecorationLine,i=s(n);if("underline"===o){const o=f(`UNDERLINE${i}`);e.push({element:n,type:"warning",content:t.sprintf("QA_TEXT_UNDERLINE_WARNING"),inline:!1,position:"beforebegin",dismiss:o})}};x.Found.Paragraphs.forEach((e=>n(e))),x.Found.Headings.forEach((e=>n(e))),x.Found.Lists.forEach((e=>n(e))),x.Found.Blockquotes.forEach((e=>n(e))),x.Found.Spans.forEach((e=>n(e)))}if(!0===n.pageTitleQA){const n=document.querySelector("title");n&&0!==n.textContent.trim().length||e.push({type:"error",content:t.sprintf("QA_PAGE_TITLE")})}!0===n.subscriptQA&&x.Found.Subscripts.forEach((n=>{const o=s(n);if(o.length>=80){const i=f(n.tagName+o);e.push({element:n,type:"warning",content:t.sprintf("QA_SUBSCRIPT_WARNING"),inline:!0,position:"beforebegin",dismiss:i})}}))}(this.results,c),function(e,n){!0===n.embeddedContentAll&&(!0===n.embeddedContentAudio&&x.Found.Audio.forEach((n=>{const o=f(`IFRAME${"undefined"!==n.getAttribute("src")?n.getAttribute("src"):n.querySelector("[src]").getAttribute("src")}`);e.push({element:n,type:"warning",content:t.sprintf("EMBED_AUDIO"),inline:!1,position:"beforebegin",dismiss:o})})),!0===n.embeddedContentVideo&&x.Found.Videos.forEach((n=>{const o=n.getElementsByTagName("TRACK");if("VIDEO"===n.tagName&&o.length);else{const o=f(`IFRAME${"undefined"!==n.getAttribute("src")?n.getAttribute("src"):n.querySelector("[src]").getAttribute("src")}`);e.push({element:n,type:"warning",content:t.sprintf("EMBED_VIDEO"),inline:!1,position:"beforebegin",dismiss:o})}})),!0===n.embeddedContentDataViz&&x.Found.Visualizations.forEach((n=>{const o=f(`IFRAME${"undefined"!==n.getAttribute("src")?n.getAttribute("src"):n.querySelector("[src]").getAttribute("src")}`);e.push({element:n,type:"warning",content:t.sprintf("EMBED_DATA_VIZ"),inline:!1,position:"beforebegin",dismiss:o})})),!0===n.embeddedContentTitles&&x.Found.Iframes.forEach((n=>{"VIDEO"===n.tagName||"AUDIO"===n.tagName||"true"===n.getAttribute("aria-hidden")||null!==n.getAttribute("hidden")||"none"===n.style.display||"presentation"===n.getAttribute("role")||null!==n.getAttribute("title")&&""!==n.getAttribute("title")||null!==n.getAttribute("aria-label")&&""!==n.getAttribute("aria-label")||null===n.getAttribute("aria-labelledby")&&(n.classList.contains("sa11y-warning-border")&&n.classList.remove("sa11y-warning-border"),e.push({element:n,type:"error",content:t.sprintf("EMBED_MISSING_TITLE"),inline:!1,position:"beforebegin"}))})),!0===n.embeddedContentGeneral&&x.Found.EmbeddedContent.forEach((n=>{if("VIDEO"===n.tagName||"AUDIO"===n.tagName||"true"===n.getAttribute("aria-hidden")||null!==n.getAttribute("hidden")||"none"===n.style.display||"presentation"===n.getAttribute("role")||"-1"===n.getAttribute("tabindex"));else{const o=f(`IFRAME${"undefined"!==n.getAttribute("src")?n.getAttribute("src"):n.querySelector("[src]").getAttribute("src")}`);e.push({element:n,type:"warning",content:t.sprintf("EMBED_GENERAL_WARNING"),inline:!1,position:"beforebegin",dismiss:o})}})))}(this.results,c),function(){let e;if(!0===o.Readability.Plugin&&"On"===u.getItem("sa11y-remember-readability")){x.Found.Readability.forEach((e=>{const t=e.textContent;t.length>=120&&"."!==t.charAt(t.length-1)&&e.insertAdjacentHTML("beforeend","<span data-sa11y-readability-period>.</span>")}));const n=[];for(let e=0;e<x.Found.Readability.length;e++){const t=s(l(x.Found.Readability[e]));""!==t&&n.push(t)}const i=n.join(" ").toString();if(["en","es","fr","de","nl","it","pt"].includes(o.Readability.Lang)){const n=e=>{let t=e;if(t=t.toLowerCase().replace(".","").replace("\n",""),t.length<=3)return 1;t=t.replace(/(?:[^laeiouy]es|ed|[^laeiouy]e)$/,""),t=t.replace(/^y/,"");const n=t.match(/[aeiouy]{1,2}/g);let o=0;return!!n&&(o=n.length),o},a=i.replace(/[.!?-]+/g," ").split(" ");let r=0;for(let e=0;e<a.length;e++)0!=a[e]&&(r+=1);const s=i.split(/[.!?]+/);let l=0;for(let e=0;e<s.length;e++)""!==s[e]&&(l+=1);let d=0,c=0,p=0;for(let e=0;e<a.length;e++)if(0!=a[e]){const t=n(a[e]);1===t&&(c+=1),2===t&&(p+=1),d+=t}let u=!1;"en"===o.Readability.Lang?u=206.835-r/l*1.015-d/r*84.6:"fr"===o.Readability.Lang?u=207-r/l*1.015-d/r*73.6:"es"===o.Readability.Lang?u=206.84-r/l*1.02-d/r*100*.6:"de"===o.Readability.Lang?u=180-r/l-d/r*58.5:"nl"===o.Readability.Lang?u=206.84-d/r*100*.77-r/l*.93:"it"===o.Readability.Lang?u=217-r/l*1.3-d/r*100*.6:"pt"===o.Readability.Lang&&(u=248.835-r/l*1.015-d/r*84.6),u>100?u=100:u<0&&(u=0);const g=u.toFixed(1),f=(r/l).toFixed(1),m=Math.round((r-(c+p))/r*100);let b;b=g>=0&&g<30?t._("LANG_VERY_DIFFICULT"):g>31&&g<49?t._("LANG_DIFFICULT"):g>50&&g<60?t._("LANG_FAIRLY_DIFFICULT"):t._("LANG_GOOD"),e={score:g,averageWordsPerSentence:f,complexWords:m,difficultyLevel:b,wordCount:r}}else if(["sv","fi","da","no","nb","nn"].includes(o.Readability.Lang)){const n=(e=>{const n=()=>e.replace(/[-'.]/gi,"").split(/[^a-zA-ZöäåÖÄÅÆæØø0-9]/g).filter(Boolean),o=n().length,i=n().filter((e=>e.length>6)).length,a=e.split(/\?|!|\.|\n/g).filter(Boolean).length,r=Math.round(o/a+100*i/o),s=(o/a).toFixed(1),l=Math.round(i/o*100);let d;return d=r>=0&&r<39?t._("LANG_GOOD"):r>40&&r<50?t._("LANG_FAIRLY_DIFFICULT"):r>51&&r<61?t._("LANG_DIFFICULT"):t._("LANG_VERY_DIFFICULT"),{score:r,difficulty:d,avgWordsPerSentence:s,complexWords:l,wordCount:o}})(i);e={score:n.score,averageWordsPerSentence:n.avgWordsPerSentence,complexWords:n.complexWords,difficultyLevel:n.difficulty,wordCount:n.wordCount}}!1===o.Global.headless&&(0===i.length?o.Panel.readabilityInfo.innerHTML=t._("READABILITY_NO_P_OR_LI_MESSAGE"):e.wordCount>30?(o.Panel.readabilityInfo.innerHTML=`${e.score} <span class="readability-score">${e.difficultyLevel}</span>`,o.Panel.readabilityDetails.innerHTML=`\n            <li>\n              <strong>${t._("LANG_AVG_SENTENCE")}</strong>\n              ${e.averageWordsPerSentence}\n            </li>\n            <li>\n              <strong>${t._("LANG_COMPLEX_WORDS")}</strong>\n              ${e.complexWords}%\n            </li>\n            <li>\n              <strong>${t._("LANG_TOTAL_WORDS")}</strong>\n              ${e.wordCount}\n            </li>`):o.Panel.readabilityInfo.textContent=t._("READABILITY_NOT_ENOUGH_CONTENT_MESSAGE"))}}(),!0===c.customChecks&&function(e){const t="More than one Announcement component found! The Announcement component should be used strategically and sparingly. It should be used to get attention or indicate that something is important. Misuse of this component makes it less effective or impactful. Secondly, this component is semantically labeled as an Announcement for people who use screen readers.",n="Do <strong>not nest forms</strong> within the Accordion component. If the form contains validation issues, a person may not see the form feedback since the accordion panel goes back to its original closed state.",o=i(".sa11y-announcement-component","root");if(o.length>1)for(let n=1;n<o.length;n++){const i=f(o[n].textContent);e.push({element:o[n],type:"warning",content:t,inline:!1,position:"beforebegin",dismiss:i})}i(".sa11y-accordion-example","root").forEach((t=>{const o=t.querySelector("form");o&&o.length&&e.push({element:t,type:"error",content:n,inline:!1,position:"beforebegin"})}))}(this.results),!0===c.selectorPath&&this.results.forEach((e=>{if(void 0!==e.element){const t=function(e){const t=[];let n=e;for(;n;){let e=n.localName;if(n.id){e+=`#${n.id}`,t.unshift(e);break}n.className&&(e+=`.${n.className.replace(/\s+/g,".")}`);const o=n.parentNode;if(!o)break;{const i=o.children;i.length>1&&(e+=`:nth-child(${Array.prototype.indexOf.call(i,n)+1})`),t.unshift(e)}n=n.parentNode.host||n.parentNode}return t.join(" > ")}(e.element);Object.assign(e,{cssPath:t})}})),!1===c.headless){const r=function(e,n){let i=u.getItem("sa11y-dismissed");i=i?JSON.parse(i):[];const a=i.map((t=>{const n=e.find((e=>t.key.includes(e.dismiss)&&t.href===o.Global.currentPage));return void 0===n?"":n})),r=e.filter((e=>a.find((t=>t.dismiss===e.dismiss)))).length,s=e.filter((e=>!a.find((t=>t.dismiss===e.dismiss))));return r>=1?(o.Panel.dismissButton.classList.add("active"),o.Panel.dismissTooltip.innerText=t.sprintf("PANEL_DISMISS_BUTTON",r),n.object.setContent(t.sprintf("PANEL_DISMISS_BUTTON",r))):o.Panel.dismissButton.classList.remove("active"),{dismissedIssues:i,updatedResults:s,dismissCount:r}}(this.results,this.dismissTooltip);this.results=r.updatedResults,this.dismissed=r.dismissedIssues,this.dismissedCount=r.dismissCount;const s=function(e,t,n){let o=t,i=n;return e.forEach(((t,n)=>{const a=e[n].type;"error"===a?o+=1:"warning"===a&&(i+=1)})),{error:o,warning:i}}(this.results,this.errorCount,this.warningCount);if(this.errorCount=s.error,this.warningCount=s.warning,function(e,n){const i=e+n;0===i?(o.Panel.notifCount.innerText="",o.Panel.notifText.innerText="",o.Panel.notifBadge.style.display="none"):n>0&&0===e?(o.Panel.notifBadge.classList.add("notification-badge-warning"),o.Panel.notifCount.innerText=`${n}`,o.Panel.notifText.innerText=`${t._("PANEL_ICON_WARNINGS")}`):(o.Panel.notifBadge.classList.remove("notification-badge-warning"),o.Panel.notifCount.innerText=`${i}`,o.Panel.notifText.innerText=t._("PANEL_ICON_TOTAL")),"Opened"===u.getItem("sa11y-remember-panel")||0===i?o.Panel.notifBadge.style.display="none":o.Panel.notifBadge.style.display="flex"}(this.errorCount,this.warningCount),"Opened"===u.getItem("sa11y-remember-panel")){this.results.forEach(((e,n)=>{Object.assign(e,{id:n}),function(e,n,i,r=!1,s,l,d){const c=["error","warning","good"];if(-1===c.indexOf(n))throw Error(`Invalid type [${n}] for annotation`);[n].forEach((t=>{if("error"===t&&void 0!==e){const t=r?"data-sa11y-error-inline":"data-sa11y-error";e.setAttribute(t,l)}else if("warning"===t&&void 0!==e){const t=r?"data-sa11y-warning-inline":"data-sa11y-warning";e.setAttribute(t,l)}}));const p={[c[0]]:t._("ERROR"),[c[1]]:t._("WARNING"),[c[2]]:t._("GOOD")},u=!0===d&&"warning"===n?`<button data-sa11y-dismiss='${l}' type='button'>${t._("DISMISS")}</button>`:"",g=document.createElement("sa11y-annotation");g.setAttribute("data-sa11y-annotation",l);const f=document.createElement("div"),m=document.createElement("li");if(void 0===e)o.Panel.pageIssues.classList.add("active"),o.Panel.panel.classList.add("has-page-issues"),m.innerHTML=`<strong>${p[n]}</strong> ${i}`,o.Panel.pageIssuesList.insertAdjacentElement("afterbegin",m);else{f.classList.add(r?"instance-inline":"instance"),f.innerHTML=`\n    <button\n      type="button"\n      aria-label="${p[n]}"\n      aria-haspopup="dialog"\n      class="sa11y-btn ${[n]}-btn${r?"-text":""}"\n      data-tippy-content=\n        "<div lang='${t._("LANG_CODE")}'>\n          <button class='close-btn close-tooltip' aria-label='${t._("ALERT_CLOSE")}'></button>\n          <div class='header-text'><h2>${p[n]}</h2></div>\n          ${a(i)}\n          ${u}\n        </div>"\n    ></button>`;let o=e.closest("a, button");o||(o=e),o.insertAdjacentElement(s,g),g.shadowRoot.appendChild(f)}}(e.element,e.type,e.content,e.inline,e.position,e.id,c.dismissAnnotations)})),x.initializeAnnotations();const r=new Ct;document.body.appendChild(r),function(e,n,a,r,s){if(!0===e){const e=document.querySelector("sa11y-tooltips").shadowRoot,l=document.querySelector("sa11y-control-panel").shadowRoot,d=document.querySelector("sa11y-dismiss-tooltip"),c=async a=>{let p=JSON.parse(u.getItem("sa11y-dismissed"));const g=a.target;if(d.hidden=!1,"BUTTON"===g.tagName&&g.hasAttribute("data-sa11y-dismiss")){const a=parseInt(g.getAttribute("data-sa11y-dismiss"),10),d=n.find((e=>e.id===a));null===p&&(setTimeout((()=>b(t._("DISMISS_REMINDER"))),0),p=[]);const f={key:d.dismiss,href:o.Global.currentPage},m=i(`[data-sa11y-annotation='${d.id}']`)[0].getAttribute("data-sa11y-position");u.setItem("sa11y-latest-dismissed",m),u.setItem("sa11y-dismiss-item",JSON.stringify(f)),p.push(f),u.setItem("sa11y-dismissed",JSON.stringify(p)),u.removeItem("sa11y-dismiss-item"),null!==g.closest("[data-tippy-root]")&&g.closest("[data-tippy-root]").remove(),s(!1),await r(),e.removeEventListener("click",c),l.removeEventListener("click",c)}};e.addEventListener("click",c),l.addEventListener("click",c),o.Panel.dismissButton.onclick=async()=>{d.hidden=!0;const e=a.filter((e=>e.href!==o.Global.currentPage));u.setItem("sa11y-dismissed",JSON.stringify(e)),o.Panel.dismissButton.classList.remove("active"),s(!1),await r()}}}(c.dismissAnnotations,this.results,this.dismissed,this.checkAll,this.resetAll),L(this.dismissed,this.headingOutline),e=this.dismissedCount,n=this.errorCount,p=this.warningCount,o.Panel.skipButton.disabled=!1,o.Panel.panel.classList.add("active"),o.Global.html.setAttribute("data-sa11y-active","true"),o.Panel.skipButton.classList.add("active"),n>0&&p>0?(o.Panel.content.setAttribute("class","errors"),o.Panel.status.innerHTML=`${t._("ERRORS")} <span class="panel-count">${n}</span> ${t._("WARNINGS")} <span class="panel-count" id="warning-count">${p}</span>`):n>0?(o.Panel.content.setAttribute("class","errors"),o.Panel.status.innerHTML=`${t._("ERRORS")} <span class="panel-count">${n}</span>`):p>0?(o.Panel.content.setAttribute("class","warnings"),o.Panel.status.innerHTML=`${t._("WARNINGS")} <span class="panel-count" id="warning-count">${p}</span>`):(e>0?(o.Panel.status.innerHTML=`${t._("DISMISSED")} <span class="panel-count">${e}</span>`,o.Panel.skipButton.classList.remove("active")):(o.Panel.content.setAttribute("class","good"),o.Panel.status.innerHTML=`${t._("PANEL_STATUS_NONE")}`),0===document.querySelectorAll("sa11y-annotation").length&&(o.Panel.skipButton.disabled=!0)),document.addEventListener("keydown",jt),o.Panel.skipButton.addEventListener("click",qt),Rt(),document.querySelectorAll("sa11y-annotation").forEach((e=>{const t=e.nextElementSibling;null!==t&&"SA11Y-ANNOTATION"===t.tagName&&customElements.get("sa11y-annotation")&&t.shadowRoot.querySelector("button").setAttribute("style","margin: -5px -15px !important;")}))}}const g=new CustomEvent("sa11y-check-complete",{detail:{results:this.results,page:o.Global.currentPage}});document.dispatchEvent(g)}catch(e){const t=new E(e);document.body.appendChild(t),console.error(e)}var e,n,p},this.resetAll=(e=!0)=>{for(o.Global.html.removeAttribute("data-sa11y-active"),h(["data-sa11y-parent","data-sa11y-error","data-sa11y-warning","data-sa11y-good","data-sa11y-error-inline","data-sa11y-warning-inline","data-sa11y-overflow","data-sa11y-pulse-border","data-sa11y-filter"],"document"),y(["sa11y-annotation","sa11y-heading-label","sa11y-heading-anchor","sa11y-tooltips","[data-sa11y-readability-period]","[data-sa11y-clone-image-text]",".sa11y-css-utilities"],"document"),o.Panel.outlineList.innerHTML="",o.Panel.pageIssuesList.innerHTML="",o.Panel.readabilityInfo.innerHTML="",o.Panel.readabilityDetails.innerHTML="",o.Panel.panel.classList.remove("has-page-issues"),m(),document.removeEventListener("keydown",jt),o.Panel.skipButton.removeEventListener("click",qt),!0===c.colourFilterPlugin&&(o.Panel.colourFilterSelect.value=0,o.Panel.colourPanel.classList.remove("active"),o.Panel.colourFilterSelect.classList.remove("active"),o.Panel.content.hidden=!1);o.Panel.status.firstChild;)o.Panel.status.removeChild(o.Panel.status.firstChild);e&&o.Panel.panel.classList.remove("active")},this.initialize()}}export{t as Lang,Qt as Sa11y};
