/*!
  * Sa11y, the accessibility quality assurance assistant.
  * @version 3.0.3
  * @author Adam Chaboryk, Toronto Metropolitan University
  * @license GPL-2.0-or-later
  * @copyright © 2020 - 2023 Toronto Metropolitan University (formerly Ryerson University).
  * @contact adam.chaboryk@torontomu.ca
  * GitHub: git+https://github.com/ryersondmp/sa11y.git | Website: https://sa11y.netlify.app
  * For all acknowledgements, please visit: https://sa11y.netlify.app/acknowledgements/
  * The above copyright notice shall be included in all copies or substantial portions of the Software.
**/
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports):"function"==typeof define&&define.amd?define(["exports"],t):t((e="undefined"!=typeof globalThis?globalThis:e||self).Sa11y={})}(this,(function(e){"use strict";const t={checkRoot:"body",containerIgnore:".sa11y-ignore",contrastIgnore:'.sr-only, [role="menu"] *',outlineIgnore:"",headerIgnore:"",imageIgnore:"",linkIgnore:'nav *, [role="navigation"] *',linkIgnoreSpan:"",showGoodLinkButton:!0,detectSPArouting:!1,doNotRun:"",dismissAnnotations:!0,headless:!1,selectorPath:!1,shadowComponents:"",autoDetectShadowComponents:!1,panelPosition:"right",readabilityPlugin:!0,readabilityRoot:"body",readabilityIgnore:"",contrastPlugin:!0,formLabelsPlugin:!0,linksAdvancedPlugin:!0,colourFilterPlugin:!0,customChecks:!0,checkAllHideToggles:!1,linksToFlag:"",linksToDOI:!0,missingH1:!0,flagLongHeadings:!0,nonConsecutiveHeadingIsError:!0,badLinksQA:!0,strongItalicsQA:!0,pdfQA:!0,documentQA:!0,langQA:!0,blockquotesQA:!0,tablesQA:!0,allCapsQA:!0,fakeHeadingsQA:!0,fakeListQA:!0,duplicateIdQA:!0,underlinedTextQA:!0,pageTitleQA:!0,subscriptQA:!0,documentLinks:".ppt, .doc, .xls, .csv, sway.com, docs.google.com",embeddedContentAll:!0,embeddedContentAudio:!0,embeddedContentVideo:!0,embeddedContentDataViz:!0,embeddedContentTitles:!0,embeddedContentGeneral:!0,videoContent:"youtube.com, vimeo.com, yuja.com, panopto.com",audioContent:"soundcloud.com, simplecast.com, podbean.com, buzzsprout.com, blubrry.com, transistor.fm, fusebox.fm, libsyn.com",dataVizContent:"datastudio.google.com, tableau"},n={langStrings:{},addI18n(e){this.langStrings=e},_(e){return this.translate(e)},sprintf(e,...t){let n=this._(e);return n=this.prepHTML(n),t&&t.length&&t.forEach((e=>{n=n.replace(/%\([a-zA-z]+\)/,e)})),n},translate(e){return this.langStrings[e]||e},prepHTML:e=>e.replaceAll(/<hr>/g,'<hr aria-hidden="true">').replaceAll(/<a[\s]href=/g,'<a target="_blank" rel="noopener noreferrer" href=').replaceAll(/<\/a>/g,`<span class="visually-hidden"> (${n._("NEW_TAB")})</span></a>`).replaceAll(/{r}/g,'class="red-text"')};const o=e=>{const t=document.createElement("style");t.setAttribute("class","sa11y-css-utilities"),t.textContent="[data-sa11y-overflow]{overflow:auto!important}[data-sa11y-clone-image-text]{display:none!important}[data-sa11y-readability-period]{clip:rect(1px,1px,1px,1px)!important;border:0!important;-webkit-clip-path:inset(50%)!important;clip-path:inset(50%)!important;display:block!important;height:1px!important;overflow:hidden!important;padding:0!important;position:absolute!important;white-space:nowrap!important;width:1px!important}[data-sa11y-error]{outline:5px solid var(--sa11y-error)!important}[data-sa11y-warning]{outline:5px solid var(--sa11y-warning)!important}[data-sa11y-good]{outline:5px solid var(--sa11y-good)!important}[data-sa11y-error-inline]{background-color:var(--sa11y-error)!important;box-shadow:0 0 0 4px var(--sa11y-error)!important;color:var(--sa11y-error-text)!important}[data-sa11y-error-inline],[data-sa11y-warning-inline]{border-color:transparent!important;border-radius:.25em!important}[data-sa11y-warning-inline]{background-color:var(--sa11y-warning)!important;box-shadow:0 0 0 4px var(--sa11y-warning)!important;color:var(--sa11y-warning-text)!important}[data-sa11y-pulse-border]{animation:pulse 2s 3;box-shadow:0;outline:5px solid var(--sa11y-focus-color)!important}[data-sa11y-pulse-border]:focus,[data-sa11y-pulse-border]:hover{animation:none}@keyframes pulse{0%{box-shadow:0 0 0 5px var(--sa11y-focus-color)}70%{box-shadow:0 0 0 12px var(--sa11y-pulse-color)}to{box-shadow:0 0 0 5px var(--sa11y-pulse-color)}}@media (prefers-reduced-motion:reduce){[data-sa11y-pulse-border]{animation:none!important}}@media (forced-colors:active){[data-sa11y-error-inline],[data-sa11y-error],[data-sa11y-good],[data-sa11y-pulse-border],[data-sa11y-warning-inline],[data-sa11y-warning]{forced-color-adjust:none}}",e.shadowRoot.appendChild(t)};const i=function(){const e={};const t={};const a={};const r={};const s={};const l={};return{initializeGlobal:function(t){e.currentPage=window.location.pathname,e.html=document.querySelector("html"),e.headless=t.headless,e.panelPosition=t.panelPosition,e.contrastPlugin=t.contrastPlugin,e.formLabelsPlugin=t.formLabelsPlugin,e.linksAdvancedPlugin=t.linksAdvancedPlugin,e.colourFilterPlugin=t.colourFilterPlugin,e.checkAllHideToggles=t.checkAllHideToggles,e.Root=document.querySelector(t.checkRoot),t.checkRoot||(e.Root=document.querySelector("body"));let n=!1;"function"==typeof window.matchMedia&&(n=window.matchMedia("(prefers-reduced-motion: reduce)")),e.scrollBehaviour=!n||n.matches?"auto":"smooth",e.langDirection="rtl"===e.html.getAttribute("dir")?"rtl":"ltr",t.documentLinks&&(e.documentLinks=`${t.documentLinks}`)},Global:e,initializePanelSelectors:function(){const e=document.querySelector("sa11y-control-panel").shadowRoot;t.panel=e.getElementById("panel"),t.content=e.getElementById("panel-content"),t.controls=e.getElementById("panel-controls"),t.outline=e.getElementById("outline-panel"),t.outlineContent=e.getElementById("outline-content"),t.outlineList=e.getElementById("outline-list"),t.outlineHeader=e.getElementById("outline-header"),t.notifBadge=e.getElementById("notification-badge"),t.notifCount=e.getElementById("notification-count"),t.notifText=e.getElementById("notification-text"),t.status=e.getElementById("status"),t.pageIssues=e.getElementById("page-issues"),t.pageIssuesList=e.getElementById("page-issues-list"),t.pageIssuesHeader=e.getElementById("page-issues-header"),t.pageIssuesContent=e.getElementById("page-issues-content"),t.settings=e.getElementById("settings-panel"),t.settingsHeader=e.getElementById("settings-header"),t.settingsContent=e.getElementById("settings-content"),t.contrastToggle=e.getElementById("contrast-toggle"),t.labelsToggle=e.getElementById("labels-toggle"),t.linksToggle=e.getElementById("links-advanced-toggle"),t.readabilityToggle=e.getElementById("readability-toggle"),t.themeToggle=e.getElementById("theme-toggle"),t.contrastItem=e.getElementById("contrast-item"),t.labelsItem=e.getElementById("form-labels-item"),t.linksItem=e.getElementById("links-advanced-item"),t.readabilityItem=e.getElementById("readability-item"),t.darkModeItem=e.getElementById("dark-mode-item"),t.colourPanel=e.getElementById("panel-colour-filters"),t.colourFilterItem=e.getElementById("colour-filter-item"),t.colourFilterSelect=e.getElementById("colour-filter-select"),t.colourFilterIcon=e.getElementById("filter-icon"),t.toggle=e.getElementById("toggle"),t.outlineToggle=e.getElementById("outline-toggle"),t.settingsToggle=e.getElementById("settings-toggle"),t.skipButton=e.getElementById("skip-button"),t.dismissButton=e.getElementById("dismiss-button"),t.dismissTooltip=e.getElementById("dismiss-tooltip"),t.skipToPageIssues=e.getElementById("skip-to-page-issues"),t.alert=e.getElementById("panel-alert"),t.alertText=e.getElementById("panel-alert-text"),t.alertPreview=e.getElementById("panel-alert-preview"),t.alertClose=e.getElementById("close-alert"),t.readability=e.getElementById("readability-panel"),t.readabilityInfo=e.getElementById("readability-info"),t.readabilityDetails=e.getElementById("readability-details")},Panel:t,initializeReadability:function(t){if(!0===t.readabilityPlugin){a.Root=document.querySelector(t.readabilityRoot),a.Root||(e.Root?(a.Root=e.Root,console.error(`Sa11y configuration error: The selector '${t.readabilityRoot}' used for the property 'readabilityRoot' does not exist. '${e.Root.tagName}' was used as a fallback.`)):a.Root=document.querySelector("body")),a.Lang=n._("LANG_CODE").substring(0,2);const o=["en","fr","es","de","nl","it","sv","fi","da","no","nb","nn","pt"],r=i.Global.html.getAttribute("lang");if(r){const e=r.toLowerCase().substring(0,2);o.includes(e)&&o.includes(a.Lang)?a.Plugin=!0:a.Plugin=!1}else a.Plugin=!1}},Readability:a,initializeExclusions:function(e){if(e.containerIgnore){const t=e.containerIgnore.split(",").map((e=>`${e} *, ${e}`));r.Container=`[aria-hidden], #wpadminbar *, ${t.join(", ")}`}else r.Container="[aria-hidden], #wpadminbar *";if(r.Contrast="script, style, link",e.contrastIgnore&&(r.Contrast=`${e.contrastIgnore}, ${r.Contrast}`),r.Readability='nav li, [role="navigation"] li',e.readabilityIgnore&&(r.Readability=`${e.readabilityIgnore}, ${r.Readability}`),e.headerIgnore&&(r.Headings=`${e.headerIgnore}`),e.outlineIgnore&&(r.Outline=`${e.outlineIgnore}`),r.Images='[role="presentation"]',e.imageIgnore&&(r.Images=`${e.imageIgnore}, ${r.Images}`),r.Links='[aria-hidden="true"], .anchorjs-link',e.linkIgnore&&(r.Links=`${e.linkIgnore}, ${r.Links}`),e.linkIgnoreSpan){const t=e.linkIgnoreSpan.split(",").map((e=>`${e} *, ${e}`));r.LinkSpan=`noscript, ${t.join(", ")}`}else r.LinkSpan="noscript"},Exclusions:r,initializeEmbeddedContent:function(e){if(e.videoContent){const t=e.videoContent.split(/\s*[\s,]\s*/).map((e=>`[src*='${e}']`));s.Video=`video, ${t.join(", ")}`}else s.Video="video";if(e.audioContent){const t=e.audioContent.split(/\s*[\s,]\s*/).map((e=>`[src*='${e}']`));s.Audio=`audio, ${t.join(", ")}`}else s.Audio="audio";if(e.dataVizContent){const t=e.dataVizContent.split(/\s*[\s,]\s*/).map((e=>`[src*='${e}']`));s.Visualization=t.join(", ")}else s.Visualization="datastudio.google.com, tableau";s.All=`${s.Video}, ${s.Audio}, ${s.Visualization}`},EmbeddedContent:s,initializeShadowSearch:function(e,t,n){l.Components=function(e,t,n){let i;if(!0===t){const t="sa11y-heading-label, sa11y-heading-anchor, sa11y-annotation, sa11y-tooltips, sa11y-dismiss-tooltip, sa11y-control-panel, #sa11y-colour-filters, #sa11y-colour-filters *, script",n=document.querySelector(e),a=n?Array.from(n.querySelectorAll(`*:not(${t})`)):Array.from(document.body.querySelectorAll(`*:not(${t})`)),r=[];a.forEach((e=>{e.shadowRoot&&"open"===e.shadowRoot.mode&&(r.push(e),o(e))}));const s=Array.from(r).map((e=>e.tagName.toLowerCase()));i=1===s.length?`${s.toString()}`:s.join(", ")}else i=n||"",i&&document.querySelectorAll(i).forEach((e=>{o(e)}));return i}(e,t,n)},Shadow:l}}();function a(e,t,n){let o;"document"===t?o=document:"readability"===t?(o=i.Readability.Root,o||(o=i.Global.Root)):"root"===t?(o=i.Global.Root,o||(o=document.body)):"panel"===t?(o=i.Panel.panel,o||(o=document.body)):(o=document.querySelector(t),o||(o=document.body));const a=i.Shadow.Components,r=a?`, ${a}`:"",s=i.Exclusions.Container,l=void 0!==n?`, ${n}`:"",d=Array.from(o.querySelectorAll(`:is(${e}${r}):not(${s}${l})`));if(a.length){const t=[],n=a.trim().replace(/^,+/,"");if(d.forEach(((o,i)=>{o.matches(n)&&(t[i]=o.shadowRoot.querySelectorAll(`:is(${e}):not(${s}${l})`))})),t.length>0)for(let e=t.length-1;e>=0;e--)t[e]&&d.splice(e,1,...t[e])}return d}function r(e){const t=document.createElement("div");return t.textContent=e,t.innerHTML.replaceAll('"',"&quot;").replaceAll("'","&#039;").replaceAll("`","&#x60;")}function s(e){return e.replace(/[^\w. ]/gi,(e=>`&#${e.charCodeAt(0)};`))}function l(e){return e.textContent.replace(/[\n\r]+|[\s]{2,}/g," ").trim()}function d(e,t){const n="noscript, script, style",o=t?`${n}, ${t}`:n,i=e.cloneNode(!0);return Array.from(i.querySelectorAll(o)).forEach((e=>{e.parentElement.removeChild(e)})),i}function c(e){if(e.matches("[aria-label]"))return e.getAttribute("aria-label");if(e.matches("[aria-labelledby]")){const t=e.getAttribute("aria-labelledby").split(/\s+/);if(t.length>0){let e="";return t.forEach((t=>{const n=document.querySelector(`#${CSS.escape(t)}`);null===n?e+=" ":n.hasAttribute("aria-label")?e+=`${n.getAttribute("aria-label")}`:e+=`${n.firstChild.nodeValue} `})),e}}if(Array.from(e.children).filter((e=>e.matches("[aria-label]"))).length>0){const t=Array.from(e.childNodes);let n="";return t.forEach((e=>{1===e.nodeType?3===e.nodeType||null===e.ariaLabel?n+=e.innerText:n+=e.getAttribute("aria-label"):n+=e.nodeValue})),n}if(Array.from(e.children).filter((e=>e.matches("[aria-labelledby]"))).length>0){const t=Array.from(e.childNodes);let n="";return t.forEach((e=>{if(8===e.nodeType);else if(3===e.nodeType||null===e.getAttribute("aria-labelledby"))n+=e.nodeValue;else{const t=e.getAttribute("aria-labelledby").split(/\s+/);if(t.length>0){let e="";t.forEach((t=>{null===document.querySelector(`#${CSS.escape(t)}`)?e+=" ":e+=`${document.querySelector(`#${CSS.escape(t)}`).firstChild.nodeValue} `})),n+=e}}})),n}return"noAria"}function p(e,t,n){let o=e;for(;null!==o;){if(window.getComputedStyle(o).getPropertyValue(t)===n)return o;o=o.parentElement}return null}function u(e){const t=e.getBoundingClientRect(),n=window.pageYOffset||document.documentElement.scrollTop;return{top:t.top+n}}const g={getItem(e){try{return null===localStorage.getItem(e)?sessionStorage.getItem(e):localStorage.getItem(e)}catch(e){return!1}},setItem(e,t){try{localStorage.setItem(e,t)}catch(n){sessionStorage.setItem(e,t)}return!0},removeItem(e){try{localStorage.removeItem(e)}catch(t){sessionStorage.removeItem(e)}return!0}};function f(e){const t="data-sa11y-pulse-border";e.setAttribute(t,""),setTimeout((()=>{e.removeAttribute(t)}),2500)}function m(e){return String(e).replace(/([^0-9a-zA-Z])/g,"").substring(0,256)}function b(){const e=document.querySelector("sa11y-control-panel").shadowRoot,t=e.getElementById("panel-alert"),n=e.getElementById("panel-alert-text"),o=e.getElementById("panel-alert-preview");for(t.classList.remove("active"),o.classList.remove("panel-alert-preview");n.firstChild;)n.removeChild(n.firstChild);for(;o.firstChild;)o.removeChild(o.firstChild)}function h(e,t){b();const n=document.querySelector("sa11y-control-panel").shadowRoot,o=n.getElementById("panel-alert"),i=n.getElementById("panel-alert-text"),a=n.getElementById("panel-alert-preview"),r=n.getElementById("close-alert"),s=n.getElementById("skip-button");o.classList.add("active"),i.innerHTML=e,t&&(a.classList.add("panel-alert-preview"),a.innerHTML=t),setTimeout((()=>{r.focus()}),300),r.addEventListener("click",(()=>{b(),s.hasAttribute("disabled")?n.getElementById("toggle").focus():s.focus()}))}function y(e,t){e.forEach((e=>{a(`[${e}]`,`${t}`).forEach((t=>{t.removeAttribute(e)}))}))}function v(e,t){a(`${e}`,`${t}`).forEach((e=>{e.parentNode.removeChild(e)}))}function x(e,t){e.scrollHeight>t.clientHeight?(t.classList.add("scrollable"),e.setAttribute("tabindex","0")):t.classList.remove("scrollable")}const A=function(){const e={};const t={};return{initializeElements:function(t){e.Images=a("img","root",i.Exclusions.Images),e.Headings=a('h1, h2, h3, h4, h5, h6, [role="heading"][aria-level]',"root",i.Exclusions.Headings),e.HeadingOne=a('h1, [role="heading"][aria-level="1"]',"document",i.Exclusions.Headings),e.Links=a("a[href]","root",i.Exclusions.Links),e.Inputs=a("input, select, textarea","root",i.Exclusions.Container),e.Contrast=a("*","root",i.Exclusions.Contrast),e.Labels=a("label","root",i.Exclusions.Container),e.Readability=a("p, li","readability",i.Exclusions.Readability),e.Paragraphs=a("p","root",i.Exclusions.Container),e.Lists=a("li","root",i.Exclusions.Container),e.Spans=a("span","root",i.Exclusions.Container),e.Blockquotes=a("blockquote","root",i.Exclusions.Container),e.Tables=a('table:not([role="presentation"])',"root",i.Exclusions.Container),e.StrongItalics=a("strong, em","root",i.Exclusions.Container),e.Ids=a("[id]","document",i.Exclusions.Container),e.Underlines=a("u","root",i.Exclusions.Container),e.Subscripts=a("sup, sub","root",i.Exclusions.Container),e.Language=i.Global.html.getAttribute("lang"),e.CustomErrorLinks=t?a(t,"root",i.Exclusions.Container):[],e.Iframes=a("iframe, audio, video","root",i.Exclusions.Container),e.Videos=e.Iframes.filter((e=>e.matches(i.EmbeddedContent.Video))),e.Audio=e.Iframes.filter((e=>e.matches(i.EmbeddedContent.Audio))),e.Visualizations=e.Iframes.filter((e=>e.matches(i.EmbeddedContent.Visualization))),e.EmbeddedContent=e.Iframes.filter((e=>!e.matches(i.EmbeddedContent.All)))},Found:e,initializeAnnotations:function(){t.Array=a("sa11y-annotation","root"),t.Array.forEach(((e,t)=>{e.setAttribute("data-sa11y-position",t)}))},Annotations:t}}();function w(e,t,n){if(!0===e){let e=i.Global.currentPage;const o=function(e,t){let n=null;return(...o)=>{window.clearTimeout(n),n=window.setTimeout((()=>{e(...o)}),t)}}((async()=>{e!==window.location.pathname&&("Closed"!==g.getItem("sa11y-remember-panel")&&g.getItem("sa11y-remember-panel")?(n(!1),await t()):t(),e=window.location.pathname)}),250);window.addEventListener("mousemove",o),window.addEventListener("keydown",o)}}var E='.visually-hidden{clip:rect(1px,1px,1px,1px);border:0;-webkit-clip-path:inset(50%);clip-path:inset(50%);display:block;height:1px;overflow:hidden;padding:0;position:absolute;white-space:nowrap;width:1px}[hidden]{display:none!important}.header-text,.header-text-inline,h2{color:var(--sa11y-panel-primary);display:block;font-size:var(--sa11y-large-text);font-weight:600;margin-bottom:3px}.header-text-inline{display:inline-block!important}.kbd,code,kbd{background-color:var(--sa11y-panel-badge);border-radius:3.2px;color:var(--sa11y-panel-primary);padding:1.6px 4.8px}code{font-family:monospace}.bold{font-weight:600}.red-text{color:var(--sa11y-red-text)}.red-text,.yellow-text{font-family:var(--sa11y-font-face);font-size:var(--sa11y-normal-text)}.yellow-text{color:var(--sa11y-yellow-text)}.close-btn{background:none;border:1px solid var(--sa11y-button-outline);border-radius:50%;color:var(--sa11y-panel-primary);cursor:pointer;float:var(--sa11y-float-rtl);font-size:var(--sa11y-normal-text);font-weight:400;height:32px;margin:0;position:relative;transition:all .2s ease-in-out;width:32px}.close-btn:focus,.close-btn:hover{background-color:var(--sa11y-shortcut-hover)}.close-btn:after{background:var(--sa11y-setting-switch-bg-off);bottom:-7px;content:"";left:-7px;-webkit-mask:var(--sa11y-close-btn-svg) center no-repeat;mask:var(--sa11y-close-btn-svg) center no-repeat;position:absolute;right:-7px;top:-7px}@media screen and (forced-colors:active){.close-btn:after{filter:invert(1)}}#container [tabindex="-1"]:focus,#container [tabindex="0"]:focus,#container a:focus,#container button:not(#settings-toggle):not(#outline-toggle):not(.switch):focus,#container select:focus{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}#container #outline-toggle:focus,#container #settings-toggle:focus,#container .switch:focus{box-shadow:inset 0 0 0 4px var(--sa11y-focus-color);outline:0}.tippy-box[data-theme~=sa11y-theme] [tabindex="-1"]:focus,.tippy-box[data-theme~=sa11y-theme] a:focus,.tippy-box[data-theme~=sa11y-theme] button:active,.tippy-box[data-theme~=sa11y-theme] button:focus{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}#container #outline-toggle:focus:not(:focus-visible),#container #settings-toggle:focus:not(:focus-visible),#container [tabindex="-1"]:focus:not(:focus-visible),#container [tabindex="0"]:focus:not(:focus-visible),#container button:focus:not(:focus-visible),#container select:focus:not(:focus-visible){box-shadow:none;outline:0}.tippy-box[data-theme~=sa11y-theme] [tabindex="-1"]:focus:not(:focus-visible),.tippy-box[data-theme~=sa11y-theme] a:focus:not(:focus-visible),.tippy-box[data-theme~=sa11y-theme] button:focus:not(:focus-visible){box-shadow:none;outline:0}#container [tabindex="-1"]:focus-visible,#container [tabindex="0"]:focus-visible,#container a:focus-visible,#container button:not(#settings-toggle):not(#outline-toggle):not(.switch):focus-visible,#container select:focus-visible{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}#container #outline-toggle:focus-visible,#container #settings-toggle:focus-visible,#container .switch:focus-visible{box-shadow:inset 0 0 0 4px var(--sa11y-focus-color);outline:0}.tippy-box[data-theme~=sa11y-theme] [tabindex="-1"]:focus-visible,.tippy-box[data-theme~=sa11y-theme] a:focus-visible,.tippy-box[data-theme~=sa11y-theme] button:focus-visible{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}@media screen and (forced-colors:active){#outline-toggle:focus,#settings-toggle:focus{border:3px solid transparent}#container [tabindex="-1"]:focus,#container [tabindex="0"]:focus,#container a:focus,#container button:focus,#container select:focus,.close-btn:focus,.tippy-box[data-theme~=sa11y-theme] [tabindex="-1"]:focus,.tippy-box[data-theme~=sa11y-theme] a:focus,.tippy-box[data-theme~=sa11y-theme] button:focus{outline:3px solid transparent!important}}';class I extends HTMLElement{constructor(e){super(),this.error=e}connectedCallback(){const e=this.attachShadow({mode:"open"}),t=document.createElement("style");t.innerHTML=":host{background:var(--sa11y-panel-bg);border-top:5px solid var(--sa11y-panel-bg-splitter);bottom:0;display:block;height:-moz-fit-content;height:fit-content;position:fixed;width:100%;z-index:999999}*{-webkit-font-smoothing:auto!important;color:var(--sa11y-panel-primary);font-family:var(--sa11y-font-face)!important;font-size:var(--sa11y-normal-text);line-height:22px!important}#dialog{margin:20px auto;max-width:900px;padding:20px}h2{font-size:var(--sa11y-large-text);margin-top:0}a{color:var(--sa11y-hyperlink);cursor:pointer;text-decoration:underline}a:focus,a:hover{text-decoration:none}p{margin-top:0}.error{background:var(--sa11y-error);border:2px dashed #f08080;color:var(--sa11y-error-text);margin-bottom:0;padding:5px}"+E,e.appendChild(t);const o=document.createElement("div");o.setAttribute("id","dialog"),o.setAttribute("tabindex","-1");const a=window.location,s=`https://github.com/ryersondmp/sa11y/issues/new?title=Bug%20report&body=%23%23%20Error%20Description%0A%60%60%60javascript%0A${encodeURIComponent(this.error.stack)}%0A%60%60%60%0A%0A%23%23%20URL%0A%60${a}%60%0A%0A%23%23%20Comments%0A`;o.innerHTML=`\n      <button class="close-btn" aria-label="${n._("ALERT_CLOSE")}"></button>\n      <h2>${n._("ERROR")}</h2>\n      <p>${n.sprintf("CONSOLE_ERROR_MESSAGE","https://forms.gle/sjzK9XykETaoqZv99",s)}</p>\n      <p class="error">${r(this.error.stack)}<br><br>URL: ${a}</p>\n    `,e.appendChild(o),setTimeout((()=>{i.Panel.toggle.style.display="none";const e=document.querySelector("sa11y-console-error");e.shadowRoot.getElementById("dialog").focus();e.shadowRoot.querySelector(".close-btn").addEventListener("click",(()=>{e.remove()}))}),0)}}class L extends HTMLElement{connectedCallback(){this.attachShadow({mode:"open"});const e=document.createElement("style");e.textContent='a,button,code,div,h1,h2,kbd,label,li,ol,p,span,strong,svg,ul{all:unset;box-sizing:border-box!important}:after,:before{all:unset}div{display:block}*{-webkit-font-smoothing:auto!important;font-family:var(--sa11y-font-face)!important;line-height:22px!important}label,li,ol,p,ul{font-size:var(--sa11y-normal-text);font-weight:400;letter-spacing:normal;text-align:start;word-break:normal}.sa11y-overflow{overflow:auto}#toggle{align-items:center;background:linear-gradient(0deg,#e040fb,#00bcd4);background-color:var(--sa11y-blue);background-size:150% 150%;border-radius:50%;bottom:15px;color:#fff;cursor:pointer;display:flex;height:55px;inset-inline-end:18px;justify-content:center;margin:0;overflow:visible;position:fixed;transition:all .2s ease-in-out;width:55px;z-index:2147483644}#toggle.left,#toggle.top-left{inset-inline-start:18px}#toggle.top-left,#toggle.top-right{bottom:unset;top:15px}@media screen and (forced-colors:active){#toggle{border:2px solid transparent}}#toggle svg{height:35px;width:35px}#toggle svg path{fill:var(--sa11y-panel-bg)}#toggle:focus,#toggle:hover{animation:sa11y-toggle-gradient 3s ease}#toggle:disabled:focus,#toggle:disabled:hover{animation:none}#toggle.on{background:linear-gradient(180deg,#e040fb,#00bcd4);background-color:var(--sa11y-blue)}#notification-badge{align-items:center;background-color:#eb0000;border:1px solid transparent;border-radius:50%;color:#fff;display:none;font-size:13px;font-weight:400;height:20px;justify-content:center;position:absolute;right:-3px;top:-3px;width:20px}#notification-badge.notification-badge-warning{background-color:var(--sa11y-warning-hover);border:1px solid var(--sa11y-warning);color:var(--sa11y-warning-text)}#panel{background:var(--sa11y-panel-bg);border-radius:4px;bottom:25px;box-shadow:0 0 20px 4px rgba(154,161,177,.15),0 4px 80px -8px rgba(36,40,47,.25),0 4px 4px -2px rgba(91,94,105,.15);inset-inline-end:42px;opacity:0;overflow:visible;position:fixed;transform:scale(0);transform-origin:100% 100%;transition:transform .2s,opacity background .2s .2s;visibility:hidden;z-index:2147483643}#panel.left,#panel.top-left{inset-inline-start:42px}#panel.top-left,#panel.top-right{bottom:unset;top:50px}#panel.active{height:auto;opacity:1;transform:scale(1);transform-origin:bottom right;transition:transform .2s,opacity .2s;visibility:visible}@media screen and (forced-colors:active){#panel{border:2px solid transparent}}#panel.active.left,[dir=rtl] #panel.active{transform-origin:bottom left}#panel.active.top-left{transform-origin:top left}#panel.active.top-right{transform-origin:top right}#panel-alert{display:none;opacity:0}#panel-alert.active{display:block;opacity:1}#panel-alert-content{align-items:center;border-bottom:1px solid var(--sa11y-panel-bg-splitter);color:var(--sa11y-panel-primary);max-height:200px;overflow-y:auto;padding:15px 20px 15px 15px;position:relative}#panel-alert-preview .close-tooltip{display:none}#panel-alert-preview,#panel-alert-text{font-family:var(--sa11y-font-face);font-size:var(--sa11y-normal-text);font-weight:400;line-height:22px}.panel-alert-preview{background:var(--sa11y-panel-bg-secondary);border:1px dashed var(--sa11y-panel-bg-splitter);border-radius:5px;margin-top:15px;padding:10px}button[data-sa11y-dismiss]{background:var(--sa11y-panel-bg);border:1px solid var(--sa11y-button-outline);border-radius:5px;color:var(--sa11y-panel-primary);cursor:pointer;display:block;margin:10px 5px 5px 0;padding:4px 8px}button[data-sa11y-dismiss]:focus,button[data-sa11y-dismiss]:hover{background:var(--sa11y-shortcut-hover)}h2{display:block;font-size:var(--sa11y-large-text);margin-bottom:3px}h2,strong{font-weight:600}a:not(#outline-list a){border-bottom:0;color:var(--sa11y-hyperlink);cursor:pointer;text-decoration:underline}a:focus,a:hover{text-decoration:none!important}hr{background:var(--sa11y-panel-bg-splitter);border:none;height:1px;margin:10px 0;opacity:1;padding:0}#dismiss-button,#skip-button{-webkit-margin-end:8px;-webkit-margin-start:2px;background:var(--sa11y-panel-bg-secondary);border:1px solid var(--sa11y-button-outline);border-radius:50px;cursor:pointer;display:none;height:36px;margin-inline-end:8px;margin-inline-start:2px;overflow:visible;position:relative;text-align:center;transition:all .1s ease-in-out;width:36px}#dismiss-button.active,#skip-button.active{display:block}#dismiss-button:disabled,#skip-button:disabled{background:none;border:0;box-shadow:none;cursor:default}#dismiss-button:before,#skip-button:before{bottom:-5px;content:"";left:-5px;position:absolute;right:-5px;top:-5px}#dismiss-button:focus:not(:disabled),#dismiss-button:hover:not(:disabled),#skip-button:focus:not(:disabled),#skip-button:hover:not(:disabled){background-color:var(--sa11y-shortcut-hover)}#panel.left #dismiss-button,#panel.left #skip-button,#panel.top-left #dismiss-button,#panel.top-left #skip-button{-webkit-margin-start:8px;-webkit-margin-end:2px;margin-inline-end:2px;margin-inline-start:8px}.dismiss-icon{background:var(--sa11y-setting-switch-bg-off);display:inline-block;height:24px;margin-bottom:-4px;-webkit-mask:var(--sa11y-dismiss-icon) center no-repeat;mask:var(--sa11y-dismiss-icon) center no-repeat;width:24px}@media screen and (forced-colors:active){.dismiss-icon{filter:invert(1)}}#panel-content{align-items:center;color:var(--sa11y-panel-primary);display:flex;padding:6px}#panel-content.errors .panel-icon,#panel-content.good .panel-icon,#panel-content.warnings .panel-icon{height:26px;margin:0 auto;width:26px}#panel-content.errors .panel-icon{background:var(--sa11y-panel-error);margin-top:-2px;-webkit-mask:var(--sa11y-error-svg) center no-repeat;mask:var(--sa11y-error-svg) center no-repeat}#panel-content.good .panel-icon{background:var(--sa11y-good);-webkit-mask:var(--sa11y-good-svg) center no-repeat;mask:var(--sa11y-good-svg) center no-repeat}#panel-content.warnings .panel-icon{background:var(--sa11y-warning-svg-color);-webkit-mask:var(--sa11y-warning-svg) center no-repeat;mask:var(--sa11y-warning-svg) center no-repeat;transform:scaleX(var(--sa11y-icon-direction))}@media screen and (forced-colors:active){#panel-content.errors .panel-icon,#panel-content.good .panel-icon,#panel-content.warnings .panel-icon{filter:invert(1)}}#panel.left #panel-content,#panel.top-left #panel-content{flex-direction:row-reverse}#status{font-size:var(--sa11y-large-text)}#status,.panel-count{color:var(--sa11y-panel-primary)}.panel-count{background-color:var(--sa11y-panel-badge);border-radius:4px;font-size:15px;font-weight:400;margin-left:3px;margin-right:3px;padding:2px 4px}#outline-panel,#page-issues,#settings-panel{color:var(--sa11y-panel-primary);display:none;opacity:0}#outline-panel.active,#page-issues.active,#settings-panel.active{display:block;opacity:1}.panel-header{padding:10px 15px 0;text-align:start}#outline-content,#page-issues-content,#settings-content{border-bottom:1px solid var(--sa11y-panel-bg-splitter);padding:0 15px 10px}#page-issues-content{max-height:160px;overflow-y:auto}#outline-content{max-height:250px;overflow-y:auto}#outline-panel .outline-list-item.sa11y-red-text,#settings-panel .sa11y-red-text{color:var(--sa11y-red-text)}#outline-list{display:block;margin:0;padding:0}#outline-list a{cursor:pointer;display:block;text-decoration:none}#outline-list li{display:block;list-style-type:none;margin-bottom:3px;margin-top:0;padding:0}#outline-list li:first-child{margin-top:5px}#outline-list li a:focus,#outline-list li a:hover{background:var(--sa11y-panel-outline-hover);border-radius:5px;box-shadow:0 0 0 2px var(--sa11y-panel-outline-hover);display:block}#outline-list .outline-2{-webkit-margin-start:15px;margin-inline-start:15px}#outline-list .outline-3{-webkit-margin-start:30px;margin-inline-start:30px}#outline-list .outline-4{-webkit-margin-start:45px;margin-inline-start:45px}#outline-list .outline-5{-webkit-margin-start:60px;margin-inline-start:60px}#outline-list .outline-6{-webkit-margin-start:75px;margin-inline-start:75px}.badge{background-color:var(--sa11y-panel-badge);border:1px solid transparent;border-radius:10px;color:var(--sa11y-panel-primary);display:inline;font-size:13px;font-weight:700;min-width:10px;padding:2px 5px;text-align:center;white-space:nowrap}.error-badge{background:var(--sa11y-error);color:var(--sa11y-error-text)}.warning-badge{background:var(--sa11y-yellow-text);color:var(--sa11y-panel-bg)}.error-icon{background:var(--sa11y-error-text);-webkit-mask:var(--sa11y-error-svg) center no-repeat;mask:var(--sa11y-error-svg) center no-repeat}.error-icon,.hidden-icon{display:inline-block;height:16px;margin-bottom:-3px;width:16px}.hidden-icon{background:var(--sa11y-panel-primary);-webkit-mask:var(--sa11y-hidden-icon-svg) center no-repeat;mask:var(--sa11y-hidden-icon-svg) center no-repeat}.error-badge .hidden-icon{background:var(--sa11y-error-text)}.warning-badge .hidden-icon{background:var(--sa11y-panel-bg)}@media screen and (forced-colors:active){.hidden-icon{filter:invert(1)}}#panel-controls{border-radius:0 0 4px 4px;display:flex;overflow:hidden}#outline-toggle,#settings-toggle{background:var(--sa11y-panel-bg-secondary);background-color:var(--sa11y-panel-bg-secondary);border-bottom:1px solid var(--sa11y-panel-bg-splitter);border-top:1px solid var(--sa11y-panel-bg-splitter);color:var(--sa11y-panel-secondary);cursor:pointer;display:block;font-size:var(--sa11y-normal-text);font-weight:400;height:30px;line-height:0;margin:0;opacity:1;outline:0;padding:0;position:relative;text-align:center;transition:background .2s;width:100%}#outline-toggle.outline-active,#outline-toggle.settings-active,#outline-toggle:hover,#settings-toggle.outline-active,#settings-toggle.settings-active,#settings-toggle:hover{background-color:var(--sa11y-shortcut-hover)}#outline-toggle.outline-active,#outline-toggle.settings-active,#settings-toggle.outline-active,#settings-toggle.settings-active{font-weight:500}#outline-toggle{-webkit-border-end:1px solid var(--sa11y-panel-bg-splitter);border-inline-end:1px solid var(--sa11y-panel-bg-splitter)}label{display:inline-block;width:100%}#settings-panel .switch,label{color:var(--sa11y-panel-primary);cursor:pointer;font-weight:400;margin:0}#settings-panel .switch{background:none;border:0;border-radius:5px;font-size:var(--sa11y-normal-text);height:44px;padding:7px 10px;position:relative;text-align:end;width:105px}#settings-panel .switch[aria-pressed=false]:after,#settings-panel .switch[aria-pressed=true]:after{content:"";display:inline-block;height:27px;margin:0 4px 4px;vertical-align:middle;width:27px}#settings-panel .switch[aria-pressed=true]:after{background:var(--sa11y-setting-switch-bg-on);-webkit-mask:var(--sa11y-setting-switch-on-svg) center no-repeat;mask:var(--sa11y-setting-switch-on-svg) center no-repeat}#settings-panel .switch[aria-pressed=false]:after{background:var(--sa11y-setting-switch-bg-off);-webkit-mask:var(--sa11y-setting-switch-off-svg) center no-repeat;mask:var(--sa11y-setting-switch-off-svg) center no-repeat}@media screen and (forced-colors:active){#settings-panel .switch[aria-pressed=false]:after,#settings-panel .switch[aria-pressed=true]:after{filter:invert(1)}}#settings-panel #settings-options li{align-items:center;border-bottom:1px solid var(--sa11y-panel-bg-splitter);display:flex;justify-content:space-between;list-style-type:none;padding:1px 0}#settings-panel #settings-options li:last-child{border:none}#page-issues{align-items:center;color:var(--sa11y-panel-primary)}#page-issues-list{display:block;margin-top:4px}#page-issues-list li{display:block;margin:0 0 10px}#page-issues-list strong{display:block}#panel-colour-filters{align-items:center;color:var(--sa11y-panel-primary);display:none;font-family:var(--sa11y-font-face);font-size:var(--sa11y-normal-text);font-weight:400;line-height:22px}#panel-colour-filters.active{display:flex}#panel-colour-filters p{padding:6px 20px 6px 6px;width:100%}#panel-colour-filters[data-colour=protanopia]{border-bottom:6px solid transparent;-o-border-image:linear-gradient(94deg,#786719 11%,#e0c600 36%,#e0c600 47%,#0059e3 75%,#0042aa 91%);border-image:linear-gradient(94deg,#786719 11%,#e0c600 36%,#e0c600 47%,#0059e3 75%,#0042aa 91%);border-image-slice:1}#panel-colour-filters[data-colour=deuteranopia]{border-bottom:6px solid transparent;-o-border-image:linear-gradient(270deg,#567fdb,#a4a28d 48%,#c3ad14 69%,#a79505);border-image:linear-gradient(270deg,#567fdb,#a4a28d 48%,#c3ad14 69%,#a79505);border-image-slice:1}#panel-colour-filters[data-colour=tritanopia]{border-bottom:6px solid transparent;-o-border-image:linear-gradient(270deg,#b1506f,#0696c1 35%,#f3a9ba 70%,#d91c5d 87%,#fe015c);border-image:linear-gradient(270deg,#b1506f,#0696c1 35%,#f3a9ba 70%,#d91c5d 87%,#fe015c);border-image-slice:1}#panel-colour-filters[data-colour=monochromacy]{border-bottom:6px solid transparent;-o-border-image:linear-gradient(270deg,#000,#a7a7a7 50%,#000);border-image:linear-gradient(270deg,#000,#a7a7a7 50%,#000);border-image-slice:1}#panel-colour-filters[data-colour=protanopia] .panel-icon{background:var(--sa11y-panel-error)}#panel-colour-filters[data-colour=deuteranopia] .panel-icon{background:var(--sa11y-good-hover)}#panel-colour-filters[data-colour=tritanopia] .panel-icon{background:var(--sa11y-blue)}#panel-colour-filters[data-colour=monochromacy] .panel-icon{background:linear-gradient(90deg,#38a459 20%,red 50%,#0077c8 80%)}#panel-colour-filters .panel-icon{-webkit-margin-end:5px;-webkit-margin-start:10px;height:30px;margin-inline-end:5px;margin-inline-start:10px;-webkit-mask:var(--sa11y-low-vision-icon) center no-repeat;mask:var(--sa11y-low-vision-icon) center no-repeat;width:30px}@media screen and (forced-colors:active){#panel-colour-filters .panel-icon{forced-color-adjust:none}}.select-dropdown:after{border-left:5px solid transparent;border-right:5px solid transparent;border-top:5px solid var(--sa11y-setting-switch-bg-off);content:" ";height:0;inset-inline-end:25px;margin-top:22.5px;position:absolute;width:0}#colour-filter-select{-webkit-padding-end:25px;-webkit-padding-start:5px;-webkit-appearance:none;-moz-appearance:none;appearance:none;background:var(--sa11y-panel-bg);border:2px solid var(--sa11y-setting-switch-bg-off);border-radius:5px;color:var(--sa11y-panel-primary);cursor:pointer;font-size:var(--sa11y-normal-text);font-weight:400;height:30px;padding-inline-end:25px;padding-inline-start:5px;position:relative;text-align:end;vertical-align:middle}#colour-filter-select.active{box-shadow:0 0 0 2px var(--sa11y-setting-switch-bg-on)}#colour-filter-item label,#colour-filter-item select{margin-bottom:9px;margin-top:10px}#readability-panel{display:none;opacity:0}#readability-panel.active{display:block;opacity:1}#readability-content{border-bottom:1px solid var(--sa11y-panel-bg-splitter);color:var(--sa11y-panel-primary);padding:10px 15px;width:100%}#readability-details{list-style-type:none;margin:0;padding:0;white-space:normal}#readability-details li{-webkit-padding-end:10px;display:inline-block;list-style-type:none;margin:0;padding-inline-end:10px}.readability-score{-webkit-margin-start:5px;background-color:var(--sa11y-panel-badge);border-radius:4px;color:var(--sa11y-panel-primary);margin-inline-start:5px;padding:2px 5px}#readability-info{-webkit-margin-start:10px;margin-inline-start:10px}#skip-to-page-issues{display:none}#panel.has-page-issues #skip-to-page-issues{clip:rect(0,0,0,0);background:var(--sa11y-panel-bg);border:0;border-radius:5px;display:block;height:1px;margin:-1px;overflow:hidden;padding:0;position:absolute;white-space:nowrap;width:1px}#panel.has-page-issues #skip-to-page-issues:focus{clip:auto;height:auto;margin:0;overflow:visible;padding:5px 7px;white-space:normal;width:auto;z-index:1}.hide-settings-border{border-bottom:0!important;padding:0 15px!important}::-webkit-scrollbar{width:7px}::-webkit-scrollbar-thumb{background-color:var(--sa11y-button-outline);border-radius:6px}*{scrollbar-color:var(--sa11y-button-outline);scrollbar-width:thin}.scrollable:before{animation:fade 1s ease-in-out;background-image:linear-gradient(180deg,transparent 0,transparent 70%,var(--sa11y-panel-scrollable) 100%);background-position:bottom;bottom:auto;content:"";height:250px;left:0;position:absolute;right:0;top:auto;transition:opacity 1s ease-in-out;z-index:-1}#page-issues-content.scrollable:before{height:160px}#panel-alert.scrollable:before{height:200px}@keyframes sa11y-toggle-gradient{0%{background-position:50% 0}50%{background-position:50% 100%}to{background-position:50% 0}}@keyframes fade{0%{opacity:0}to{opacity:1}}@media (prefers-reduced-motion:reduce){*{animation:none!important;transform:none!important;transition:none!important}}#panel{width:375px}#container:lang(en) #panel{width:305px}#container:lang(da) #panel,#container:lang(de) #panel,#container:lang(nb) #panel,#container:lang(pl) #panel,#container:lang(sv) #panel,#container:lang(zh) #panel{width:335px}#container:lang(es) .switch{width:225px!important}#container:not(:lang(en)):not(:lang(de)) .switch{width:205px}'+E,this.shadowRoot.appendChild(e);const t="On"===g.getItem("sa11y-remember-contrast"),o="On"===g.getItem("sa11y-remember-labels"),a="On"===g.getItem("sa11y-remember-links-advanced"),r="On"===g.getItem("sa11y-remember-readability"),s=!0===i.Global.checkAllHideToggles,{panelPosition:l}=i.Global,d=!0===i.Global.contrastPlugin?`\n      <li id="contrast-item" ${s?"hidden":""}>\n        <label id="check-contrast" for="contrast-toggle">${n._("CONTRAST")}</label>\n        <button id="contrast-toggle"\n          aria-labelledby="check-contrast"\n          class="switch"\n          aria-pressed="${t?"true":"false"}">${t?n._("ON"):n._("OFF")}</button>\n      </li>`:"",c=!0===i.Global.formLabelsPlugin?`\n      <li id="form-labels-item" ${s?"hidden":""}>\n        <label id="check-labels" for="labels-toggle">${n._("FORM_LABELS")}</label>\n        <button id="labels-toggle"\n          aria-labelledby="check-labels"\n          class="switch"\n          aria-pressed="${o?"true":"false"}">${o?n._("ON"):n._("OFF")}</button>\n      </li>`:"",p=!0===i.Global.linksAdvancedPlugin?`\n      <li id="links-advanced-item" ${s?"hidden":""}>\n        <label id="check-changerequest" for="links-advanced-toggle">${n._("LINKS_ADVANCED")} <span class="badge">AAA</span></label>\n        <button id="links-advanced-toggle"\n          aria-labelledby="check-changerequest"\n          class="switch"\n          aria-pressed="${a?"true":"false"}">${a?n._("ON"):n._("OFF")}</button>\n      </li>`:"",u=!0===i.Readability.Plugin?`\n      <li id="readability-item">\n        <label id="check-readability" for="readability-toggle">${n._("LANG_READABILITY")} <span class="badge">AAA</span></label>\n        <button id="readability-toggle"\n          aria-labelledby="check-readability"\n          class="switch"\n          aria-pressed="${r?"true":"false"}">${r?n._("ON"):n._("OFF")}</button>\n      </li>`:"",f=!0===i.Global.colourFilterPlugin?`\n      <li id="colour-filter-item">\n        <label id="colour-filter-mode" for="colour-filter">${n._("COLOUR_FILTER")}</label>\n        <div class="select-dropdown">\n          <select id="colour-filter-select">\n            <option value="0">${n._("OFF")}</option>\n            <option value="1">${n._("PROTANOPIA")}</option>\n            <option value="2">${n._("DEUTERANOPIA")}</option>\n            <option value="3">${n._("TRITANOPIA")}</option>\n            <option value="4">${n._("MONOCHROMACY")}</option>\n          </select>\n        </div>\n      </li>`:"",m=!0===i.Global.colourFilterPlugin?`\n      <div id="panel-colour-filters" role="region" aria-labelledby="colour-filter-mode">\n        <div id="filter-icon" class="panel-icon" role="img"></div>\n        <p>${n._("COLOUR_FILTER_MESSAGE")}</p>\n      </div>`:"",b=`\n      <button type="button" aria-expanded="false" id="toggle" aria-describedby="notification-badge" aria-label="${n._("MAIN_TOGGLE_LABEL")}" class="${l}" disabled>\n        <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M256 48c114.953 0 208 93.029 208 208 0 114.953-93.029 208-208 208-114.953 0-208-93.029-208-208 0-114.953 93.029-208 208-208m0-40C119.033 8 8 119.033 8 256s111.033 248 248 248 248-111.033 248-248S392.967 8 256 8zm0 56C149.961 64 64 149.961 64 256s85.961 192 192 192 192-85.961 192-192S362.039 64 256 64zm0 44c19.882 0 36 16.118 36 36s-16.118 36-36 36-36-16.118-36-36 16.118-36 36-36zm117.741 98.023c-28.712 6.779-55.511 12.748-82.14 15.807.851 101.023 12.306 123.052 25.037 155.621 3.617 9.26-.957 19.698-10.217 23.315-9.261 3.617-19.699-.957-23.316-10.217-8.705-22.308-17.086-40.636-22.261-78.549h-9.686c-5.167 37.851-13.534 56.208-22.262 78.549-3.615 9.255-14.05 13.836-23.315 10.217-9.26-3.617-13.834-14.056-10.217-23.315 12.713-32.541 24.185-54.541 25.037-155.621-26.629-3.058-53.428-9.027-82.141-15.807-8.6-2.031-13.926-10.648-11.895-19.249s10.647-13.926 19.249-11.895c96.686 22.829 124.283 22.783 220.775 0 8.599-2.03 17.218 3.294 19.249 11.895 2.029 8.601-3.297 17.219-11.897 19.249z"/></svg>\n        <div id="notification-badge">\n          <span id="notification-count"></span>\n          <span id="notification-text" class="visually-hidden"></span>\n        </div>\n      </button>`,h=`\n      <div id="page-issues">\n        <div class="panel-header">\n          <h2 id="page-issues-header" tabindex="-1">${n._("PAGE_ISSUES")}</h2>\n        </div>\n        <div id="page-issues-content">\n          <ul id="page-issues-list" role="list" aria-labelledby="page-issues-header"></ul>\n        </div>\n      </div>`,y=`\n      <div id="outline-panel" role="tabpanel" aria-labelledby="outline-header">\n        <div class="panel-header">\n          <h2 id="outline-header" tabindex="-1">${n._("OUTLINE")}</h2>\n        </div>\n        <div id="outline-content">\n          <ul\n            id="outline-list"\n            tabindex="0"\n            role="list"\n            aria-labelledby="outline-header"></ul>\n        </div>\n        <div id="readability-panel">\n          <div id="readability-content">\n            <h2 class="header-text-inline">${n._("LANG_READABILITY")}</h2>\n            <p id="readability-info"></p>\n            <ul id="readability-details"></ul>\n          </div>\n        </div>\n      </div>`,v=`\n      <div id="settings-panel" role="tabpanel" aria-labelledby="settings-header">\n        <div class="panel-header">\n          <h2 id="settings-header" tabindex="-1">${n._("SETTINGS")}</h2>\n        </div>\n        <div id="settings-content">\n          <ul id="settings-options">\n            ${d}\n            ${c}\n            ${p}\n            ${u}\n            <li id="dark-mode-item">\n              <label id="dark-mode" for="theme-toggle">${n._("DARK_MODE")}</label>\n              <button id="theme-toggle"\n                aria-labelledby="dark-mode"\n                class="switch"></button>\n            </li>\n            ${f}\n          </ul>\n        </div>\n      </div>`,x=`\n      <div\n        id="panel-alert"\n        role="alertdialog"\n        aria-labelledby="alert-heading"\n        aria-describedby="panel-alert-text">\n        <div id="panel-alert-content">\n          <div class="header-text">\n            <button id="close-alert" class="close-btn" aria-label="${n._("ALERT_CLOSE")}"></button>\n            <h2 id="alert-heading">${n._("ALERT_TEXT")}</h2>\n          </div>\n          <p id="panel-alert-text"></p>\n          <div id="panel-alert-preview"></div>\n        </div>\n      </div>`,A=`\n      <div id="panel-content">\n        <button id="skip-to-page-issues" type="button">\n          ${n._("SKIP_TO_PAGE_ISSUES")}\n        </button>\n        <button id="skip-button" type="button">\n          <div class="panel-icon"></div>\n          <span class="visually-hidden">${n._("SHORTCUT_SCREEN_READER")}</span>\n        </button>\n        <button id="dismiss-button" type="button">\n          <div class="dismiss-icon"></div>\n          <span id="dismiss-tooltip" class="visually-hidden"></span>\n        </button>\n        <div id="panel-text">\n          <h1 class="visually-hidden">${n._("PANEL_HEADING")}</h1>\n          <p id="status" aria-live="polite"></p>\n        </div>\n      </div>`,w=`\n      <div id="panel-controls" role="tablist" aria-orientation="horizontal">\n        ${"left"===l?'<div style="width:40px"></div>':""}\n        <button type="button" role="tab" aria-expanded="false" id="outline-toggle" aria-controls="outline-panel">${n._("OUTLINE")}</button>\n        <button type="button" role="tab" aria-expanded="false" id="settings-toggle" aria-controls="settings-panel">${n._("SETTINGS")}</button>\n        ${"right"===l?'<div style="width:40px"></div>':""}\n      </div>`,I=document.createElement("div");I.setAttribute("id","container"),I.setAttribute("role","region"),I.setAttribute("lang",n._("LANG_CODE")),I.setAttribute("aria-label",n._("CONTAINER_LABEL")),I.setAttribute("dir",i.Global.langDirection),I.innerHTML="top-left"===l||"top-right"===l?`\n        ${b}\n        <div id="panel" class="${l}">\n          ${A}\n          ${m}\n          ${w}\n          ${y}\n          ${v}\n          ${x}\n          ${h}\n        </div>`:`\n        ${b}\n        <div id="panel" class="${l}">\n          ${h}\n          ${y}\n          ${v}\n          ${x}\n          ${m}\n          ${A}\n          ${w}\n        </div>`,this.shadowRoot.appendChild(I),i.initializePanelSelectors()}}function k(e,t){const o=[];return e.map((e=>{const n=t.find((t=>e.key.includes(t.dismiss)&&e.href===i.Global.currentPage));return void 0===n?"":n})).forEach((e=>{Object.assign(e,{dismissedHeading:!0})})),t.forEach((e=>{const t=e.element,a=e.headingLevel,r=e.text,s=e.index,l=e.type,d=e.hidden,c=e.visibleParent,p=e.dismissedHeading;let u=[];if(i.Exclusions.Outline&&(u=Array.from(document.querySelectorAll(i.Exclusions.Outline))),!u.includes(t)){const e=!0===d?'<span class="hidden-icon"></span><span class="visually-hidden">Hidden</span>':"",t=!0===d?'class="hidden-h"':"";let i;"error"===l?(i=`\n        <li class="outline-${a}">\n          <a role="button" id="sa11y-link-${s}" tabindex="-1" ${t}>\n            <span class="badge error-badge">\n            <span aria-hidden="true">${e}\n              <span class="error-icon"></span>\n            </span>\n            <span class="visually-hidden">${n._("ERROR")}</span> ${a}</span>\n            <strong class="outline-list-item red-text">${r}</strong>\n          </a>\n        </li>`,o.push(i)):"warning"!==l||p?(i=`\n        <li class="outline-${a}">\n          <a role="button" id="sa11y-link-${s}" tabindex="-1" ${t}>\n            <span class="badge">${e} ${a}</span>\n            <span class="outline-list-item">${r}</span>\n          </a>\n        </li>`,o.push(i)):(i=`\n        <li class="outline-${a}">\n          <a role="button" id="sa11y-link-${s}" tabindex="-1" ${t}>\n            <span class="badge warning-badge">\n            <span aria-hidden="true">${e} &#x3f;</span>\n            <span class="visually-hidden">${n._("WARNING")}</span> ${a}</span>\n            <strong class="outline-list-item yellow-text">${r}</strong>\n          </a>\n        </li>`,o.push(i))}const f=document.createElement("sa11y-heading-label"),m=document.createElement("sa11y-heading-anchor");if(f.hidden=!0,null!==c){t.insertAdjacentElement("beforeend",f);const e=c.previousElementSibling;m.setAttribute("id",`sa11y-h${s}`),e?(e.insertAdjacentElement("beforebegin",m),e.setAttribute("data-sa11y-parent",`h${s}`)):(c.parentNode.insertAdjacentElement("beforebegin",m),c.parentNode.setAttribute("data-sa11y-parent",`h${s}`))}else t.insertAdjacentElement("beforeend",f),f.insertAdjacentElement("beforebegin",m),m.setAttribute("id",`sa11y-h${s}`);const b=document.createElement("span");b.classList.add("heading-label"),b.innerHTML=`H${a}`,f.shadowRoot.appendChild(b),"Opened"===g.getItem("sa11y-remember-outline")&&(f.hidden=!1)})),i.Panel.outlineList.innerHTML=o.join(" "),setTimeout((()=>{const e=document.querySelector("sa11y-control-panel").shadowRoot,t=Array.from(e.querySelectorAll("#outline-list a"));t.forEach(((t,o)=>{const r=e.getElementById(`sa11y-link-${o}`),s=a(`#sa11y-h${o}, [data-sa11y-parent="h${o}"]`,"root",i.Exclusions.Container),l=e=>{("keyup"===e.type&&"Enter"===e.code||"click"===e.type)&&(s.forEach((e=>{(e=>{f(e.parentElement),e.scrollIntoView({behavior:`${i.Global.scrollBehaviour}`,block:"center"})})(e)})),r.classList.contains("hidden-h")?h(`${n._("HEADING_NOT_VISIBLE_ALERT")}`):i.Panel.alert.classList.contains("active")&&b()),e.preventDefault()};r.addEventListener("click",l,!1),r.addEventListener("keyup",l,!1)}));let o=0;const r=e=>{if(!["ArrowUp","ArrowDown","Space"].includes(e.code))return;if("Space"===e.code)return void t[o].click();let n;t[o].setAttribute("tabindex",-1),"ArrowDown"===e.code?(n=o+1,o===t.length-1&&(n=0)):"ArrowUp"===e.code&&(n=o-1,0===o&&(n=t.length-1)),t[n].setAttribute("tabindex",0),t[n].focus(),o=n,e.preventDefault()};i.Panel.outlineList.addEventListener("focus",(()=>{t.length>0&&(i.Panel.outlineList.setAttribute("tabindex",-1),t[o].setAttribute("tabindex",0),t[o].focus()),i.Panel.outlineList.addEventListener("keydown",r)})),i.Panel.outlineList.addEventListener("blur",(()=>{i.Panel.outlineList.removeEventListener("keydown",r)}))}),0),e}var T="top",_="bottom",S="right",P="left",O="auto",C=[T,_,S,P],N="start",$="end",R="clippingParents",D="viewport",G="popper",M="reference",B=C.reduce((function(e,t){return e.concat([t+"-"+N,t+"-"+$])}),[]),H=[].concat(C,[O]).reduce((function(e,t){return e.concat([t,t+"-"+N,t+"-"+$])}),[]),F=["beforeRead","read","afterRead","beforeMain","main","afterMain","beforeWrite","write","afterWrite"];function j(e){return e?(e.nodeName||"").toLowerCase():null}function z(e){if(null==e)return window;if("[object Window]"!==e.toString()){var t=e.ownerDocument;return t&&t.defaultView||window}return e}function q(e){return e instanceof z(e).Element||e instanceof Element}function U(e){return e instanceof z(e).HTMLElement||e instanceof HTMLElement}function V(e){return"undefined"!=typeof ShadowRoot&&(e instanceof z(e).ShadowRoot||e instanceof ShadowRoot)}var W={name:"applyStyles",enabled:!0,phase:"write",fn:function(e){var t=e.state;Object.keys(t.elements).forEach((function(e){var n=t.styles[e]||{},o=t.attributes[e]||{},i=t.elements[e];U(i)&&j(i)&&(Object.assign(i.style,n),Object.keys(o).forEach((function(e){var t=o[e];!1===t?i.removeAttribute(e):i.setAttribute(e,!0===t?"":t)})))}))},effect:function(e){var t=e.state,n={popper:{position:t.options.strategy,left:"0",top:"0",margin:"0"},arrow:{position:"absolute"},reference:{}};return Object.assign(t.elements.popper.style,n.popper),t.styles=n,t.elements.arrow&&Object.assign(t.elements.arrow.style,n.arrow),function(){Object.keys(t.elements).forEach((function(e){var o=t.elements[e],i=t.attributes[e]||{},a=Object.keys(t.styles.hasOwnProperty(e)?t.styles[e]:n[e]).reduce((function(e,t){return e[t]="",e}),{});U(o)&&j(o)&&(Object.assign(o.style,a),Object.keys(i).forEach((function(e){o.removeAttribute(e)})))}))}},requires:["computeStyles"]};function K(e){return e.split("-")[0]}var Q=Math.max,Y=Math.min,X=Math.round;function Z(){var e=navigator.userAgentData;return null!=e&&e.brands&&Array.isArray(e.brands)?e.brands.map((function(e){return e.brand+"/"+e.version})).join(" "):navigator.userAgent}function J(){return!/^((?!chrome|android).)*safari/i.test(Z())}function ee(e,t,n){void 0===t&&(t=!1),void 0===n&&(n=!1);var o=e.getBoundingClientRect(),i=1,a=1;t&&U(e)&&(i=e.offsetWidth>0&&X(o.width)/e.offsetWidth||1,a=e.offsetHeight>0&&X(o.height)/e.offsetHeight||1);var r=(q(e)?z(e):window).visualViewport,s=!J()&&n,l=(o.left+(s&&r?r.offsetLeft:0))/i,d=(o.top+(s&&r?r.offsetTop:0))/a,c=o.width/i,p=o.height/a;return{width:c,height:p,top:d,right:l+c,bottom:d+p,left:l,x:l,y:d}}function te(e){var t=ee(e),n=e.offsetWidth,o=e.offsetHeight;return Math.abs(t.width-n)<=1&&(n=t.width),Math.abs(t.height-o)<=1&&(o=t.height),{x:e.offsetLeft,y:e.offsetTop,width:n,height:o}}function ne(e,t){var n=t.getRootNode&&t.getRootNode();if(e.contains(t))return!0;if(n&&V(n)){var o=t;do{if(o&&e.isSameNode(o))return!0;o=o.parentNode||o.host}while(o)}return!1}function oe(e){return z(e).getComputedStyle(e)}function ie(e){return["table","td","th"].indexOf(j(e))>=0}function ae(e){return((q(e)?e.ownerDocument:e.document)||window.document).documentElement}function re(e){return"html"===j(e)?e:e.assignedSlot||e.parentNode||(V(e)?e.host:null)||ae(e)}function se(e){return U(e)&&"fixed"!==oe(e).position?e.offsetParent:null}function le(e){for(var t=z(e),n=se(e);n&&ie(n)&&"static"===oe(n).position;)n=se(n);return n&&("html"===j(n)||"body"===j(n)&&"static"===oe(n).position)?t:n||function(e){var t=/firefox/i.test(Z());if(/Trident/i.test(Z())&&U(e)&&"fixed"===oe(e).position)return null;var n=re(e);for(V(n)&&(n=n.host);U(n)&&["html","body"].indexOf(j(n))<0;){var o=oe(n);if("none"!==o.transform||"none"!==o.perspective||"paint"===o.contain||-1!==["transform","perspective"].indexOf(o.willChange)||t&&"filter"===o.willChange||t&&o.filter&&"none"!==o.filter)return n;n=n.parentNode}return null}(e)||t}function de(e){return["top","bottom"].indexOf(e)>=0?"x":"y"}function ce(e,t,n){return Q(e,Y(t,n))}function pe(e){return Object.assign({},{top:0,right:0,bottom:0,left:0},e)}function ue(e,t){return t.reduce((function(t,n){return t[n]=e,t}),{})}var ge={name:"arrow",enabled:!0,phase:"main",fn:function(e){var t,n=e.state,o=e.name,i=e.options,a=n.elements.arrow,r=n.modifiersData.popperOffsets,s=K(n.placement),l=de(s),d=[P,S].indexOf(s)>=0?"height":"width";if(a&&r){var c=function(e,t){return pe("number"!=typeof(e="function"==typeof e?e(Object.assign({},t.rects,{placement:t.placement})):e)?e:ue(e,C))}(i.padding,n),p=te(a),u="y"===l?T:P,g="y"===l?_:S,f=n.rects.reference[d]+n.rects.reference[l]-r[l]-n.rects.popper[d],m=r[l]-n.rects.reference[l],b=le(a),h=b?"y"===l?b.clientHeight||0:b.clientWidth||0:0,y=f/2-m/2,v=c[u],x=h-p[d]-c[g],A=h/2-p[d]/2+y,w=ce(v,A,x),E=l;n.modifiersData[o]=((t={})[E]=w,t.centerOffset=w-A,t)}},effect:function(e){var t=e.state,n=e.options.element,o=void 0===n?"[data-popper-arrow]":n;null!=o&&("string"!=typeof o||(o=t.elements.popper.querySelector(o)))&&ne(t.elements.popper,o)&&(t.elements.arrow=o)},requires:["popperOffsets"],requiresIfExists:["preventOverflow"]};function fe(e){return e.split("-")[1]}var me={top:"auto",right:"auto",bottom:"auto",left:"auto"};function be(e){var t,n=e.popper,o=e.popperRect,i=e.placement,a=e.variation,r=e.offsets,s=e.position,l=e.gpuAcceleration,d=e.adaptive,c=e.roundOffsets,p=e.isFixed,u=r.x,g=void 0===u?0:u,f=r.y,m=void 0===f?0:f,b="function"==typeof c?c({x:g,y:m}):{x:g,y:m};g=b.x,m=b.y;var h=r.hasOwnProperty("x"),y=r.hasOwnProperty("y"),v=P,x=T,A=window;if(d){var w=le(n),E="clientHeight",I="clientWidth";if(w===z(n)&&"static"!==oe(w=ae(n)).position&&"absolute"===s&&(E="scrollHeight",I="scrollWidth"),i===T||(i===P||i===S)&&a===$)x=_,m-=(p&&w===A&&A.visualViewport?A.visualViewport.height:w[E])-o.height,m*=l?1:-1;if(i===P||(i===T||i===_)&&a===$)v=S,g-=(p&&w===A&&A.visualViewport?A.visualViewport.width:w[I])-o.width,g*=l?1:-1}var L,k=Object.assign({position:s},d&&me),O=!0===c?function(e,t){var n=e.x,o=e.y,i=t.devicePixelRatio||1;return{x:X(n*i)/i||0,y:X(o*i)/i||0}}({x:g,y:m},z(n)):{x:g,y:m};return g=O.x,m=O.y,l?Object.assign({},k,((L={})[x]=y?"0":"",L[v]=h?"0":"",L.transform=(A.devicePixelRatio||1)<=1?"translate("+g+"px, "+m+"px)":"translate3d("+g+"px, "+m+"px, 0)",L)):Object.assign({},k,((t={})[x]=y?m+"px":"",t[v]=h?g+"px":"",t.transform="",t))}var he={passive:!0};var ye={left:"right",right:"left",bottom:"top",top:"bottom"};function ve(e){return e.replace(/left|right|bottom|top/g,(function(e){return ye[e]}))}var xe={start:"end",end:"start"};function Ae(e){return e.replace(/start|end/g,(function(e){return xe[e]}))}function we(e){var t=z(e);return{scrollLeft:t.pageXOffset,scrollTop:t.pageYOffset}}function Ee(e){return ee(ae(e)).left+we(e).scrollLeft}function Ie(e){var t=oe(e),n=t.overflow,o=t.overflowX,i=t.overflowY;return/auto|scroll|overlay|hidden/.test(n+i+o)}function Le(e){return["html","body","#document"].indexOf(j(e))>=0?e.ownerDocument.body:U(e)&&Ie(e)?e:Le(re(e))}function ke(e,t){var n;void 0===t&&(t=[]);var o=Le(e),i=o===(null==(n=e.ownerDocument)?void 0:n.body),a=z(o),r=i?[a].concat(a.visualViewport||[],Ie(o)?o:[]):o,s=t.concat(r);return i?s:s.concat(ke(re(r)))}function Te(e){return Object.assign({},e,{left:e.x,top:e.y,right:e.x+e.width,bottom:e.y+e.height})}function _e(e,t,n){return t===D?Te(function(e,t){var n=z(e),o=ae(e),i=n.visualViewport,a=o.clientWidth,r=o.clientHeight,s=0,l=0;if(i){a=i.width,r=i.height;var d=J();(d||!d&&"fixed"===t)&&(s=i.offsetLeft,l=i.offsetTop)}return{width:a,height:r,x:s+Ee(e),y:l}}(e,n)):q(t)?function(e,t){var n=ee(e,!1,"fixed"===t);return n.top=n.top+e.clientTop,n.left=n.left+e.clientLeft,n.bottom=n.top+e.clientHeight,n.right=n.left+e.clientWidth,n.width=e.clientWidth,n.height=e.clientHeight,n.x=n.left,n.y=n.top,n}(t,n):Te(function(e){var t,n=ae(e),o=we(e),i=null==(t=e.ownerDocument)?void 0:t.body,a=Q(n.scrollWidth,n.clientWidth,i?i.scrollWidth:0,i?i.clientWidth:0),r=Q(n.scrollHeight,n.clientHeight,i?i.scrollHeight:0,i?i.clientHeight:0),s=-o.scrollLeft+Ee(e),l=-o.scrollTop;return"rtl"===oe(i||n).direction&&(s+=Q(n.clientWidth,i?i.clientWidth:0)-a),{width:a,height:r,x:s,y:l}}(ae(e)))}function Se(e,t,n,o){var i="clippingParents"===t?function(e){var t=ke(re(e)),n=["absolute","fixed"].indexOf(oe(e).position)>=0&&U(e)?le(e):e;return q(n)?t.filter((function(e){return q(e)&&ne(e,n)&&"body"!==j(e)})):[]}(e):[].concat(t),a=[].concat(i,[n]),r=a[0],s=a.reduce((function(t,n){var i=_e(e,n,o);return t.top=Q(i.top,t.top),t.right=Y(i.right,t.right),t.bottom=Y(i.bottom,t.bottom),t.left=Q(i.left,t.left),t}),_e(e,r,o));return s.width=s.right-s.left,s.height=s.bottom-s.top,s.x=s.left,s.y=s.top,s}function Pe(e){var t,n=e.reference,o=e.element,i=e.placement,a=i?K(i):null,r=i?fe(i):null,s=n.x+n.width/2-o.width/2,l=n.y+n.height/2-o.height/2;switch(a){case T:t={x:s,y:n.y-o.height};break;case _:t={x:s,y:n.y+n.height};break;case S:t={x:n.x+n.width,y:l};break;case P:t={x:n.x-o.width,y:l};break;default:t={x:n.x,y:n.y}}var d=a?de(a):null;if(null!=d){var c="y"===d?"height":"width";switch(r){case N:t[d]=t[d]-(n[c]/2-o[c]/2);break;case $:t[d]=t[d]+(n[c]/2-o[c]/2)}}return t}function Oe(e,t){void 0===t&&(t={});var n=t,o=n.placement,i=void 0===o?e.placement:o,a=n.strategy,r=void 0===a?e.strategy:a,s=n.boundary,l=void 0===s?R:s,d=n.rootBoundary,c=void 0===d?D:d,p=n.elementContext,u=void 0===p?G:p,g=n.altBoundary,f=void 0!==g&&g,m=n.padding,b=void 0===m?0:m,h=pe("number"!=typeof b?b:ue(b,C)),y=u===G?M:G,v=e.rects.popper,x=e.elements[f?y:u],A=Se(q(x)?x:x.contextElement||ae(e.elements.popper),l,c,r),w=ee(e.elements.reference),E=Pe({reference:w,element:v,strategy:"absolute",placement:i}),I=Te(Object.assign({},v,E)),L=u===G?I:w,k={top:A.top-L.top+h.top,bottom:L.bottom-A.bottom+h.bottom,left:A.left-L.left+h.left,right:L.right-A.right+h.right},P=e.modifiersData.offset;if(u===G&&P){var O=P[i];Object.keys(k).forEach((function(e){var t=[S,_].indexOf(e)>=0?1:-1,n=[T,_].indexOf(e)>=0?"y":"x";k[e]+=O[n]*t}))}return k}function Ce(e,t){void 0===t&&(t={});var n=t,o=n.placement,i=n.boundary,a=n.rootBoundary,r=n.padding,s=n.flipVariations,l=n.allowedAutoPlacements,d=void 0===l?H:l,c=fe(o),p=c?s?B:B.filter((function(e){return fe(e)===c})):C,u=p.filter((function(e){return d.indexOf(e)>=0}));0===u.length&&(u=p);var g=u.reduce((function(t,n){return t[n]=Oe(e,{placement:n,boundary:i,rootBoundary:a,padding:r})[K(n)],t}),{});return Object.keys(g).sort((function(e,t){return g[e]-g[t]}))}var Ne={name:"flip",enabled:!0,phase:"main",fn:function(e){var t=e.state,n=e.options,o=e.name;if(!t.modifiersData[o]._skip){for(var i=n.mainAxis,a=void 0===i||i,r=n.altAxis,s=void 0===r||r,l=n.fallbackPlacements,d=n.padding,c=n.boundary,p=n.rootBoundary,u=n.altBoundary,g=n.flipVariations,f=void 0===g||g,m=n.allowedAutoPlacements,b=t.options.placement,h=K(b),y=l||(h===b||!f?[ve(b)]:function(e){if(K(e)===O)return[];var t=ve(e);return[Ae(e),t,Ae(t)]}(b)),v=[b].concat(y).reduce((function(e,n){return e.concat(K(n)===O?Ce(t,{placement:n,boundary:c,rootBoundary:p,padding:d,flipVariations:f,allowedAutoPlacements:m}):n)}),[]),x=t.rects.reference,A=t.rects.popper,w=new Map,E=!0,I=v[0],L=0;L<v.length;L++){var k=v[L],C=K(k),$=fe(k)===N,R=[T,_].indexOf(C)>=0,D=R?"width":"height",G=Oe(t,{placement:k,boundary:c,rootBoundary:p,altBoundary:u,padding:d}),M=R?$?S:P:$?_:T;x[D]>A[D]&&(M=ve(M));var B=ve(M),H=[];if(a&&H.push(G[C]<=0),s&&H.push(G[M]<=0,G[B]<=0),H.every((function(e){return e}))){I=k,E=!1;break}w.set(k,H)}if(E)for(var F=function(e){var t=v.find((function(t){var n=w.get(t);if(n)return n.slice(0,e).every((function(e){return e}))}));if(t)return I=t,"break"},j=f?3:1;j>0;j--){if("break"===F(j))break}t.placement!==I&&(t.modifiersData[o]._skip=!0,t.placement=I,t.reset=!0)}},requiresIfExists:["offset"],data:{_skip:!1}};function $e(e,t,n){return void 0===n&&(n={x:0,y:0}),{top:e.top-t.height-n.y,right:e.right-t.width+n.x,bottom:e.bottom-t.height+n.y,left:e.left-t.width-n.x}}function Re(e){return[T,S,_,P].some((function(t){return e[t]>=0}))}var De={name:"offset",enabled:!0,phase:"main",requires:["popperOffsets"],fn:function(e){var t=e.state,n=e.options,o=e.name,i=n.offset,a=void 0===i?[0,0]:i,r=H.reduce((function(e,n){return e[n]=function(e,t,n){var o=K(e),i=[P,T].indexOf(o)>=0?-1:1,a="function"==typeof n?n(Object.assign({},t,{placement:e})):n,r=a[0],s=a[1];return r=r||0,s=(s||0)*i,[P,S].indexOf(o)>=0?{x:s,y:r}:{x:r,y:s}}(n,t.rects,a),e}),{}),s=r[t.placement],l=s.x,d=s.y;null!=t.modifiersData.popperOffsets&&(t.modifiersData.popperOffsets.x+=l,t.modifiersData.popperOffsets.y+=d),t.modifiersData[o]=r}};var Ge={name:"preventOverflow",enabled:!0,phase:"main",fn:function(e){var t=e.state,n=e.options,o=e.name,i=n.mainAxis,a=void 0===i||i,r=n.altAxis,s=void 0!==r&&r,l=n.boundary,d=n.rootBoundary,c=n.altBoundary,p=n.padding,u=n.tether,g=void 0===u||u,f=n.tetherOffset,m=void 0===f?0:f,b=Oe(t,{boundary:l,rootBoundary:d,padding:p,altBoundary:c}),h=K(t.placement),y=fe(t.placement),v=!y,x=de(h),A="x"===x?"y":"x",w=t.modifiersData.popperOffsets,E=t.rects.reference,I=t.rects.popper,L="function"==typeof m?m(Object.assign({},t.rects,{placement:t.placement})):m,k="number"==typeof L?{mainAxis:L,altAxis:L}:Object.assign({mainAxis:0,altAxis:0},L),O=t.modifiersData.offset?t.modifiersData.offset[t.placement]:null,C={x:0,y:0};if(w){if(a){var $,R="y"===x?T:P,D="y"===x?_:S,G="y"===x?"height":"width",M=w[x],B=M+b[R],H=M-b[D],F=g?-I[G]/2:0,j=y===N?E[G]:I[G],z=y===N?-I[G]:-E[G],q=t.elements.arrow,U=g&&q?te(q):{width:0,height:0},V=t.modifiersData["arrow#persistent"]?t.modifiersData["arrow#persistent"].padding:{top:0,right:0,bottom:0,left:0},W=V[R],X=V[D],Z=ce(0,E[G],U[G]),J=v?E[G]/2-F-Z-W-k.mainAxis:j-Z-W-k.mainAxis,ee=v?-E[G]/2+F+Z+X+k.mainAxis:z+Z+X+k.mainAxis,ne=t.elements.arrow&&le(t.elements.arrow),oe=ne?"y"===x?ne.clientTop||0:ne.clientLeft||0:0,ie=null!=($=null==O?void 0:O[x])?$:0,ae=M+ee-ie,re=ce(g?Y(B,M+J-ie-oe):B,M,g?Q(H,ae):H);w[x]=re,C[x]=re-M}if(s){var se,pe="x"===x?T:P,ue="x"===x?_:S,ge=w[A],me="y"===A?"height":"width",be=ge+b[pe],he=ge-b[ue],ye=-1!==[T,P].indexOf(h),ve=null!=(se=null==O?void 0:O[A])?se:0,xe=ye?be:ge-E[me]-I[me]-ve+k.altAxis,Ae=ye?ge+E[me]+I[me]-ve-k.altAxis:he,we=g&&ye?function(e,t,n){var o=ce(e,t,n);return o>n?n:o}(xe,ge,Ae):ce(g?xe:be,ge,g?Ae:he);w[A]=we,C[A]=we-ge}t.modifiersData[o]=C}},requiresIfExists:["offset"]};function Me(e,t,n){void 0===n&&(n=!1);var o,i,a=U(t),r=U(t)&&function(e){var t=e.getBoundingClientRect(),n=X(t.width)/e.offsetWidth||1,o=X(t.height)/e.offsetHeight||1;return 1!==n||1!==o}(t),s=ae(t),l=ee(e,r,n),d={scrollLeft:0,scrollTop:0},c={x:0,y:0};return(a||!a&&!n)&&(("body"!==j(t)||Ie(s))&&(d=(o=t)!==z(o)&&U(o)?{scrollLeft:(i=o).scrollLeft,scrollTop:i.scrollTop}:we(o)),U(t)?((c=ee(t,!0)).x+=t.clientLeft,c.y+=t.clientTop):s&&(c.x=Ee(s))),{x:l.left+d.scrollLeft-c.x,y:l.top+d.scrollTop-c.y,width:l.width,height:l.height}}function Be(e){var t=new Map,n=new Set,o=[];function i(e){n.add(e.name),[].concat(e.requires||[],e.requiresIfExists||[]).forEach((function(e){if(!n.has(e)){var o=t.get(e);o&&i(o)}})),o.push(e)}return e.forEach((function(e){t.set(e.name,e)})),e.forEach((function(e){n.has(e.name)||i(e)})),o}var He={placement:"bottom",modifiers:[],strategy:"absolute"};function Fe(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return!t.some((function(e){return!(e&&"function"==typeof e.getBoundingClientRect)}))}function je(e){void 0===e&&(e={});var t=e,n=t.defaultModifiers,o=void 0===n?[]:n,i=t.defaultOptions,a=void 0===i?He:i;return function(e,t,n){void 0===n&&(n=a);var i,r,s={placement:"bottom",orderedModifiers:[],options:Object.assign({},He,a),modifiersData:{},elements:{reference:e,popper:t},attributes:{},styles:{}},l=[],d=!1,c={state:s,setOptions:function(n){var i="function"==typeof n?n(s.options):n;p(),s.options=Object.assign({},a,s.options,i),s.scrollParents={reference:q(e)?ke(e):e.contextElement?ke(e.contextElement):[],popper:ke(t)};var r,d,u=function(e){var t=Be(e);return F.reduce((function(e,n){return e.concat(t.filter((function(e){return e.phase===n})))}),[])}((r=[].concat(o,s.options.modifiers),d=r.reduce((function(e,t){var n=e[t.name];return e[t.name]=n?Object.assign({},n,t,{options:Object.assign({},n.options,t.options),data:Object.assign({},n.data,t.data)}):t,e}),{}),Object.keys(d).map((function(e){return d[e]}))));return s.orderedModifiers=u.filter((function(e){return e.enabled})),s.orderedModifiers.forEach((function(e){var t=e.name,n=e.options,o=void 0===n?{}:n,i=e.effect;if("function"==typeof i){var a=i({state:s,name:t,instance:c,options:o}),r=function(){};l.push(a||r)}})),c.update()},forceUpdate:function(){if(!d){var e=s.elements,t=e.reference,n=e.popper;if(Fe(t,n)){s.rects={reference:Me(t,le(n),"fixed"===s.options.strategy),popper:te(n)},s.reset=!1,s.placement=s.options.placement,s.orderedModifiers.forEach((function(e){return s.modifiersData[e.name]=Object.assign({},e.data)}));for(var o=0;o<s.orderedModifiers.length;o++)if(!0!==s.reset){var i=s.orderedModifiers[o],a=i.fn,r=i.options,l=void 0===r?{}:r,p=i.name;"function"==typeof a&&(s=a({state:s,options:l,name:p,instance:c})||s)}else s.reset=!1,o=-1}}},update:(i=function(){return new Promise((function(e){c.forceUpdate(),e(s)}))},function(){return r||(r=new Promise((function(e){Promise.resolve().then((function(){r=void 0,e(i())}))}))),r}),destroy:function(){p(),d=!0}};if(!Fe(e,t))return c;function p(){l.forEach((function(e){return e()})),l=[]}return c.setOptions(n).then((function(e){!d&&n.onFirstUpdate&&n.onFirstUpdate(e)})),c}}var ze=je({defaultModifiers:[{name:"eventListeners",enabled:!0,phase:"write",fn:function(){},effect:function(e){var t=e.state,n=e.instance,o=e.options,i=o.scroll,a=void 0===i||i,r=o.resize,s=void 0===r||r,l=z(t.elements.popper),d=[].concat(t.scrollParents.reference,t.scrollParents.popper);return a&&d.forEach((function(e){e.addEventListener("scroll",n.update,he)})),s&&l.addEventListener("resize",n.update,he),function(){a&&d.forEach((function(e){e.removeEventListener("scroll",n.update,he)})),s&&l.removeEventListener("resize",n.update,he)}},data:{}},{name:"popperOffsets",enabled:!0,phase:"read",fn:function(e){var t=e.state,n=e.name;t.modifiersData[n]=Pe({reference:t.rects.reference,element:t.rects.popper,strategy:"absolute",placement:t.placement})},data:{}},{name:"computeStyles",enabled:!0,phase:"beforeWrite",fn:function(e){var t=e.state,n=e.options,o=n.gpuAcceleration,i=void 0===o||o,a=n.adaptive,r=void 0===a||a,s=n.roundOffsets,l=void 0===s||s,d={placement:K(t.placement),variation:fe(t.placement),popper:t.elements.popper,popperRect:t.rects.popper,gpuAcceleration:i,isFixed:"fixed"===t.options.strategy};null!=t.modifiersData.popperOffsets&&(t.styles.popper=Object.assign({},t.styles.popper,be(Object.assign({},d,{offsets:t.modifiersData.popperOffsets,position:t.options.strategy,adaptive:r,roundOffsets:l})))),null!=t.modifiersData.arrow&&(t.styles.arrow=Object.assign({},t.styles.arrow,be(Object.assign({},d,{offsets:t.modifiersData.arrow,position:"absolute",adaptive:!1,roundOffsets:l})))),t.attributes.popper=Object.assign({},t.attributes.popper,{"data-popper-placement":t.placement})},data:{}},W,De,Ne,Ge,ge,{name:"hide",enabled:!0,phase:"main",requiresIfExists:["preventOverflow"],fn:function(e){var t=e.state,n=e.name,o=t.rects.reference,i=t.rects.popper,a=t.modifiersData.preventOverflow,r=Oe(t,{elementContext:"reference"}),s=Oe(t,{altBoundary:!0}),l=$e(r,o),d=$e(s,i,a),c=Re(l),p=Re(d);t.modifiersData[n]={referenceClippingOffsets:l,popperEscapeOffsets:d,isReferenceHidden:c,hasPopperEscaped:p},t.attributes.popper=Object.assign({},t.attributes.popper,{"data-popper-reference-hidden":c,"data-popper-escaped":p})}}]}),qe="tippy-content",Ue="tippy-backdrop",Ve="tippy-arrow",We="tippy-svg-arrow",Ke={passive:!0,capture:!0},Qe=function(){return document.body};function Ye(e,t,n){if(Array.isArray(e)){var o=e[t];return null==o?Array.isArray(n)?n[t]:n:o}return e}function Xe(e,t){var n={}.toString.call(e);return 0===n.indexOf("[object")&&n.indexOf(t+"]")>-1}function Ze(e,t){return"function"==typeof e?e.apply(void 0,t):e}function Je(e,t){return 0===t?e:function(o){clearTimeout(n),n=setTimeout((function(){e(o)}),t)};var n}function et(e){return[].concat(e)}function tt(e,t){-1===e.indexOf(t)&&e.push(t)}function nt(e){return[].slice.call(e)}function ot(e){return Object.keys(e).reduce((function(t,n){return void 0!==e[n]&&(t[n]=e[n]),t}),{})}function it(){return document.createElement("div")}function at(e){return["Element","Fragment"].some((function(t){return Xe(e,t)}))}function rt(e){return at(e)?[e]:function(e){return Xe(e,"NodeList")}(e)?nt(e):Array.isArray(e)?e:nt(document.querySelectorAll(e))}function st(e,t){e.forEach((function(e){e&&(e.style.transitionDuration=t+"ms")}))}function lt(e,t){e.forEach((function(e){e&&e.setAttribute("data-state",t)}))}function dt(e,t,n){var o=t+"EventListener";["transitionend","webkitTransitionEnd"].forEach((function(t){e[o](t,n)}))}function ct(e,t){for(var n=t;n;){var o;if(e.contains(n))return!0;n=null==n.getRootNode||null==(o=n.getRootNode())?void 0:o.host}return!1}var pt={isTouch:!1},ut=0;function gt(){pt.isTouch||(pt.isTouch=!0,window.performance&&document.addEventListener("mousemove",ft))}function ft(){var e=performance.now();e-ut<20&&(pt.isTouch=!1,document.removeEventListener("mousemove",ft)),ut=e}function mt(){var e,t=document.activeElement;if((e=t)&&e._tippy&&e._tippy.reference===e){var n=t._tippy;t.blur&&!n.state.isVisible&&t.blur()}}var bt=!!("undefined"!=typeof window&&"undefined"!=typeof document)&&!!window.msCrypto,ht=Object.assign({appendTo:Qe,aria:{content:"auto",expanded:"auto"},delay:0,duration:[300,250],getReferenceClientRect:null,hideOnClick:!0,ignoreAttributes:!1,interactive:!1,interactiveBorder:2,interactiveDebounce:0,moveTransition:"",offset:[0,10],onAfterUpdate:function(){},onBeforeUpdate:function(){},onCreate:function(){},onDestroy:function(){},onHidden:function(){},onHide:function(){},onMount:function(){},onShow:function(){},onShown:function(){},onTrigger:function(){},onUntrigger:function(){},onClickOutside:function(){},placement:"top",plugins:[],popperOptions:{},render:null,showOnCreate:!1,touch:!0,trigger:"mouseenter focus",triggerTarget:null},{animateFill:!1,followCursor:!1,inlinePositioning:!1,sticky:!1},{allowHTML:!1,animation:"fade",arrow:!0,content:"",inertia:!1,maxWidth:350,role:"tooltip",theme:"",zIndex:9999}),yt=Object.keys(ht);function vt(e){var t=(e.plugins||[]).reduce((function(t,n){var o,i=n.name,a=n.defaultValue;i&&(t[i]=void 0!==e[i]?e[i]:null!=(o=ht[i])?o:a);return t}),{});return Object.assign({},e,t)}function xt(e,t){var n=Object.assign({},t,{content:Ze(t.content,[e])},t.ignoreAttributes?{}:function(e,t){return(t?Object.keys(vt(Object.assign({},ht,{plugins:t}))):yt).reduce((function(t,n){var o=(e.getAttribute("data-tippy-"+n)||"").trim();if(!o)return t;if("content"===n)t[n]=o;else try{t[n]=JSON.parse(o)}catch(e){t[n]=o}return t}),{})}(e,t.plugins));return n.aria=Object.assign({},ht.aria,n.aria),n.aria={expanded:"auto"===n.aria.expanded?t.interactive:n.aria.expanded,content:"auto"===n.aria.content?t.interactive?null:"describedby":n.aria.content},n}var At=function(){return"innerHTML"};function wt(e,t){e[At()]=t}function Et(e){var t=it();return!0===e?t.className=Ve:(t.className=We,at(e)?t.appendChild(e):wt(t,e)),t}function It(e,t){at(t.content)?(wt(e,""),e.appendChild(t.content)):"function"!=typeof t.content&&(t.allowHTML?wt(e,t.content):e.textContent=t.content)}function Lt(e){var t=e.firstElementChild,n=nt(t.children);return{box:t,content:n.find((function(e){return e.classList.contains(qe)})),arrow:n.find((function(e){return e.classList.contains(Ve)||e.classList.contains(We)})),backdrop:n.find((function(e){return e.classList.contains(Ue)}))}}function kt(e){var t=it(),n=it();n.className="tippy-box",n.setAttribute("data-state","hidden"),n.setAttribute("tabindex","-1");var o=it();function i(n,o){var i=Lt(t),a=i.box,r=i.content,s=i.arrow;o.theme?a.setAttribute("data-theme",o.theme):a.removeAttribute("data-theme"),"string"==typeof o.animation?a.setAttribute("data-animation",o.animation):a.removeAttribute("data-animation"),o.inertia?a.setAttribute("data-inertia",""):a.removeAttribute("data-inertia"),a.style.maxWidth="number"==typeof o.maxWidth?o.maxWidth+"px":o.maxWidth,o.role?a.setAttribute("role",o.role):a.removeAttribute("role"),n.content===o.content&&n.allowHTML===o.allowHTML||It(r,e.props),o.arrow?s?n.arrow!==o.arrow&&(a.removeChild(s),a.appendChild(Et(o.arrow))):a.appendChild(Et(o.arrow)):s&&a.removeChild(s)}return o.className=qe,o.setAttribute("data-state","hidden"),It(o,e.props),t.appendChild(n),n.appendChild(o),i(e.props,e.props),{popper:t,onUpdate:i}}kt.$$tippy=!0;var Tt=1,_t=[],St=[];function Pt(e,t){var n,o,i,a,r,s,l,d,c=xt(e,Object.assign({},ht,vt(ot(t)))),p=!1,u=!1,g=!1,f=!1,m=[],b=Je(W,c.interactiveDebounce),h=Tt++,y=(d=c.plugins).filter((function(e,t){return d.indexOf(e)===t})),v={id:h,reference:e,popper:it(),popperInstance:null,props:c,state:{isEnabled:!0,isVisible:!1,isDestroyed:!1,isMounted:!1,isShown:!1},plugins:y,clearDelayTimeouts:function(){clearTimeout(n),clearTimeout(o),cancelAnimationFrame(i)},setProps:function(t){if(v.state.isDestroyed)return;N("onBeforeUpdate",[v,t]),U();var n=v.props,o=xt(e,Object.assign({},n,ot(t),{ignoreAttributes:!0}));v.props=o,q(),n.interactiveDebounce!==o.interactiveDebounce&&(D(),b=Je(W,o.interactiveDebounce));n.triggerTarget&&!o.triggerTarget?et(n.triggerTarget).forEach((function(e){e.removeAttribute("aria-expanded")})):o.triggerTarget&&e.removeAttribute("aria-expanded");R(),C(),w&&w(n,o);v.popperInstance&&(X(),J().forEach((function(e){requestAnimationFrame(e._tippy.popperInstance.forceUpdate)})));N("onAfterUpdate",[v,t])},setContent:function(e){v.setProps({content:e})},show:function(){var e=v.state.isVisible,t=v.state.isDestroyed,n=!v.state.isEnabled,o=pt.isTouch&&!v.props.touch,i=Ye(v.props.duration,0,ht.duration);if(e||t||n||o)return;if(_().hasAttribute("disabled"))return;if(N("onShow",[v],!1),!1===v.props.onShow(v))return;v.state.isVisible=!0,T()&&(A.style.visibility="visible");C(),H(),v.state.isMounted||(A.style.transition="none");if(T()){var a=P();st([a.box,a.content],0)}s=function(){var e;if(v.state.isVisible&&!f){if(f=!0,A.offsetHeight,A.style.transition=v.props.moveTransition,T()&&v.props.animation){var t=P(),n=t.box,o=t.content;st([n,o],i),lt([n,o],"visible")}$(),R(),tt(St,v),null==(e=v.popperInstance)||e.forceUpdate(),N("onMount",[v]),v.props.animation&&T()&&function(e,t){j(e,t)}(i,(function(){v.state.isShown=!0,N("onShown",[v])}))}},function(){var e,t=v.props.appendTo,n=_();e=v.props.interactive&&t===Qe||"parent"===t?n.parentNode:Ze(t,[n]);e.contains(A)||e.appendChild(A);v.state.isMounted=!0,X()}()},hide:function(){var e=!v.state.isVisible,t=v.state.isDestroyed,n=!v.state.isEnabled,o=Ye(v.props.duration,1,ht.duration);if(e||t||n)return;if(N("onHide",[v],!1),!1===v.props.onHide(v))return;v.state.isVisible=!1,v.state.isShown=!1,f=!1,p=!1,T()&&(A.style.visibility="hidden");if(D(),F(),C(!0),T()){var i=P(),a=i.box,r=i.content;v.props.animation&&(st([a,r],o),lt([a,r],"hidden"))}$(),R(),v.props.animation?T()&&function(e,t){j(e,(function(){!v.state.isVisible&&A.parentNode&&A.parentNode.contains(A)&&t()}))}(o,v.unmount):v.unmount()},hideWithInteractivity:function(e){S().addEventListener("mousemove",b),tt(_t,b),b(e)},enable:function(){v.state.isEnabled=!0},disable:function(){v.hide(),v.state.isEnabled=!1},unmount:function(){v.state.isVisible&&v.hide();if(!v.state.isMounted)return;Z(),J().forEach((function(e){e._tippy.unmount()})),A.parentNode&&A.parentNode.removeChild(A);St=St.filter((function(e){return e!==v})),v.state.isMounted=!1,N("onHidden",[v])},destroy:function(){if(v.state.isDestroyed)return;v.clearDelayTimeouts(),v.unmount(),U(),delete e._tippy,v.state.isDestroyed=!0,N("onDestroy",[v])}};if(!c.render)return v;var x=c.render(v),A=x.popper,w=x.onUpdate;A.setAttribute("data-tippy-root",""),A.id="tippy-"+v.id,v.popper=A,e._tippy=v,A._tippy=v;var E=y.map((function(e){return e.fn(v)})),I=e.hasAttribute("aria-expanded");return q(),R(),C(),N("onCreate",[v]),c.showOnCreate&&ee(),A.addEventListener("mouseenter",(function(){v.props.interactive&&v.state.isVisible&&v.clearDelayTimeouts()})),A.addEventListener("mouseleave",(function(){v.props.interactive&&v.props.trigger.indexOf("mouseenter")>=0&&S().addEventListener("mousemove",b)})),v;function L(){var e=v.props.touch;return Array.isArray(e)?e:[e,0]}function k(){return"hold"===L()[0]}function T(){var e;return!(null==(e=v.props.render)||!e.$$tippy)}function _(){return l||e}function S(){var e,t,n=_().parentNode;return n?null!=(t=et(n)[0])&&null!=(e=t.ownerDocument)&&e.body?t.ownerDocument:document:document}function P(){return Lt(A)}function O(e){return v.state.isMounted&&!v.state.isVisible||pt.isTouch||a&&"focus"===a.type?0:Ye(v.props.delay,e?0:1,ht.delay)}function C(e){void 0===e&&(e=!1),A.style.pointerEvents=v.props.interactive&&!e?"":"none",A.style.zIndex=""+v.props.zIndex}function N(e,t,n){var o;(void 0===n&&(n=!0),E.forEach((function(n){n[e]&&n[e].apply(n,t)})),n)&&(o=v.props)[e].apply(o,t)}function $(){var t=v.props.aria;if(t.content){var n="aria-"+t.content,o=A.id;et(v.props.triggerTarget||e).forEach((function(e){var t=e.getAttribute(n);if(v.state.isVisible)e.setAttribute(n,t?t+" "+o:o);else{var i=t&&t.replace(o,"").trim();i?e.setAttribute(n,i):e.removeAttribute(n)}}))}}function R(){!I&&v.props.aria.expanded&&et(v.props.triggerTarget||e).forEach((function(e){v.props.interactive?e.setAttribute("aria-expanded",v.state.isVisible&&e===_()?"true":"false"):e.removeAttribute("aria-expanded")}))}function D(){S().removeEventListener("mousemove",b),_t=_t.filter((function(e){return e!==b}))}function G(t){if(!pt.isTouch||!g&&"mousedown"!==t.type){var n=t.composedPath&&t.composedPath()[0]||t.target;if(!v.props.interactive||!ct(A,n)){if(et(v.props.triggerTarget||e).some((function(e){return ct(e,n)}))){if(pt.isTouch)return;if(v.state.isVisible&&v.props.trigger.indexOf("click")>=0)return}else N("onClickOutside",[v,t]);!0===v.props.hideOnClick&&(v.clearDelayTimeouts(),v.hide(),u=!0,setTimeout((function(){u=!1})),v.state.isMounted||F())}}}function M(){g=!0}function B(){g=!1}function H(){var e=S();e.addEventListener("mousedown",G,!0),e.addEventListener("touchend",G,Ke),e.addEventListener("touchstart",B,Ke),e.addEventListener("touchmove",M,Ke)}function F(){var e=S();e.removeEventListener("mousedown",G,!0),e.removeEventListener("touchend",G,Ke),e.removeEventListener("touchstart",B,Ke),e.removeEventListener("touchmove",M,Ke)}function j(e,t){var n=P().box;function o(e){e.target===n&&(dt(n,"remove",o),t())}if(0===e)return t();dt(n,"remove",r),dt(n,"add",o),r=o}function z(t,n,o){void 0===o&&(o=!1),et(v.props.triggerTarget||e).forEach((function(e){e.addEventListener(t,n,o),m.push({node:e,eventType:t,handler:n,options:o})}))}function q(){var e;k()&&(z("touchstart",V,{passive:!0}),z("touchend",K,{passive:!0})),(e=v.props.trigger,e.split(/\s+/).filter(Boolean)).forEach((function(e){if("manual"!==e)switch(z(e,V),e){case"mouseenter":z("mouseleave",K);break;case"focus":z(bt?"focusout":"blur",Q);break;case"focusin":z("focusout",Q)}}))}function U(){m.forEach((function(e){var t=e.node,n=e.eventType,o=e.handler,i=e.options;t.removeEventListener(n,o,i)})),m=[]}function V(e){var t,n=!1;if(v.state.isEnabled&&!Y(e)&&!u){var o="focus"===(null==(t=a)?void 0:t.type);a=e,l=e.currentTarget,R(),!v.state.isVisible&&Xe(e,"MouseEvent")&&_t.forEach((function(t){return t(e)})),"click"===e.type&&(v.props.trigger.indexOf("mouseenter")<0||p)&&!1!==v.props.hideOnClick&&v.state.isVisible?n=!0:ee(e),"click"===e.type&&(p=!n),n&&!o&&te(e)}}function W(e){var t=e.target,n=_().contains(t)||A.contains(t);if("mousemove"!==e.type||!n){var o=J().concat(A).map((function(e){var t,n=null==(t=e._tippy.popperInstance)?void 0:t.state;return n?{popperRect:e.getBoundingClientRect(),popperState:n,props:c}:null})).filter(Boolean);(function(e,t){var n=t.clientX,o=t.clientY;return e.every((function(e){var t=e.popperRect,i=e.popperState,a=e.props.interactiveBorder,r=i.placement.split("-")[0],s=i.modifiersData.offset;if(!s)return!0;var l="bottom"===r?s.top.y:0,d="top"===r?s.bottom.y:0,c="right"===r?s.left.x:0,p="left"===r?s.right.x:0,u=t.top-o+l>a,g=o-t.bottom-d>a,f=t.left-n+c>a,m=n-t.right-p>a;return u||g||f||m}))})(o,e)&&(D(),te(e))}}function K(e){Y(e)||v.props.trigger.indexOf("click")>=0&&p||(v.props.interactive?v.hideWithInteractivity(e):te(e))}function Q(e){v.props.trigger.indexOf("focusin")<0&&e.target!==_()||v.props.interactive&&e.relatedTarget&&A.contains(e.relatedTarget)||te(e)}function Y(e){return!!pt.isTouch&&k()!==e.type.indexOf("touch")>=0}function X(){Z();var t=v.props,n=t.popperOptions,o=t.placement,i=t.offset,a=t.getReferenceClientRect,r=t.moveTransition,l=T()?Lt(A).arrow:null,d=a?{getBoundingClientRect:a,contextElement:a.contextElement||_()}:e,c={name:"$$tippy",enabled:!0,phase:"beforeWrite",requires:["computeStyles"],fn:function(e){var t=e.state;if(T()){var n=P().box;["placement","reference-hidden","escaped"].forEach((function(e){"placement"===e?n.setAttribute("data-placement",t.placement):t.attributes.popper["data-popper-"+e]?n.setAttribute("data-"+e,""):n.removeAttribute("data-"+e)})),t.attributes.popper={}}}},p=[{name:"offset",options:{offset:i}},{name:"preventOverflow",options:{padding:{top:2,bottom:2,left:5,right:5}}},{name:"flip",options:{padding:5}},{name:"computeStyles",options:{adaptive:!r}},c];T()&&l&&p.push({name:"arrow",options:{element:l,padding:3}}),p.push.apply(p,(null==n?void 0:n.modifiers)||[]),v.popperInstance=ze(d,A,Object.assign({},n,{placement:o,onFirstUpdate:s,modifiers:p}))}function Z(){v.popperInstance&&(v.popperInstance.destroy(),v.popperInstance=null)}function J(){return nt(A.querySelectorAll("[data-tippy-root]"))}function ee(e){v.clearDelayTimeouts(),e&&N("onTrigger",[v,e]),H();var t=O(!0),o=L(),i=o[0],a=o[1];pt.isTouch&&"hold"===i&&a&&(t=a),t?n=setTimeout((function(){v.show()}),t):v.show()}function te(e){if(v.clearDelayTimeouts(),N("onUntrigger",[v,e]),v.state.isVisible){if(!(v.props.trigger.indexOf("mouseenter")>=0&&v.props.trigger.indexOf("click")>=0&&["mouseleave","mousemove"].indexOf(e.type)>=0&&p)){var t=O(!1);t?o=setTimeout((function(){v.state.isVisible&&v.hide()}),t):i=requestAnimationFrame((function(){v.hide()}))}}else F()}}function Ot(e,t){void 0===t&&(t={});var n=ht.plugins.concat(t.plugins||[]);document.addEventListener("touchstart",gt,Ke),window.addEventListener("blur",mt);var o=Object.assign({},t,{plugins:n}),i=rt(e).reduce((function(e,t){var n=t&&Pt(t,o);return n&&e.push(n),e}),[]);return at(e)?i[0]:i}Ot.defaultProps=ht,Ot.setDefaultProps=function(e){Object.keys(e).forEach((function(t){ht[t]=e[t]}))},Ot.currentInput=pt,Object.assign({},W,{effect:function(e){var t=e.state,n={popper:{position:t.options.strategy,left:"0",top:"0",margin:"0"},arrow:{position:"absolute"},reference:{}};Object.assign(t.elements.popper.style,n.popper),t.styles=n,t.elements.arrow&&Object.assign(t.elements.arrow.style,n.arrow)}}),Ot.setDefaultProps({render:kt});var Ct='a,button,code,div,h1,h2,kbd,li,ol,p,span,strong,svg,ul{all:unset;box-sizing:border-box!important}div{display:block}:after,:before{all:unset}.tippy-box[data-animation=fade][data-state=hidden]{opacity:0}[data-tippy-root]{max-width:calc(100vw - 10px)}@media (forced-colors:active){[data-tippy-root]{border:2px solid transparent;border-radius:5px}}.tippy-box[data-placement^=top]>.tippy-arrow{bottom:0}.tippy-box[data-placement^=top]>.tippy-arrow:before{border-top-color:initial;border-width:8px 8px 0;bottom:-7px;left:0;transform-origin:center top}.tippy-box[data-placement^=bottom]>.tippy-arrow{top:0}.tippy-box[data-placement^=bottom]>.tippy-arrow:before{border-bottom-color:initial;border-width:0 8px 8px;left:0;top:-7px;transform-origin:center bottom}.tippy-box[data-placement^=left]>.tippy-arrow{right:0}.tippy-box[data-placement^=left]>.tippy-arrow:before{border-left-color:initial;border-width:8px 0 8px 8px;right:-7px;transform-origin:center left}.tippy-box[data-placement^=right]>.tippy-arrow{left:0}.tippy-box[data-placement^=right]>.tippy-arrow:before{border-right-color:initial;border-width:8px 8px 8px 0;left:-7px;transform-origin:center right}.tippy-arrow{color:#333;height:16px;width:16px}.tippy-arrow:before{border-color:transparent;border-style:solid;content:"";position:absolute}.tippy-content{padding:5px 9px;position:relative;z-index:1}.tippy-box[data-theme~=sa11y-theme][role=tooltip]{box-sizing:border-box!important}.tippy-box[data-theme~=sa11y-theme][role=tooltip][data-animation=fade][data-state=hidden]{opacity:0}.tippy-box[data-theme~=sa11y-theme][role=tooltip][data-inertia][data-state=visible]{transition-timing-function:cubic-bezier(.54,1.5,.38,1.11)}[role=dialog]{min-width:300px;text-align:start}[role=tooltip]{min-width:185px;text-align:center}.tippy-box[data-theme~=sa11y-theme]{-webkit-font-smoothing:auto;background-color:var(--sa11y-panel-bg);border-radius:4px;box-shadow:0 0 20px 4px rgba(154,161,177,.15),0 4px 80px -8px rgba(36,40,47,.25),0 4px 4px -2px rgba(91,94,105,.15)!important;color:var(--sa11y-panel-primary);display:block;font-family:var(--sa11y-font-face);font-size:var(--sa11y-normal-text);font-weight:400;letter-spacing:normal;line-height:22px;outline:0;padding:8px;position:relative;transition-property:transform,visibility,opacity}.tippy-box[data-theme~=sa11y-theme] code{font-family:monospace}.tippy-box[data-theme~=sa11y-theme] code,.tippy-box[data-theme~=sa11y-theme] kbd{-webkit-font-smoothing:auto;background-color:var(--sa11y-panel-badge);border-radius:3.2px;color:var(--sa11y-panel-primary);letter-spacing:normal;line-height:22px;padding:1.6px 4.8px}.tippy-box[data-theme~=sa11y-theme][data-placement^=top]{text-align:center}.tippy-box[data-theme~=sa11y-theme] .tippy-content{padding:5px 9px}.tippy-box[data-theme~=sa11y-theme] sub,.tippy-box[data-theme~=sa11y-theme] sup{font-size:var(--sa11y-small-text)}.tippy-box[data-theme~=sa11y-theme] ul{-webkit-margin-after:0;-webkit-margin-before:0;margin:0;margin-block-end:0;margin-block-start:0;padding:0;position:relative}.tippy-box[data-theme~=sa11y-theme] li{display:list-item;margin:5px 10px 0 20px;padding-bottom:5px}.tippy-box[data-theme~=sa11y-theme] a{color:var(--sa11y-hyperlink);cursor:pointer;text-decoration:underline}.tippy-box[data-theme~=sa11y-theme] a:focus,.tippy-box[data-theme~=sa11y-theme] a:hover{text-decoration:none}.tippy-box[data-theme~=sa11y-theme] strong{font-weight:600}.tippy-box[data-theme~=sa11y-theme] hr{background:var(--sa11y-panel-bg-splitter);border:none;height:1px;margin:10px 0;opacity:1;padding:0}.tippy-box[data-theme~=sa11y-theme] button.close-btn{margin:0}.tippy-box[data-theme~=sa11y-theme] button[data-sa11y-dismiss]{background:var(--sa11y-panel-bg-secondary);border:1px solid var(--sa11y-button-outline);border-radius:5px;color:var(--sa11y-panel-primary);cursor:pointer;display:block;margin:10px 5px 5px 0;padding:4px 8px}.tippy-box[data-theme~=sa11y-theme] button[data-sa11y-dismiss]:focus,.tippy-box[data-theme~=sa11y-theme] button[data-sa11y-dismiss]:hover{background:var(--sa11y-shortcut-hover)}.tippy-box[data-theme~=sa11y-theme][data-placement^=top]>.tippy-arrow:before{border-top-color:var(--sa11y-panel-bg)}.tippy-box[data-theme~=sa11y-theme][data-placement^=bottom]>.tippy-arrow:before{border-bottom-color:var(--sa11y-panel-bg)}.tippy-box[data-theme~=sa11y-theme][data-placement^=left]>.tippy-arrow:before{border-left-color:var(--sa11y-panel-bg)}.tippy-box[data-theme~=sa11y-theme][data-placement^=right]>.tippy-arrow:before{border-right-color:var(--sa11y-panel-bg)}@media (forced-colors:active){.tippy-box[data-theme~=sa11y-theme][data-placement^=bottom]>.tippy-arrow:before,.tippy-box[data-theme~=sa11y-theme][data-placement^=left]>.tippy-arrow:before,.tippy-box[data-theme~=sa11y-theme][data-placement^=right]>.tippy-arrow:before,.tippy-box[data-theme~=sa11y-theme][data-placement^=top]>.tippy-arrow:before{filter:invert(1);forced-color-adjust:none}.tippy-box[data-theme~=sa11y-theme] .tippy-arrow{z-index:-1}}';class Nt extends HTMLElement{connectedCallback(){const e=this.attachShadow({mode:"open"}),t=document.createElement("style");t.innerHTML=Ct+E,e.appendChild(t);const o={name:"hideOnEsc",defaultValue:!0,fn({hide:e}){const t=t=>{27===t.keyCode&&e()};return{onShow(){document.addEventListener("keydown",t)},onHide(){document.removeEventListener("keydown",t)}}}},a=[];A.Annotations.Array.forEach((e=>{const t=e.shadowRoot.querySelectorAll(".sa11y-btn");t&&a.push(...Array.from(t))}));const r=Ot(a,{interactive:!0,trigger:"mouseenter click",arrow:!0,delay:[0,400],theme:"sa11y-theme",placement:"right-start",allowHTML:!0,role:"dialog",aria:{content:null,expanded:"auto"},appendTo:e,zIndex:2147483645,plugins:[o],onShow(e){const t=e.popper;r.forEach((e=>{e!==t&&e.hide()}));e.reference.getRootNode().host.setAttribute("data-sa11y-opened",""),t.querySelector(".close-btn").addEventListener("click",(()=>{e.hide(),e.reference.focus()}))},onTrigger(e,t){"click"===t.type&&setTimeout((()=>{e.popper.querySelector(".close-btn").focus(),function(e){const t=e.querySelectorAll("a[href]:not([disabled]), button:not([disabled])"),n=t[0],o=t[t.length-1];e.addEventListener("keydown",(t=>{const i="Tab"===t.key||9===t.keyCode,a=e.getRootNode();i&&(t.shiftKey?a.activeElement===n&&(o.focus(),t.preventDefault()):a.activeElement===o&&(n.focus(),t.preventDefault()))}))}(e.popper)}),0)},onHide(e){e.popper.querySelector(".close-btn").removeEventListener("click",(()=>{e.hide()}));e.reference.getRootNode().host.removeAttribute("data-sa11y-opened")}});let s;s=-1!==navigator.userAgent.indexOf("Mac")?'<span class="kbd">Option</span> + <span class="kbd">S</span>':'<span class="kbd">Alt</span> + <span class="kbd">S</span>',Ot(i.Panel.skipButton,{content:`${n._("SHORTCUT_TOOLTIP")} &raquo; <br> ${s}`,allowHTML:!0,delay:[500,0],trigger:"mouseenter focusin",arrow:!0,placement:"top",theme:"sa11y-theme",maxWidth:165,role:"tooltip",aria:{content:null,expanded:!1},appendTo:e,zIndex:2147483645})}}class $t extends HTMLElement{connectedCallback(){const e=this.attachShadow({mode:"open"}),t=document.createElement("style");t.innerHTML=Ct+E,e.appendChild(t),this.object=Ot(i.Panel.dismissButton,{delay:[500,0],trigger:"mouseenter focusin",arrow:!0,placement:"top",theme:"sa11y-theme",maxWidth:165,role:"tooltip",aria:{content:null,expanded:!1},appendTo:e,zIndex:2147483645})}}class Rt extends HTMLElement{connectedCallback(){const e=this.attachShadow({mode:"open"}),t=document.createElement("style");t.innerHTML='.instance{display:block}.instance-inline{display:inline-block;text-align:end}button{border-radius:50%;box-shadow:0 0 16px 0 rgba(0,0,0,.31);cursor:pointer;display:block;font-size:0;line-height:normal;min-width:0;padding:0;transition:all .2s ease-in-out;z-index:8888}button,button:after{height:36px;position:absolute;width:36px}button:after{content:"";left:-7px;padding:7px;top:-7px}button.warning-btn{margin:20px}button.error-btn,button.good-btn{margin:10px}button.error-btn-text,button.good-btn-text,button.warning-btn-text{margin:-30px 10px}button.error-btn,button.error-btn-text{background:50% 50% var(--sa11y-error-svg) no-repeat;background-color:var(--sa11y-error);background-size:22px;border:1px solid var(--sa11y-error)}button.error-btn-text:focus,button.error-btn-text:hover,button.error-btn:focus,button.error-btn:hover{background-color:var(--sa11y-error-hover)}button.good-btn,button.good-btn-text{background:50% 50% var(--sa11y-good) var(--sa11y-good-svg) no-repeat;background-color:var(--sa11y-good);background-size:20px;border:1px solid var(--sa11y-good)}button.good-btn-text:focus,button.good-btn-text:hover,button.good-btn:focus,button.good-btn:hover{background-color:var(--sa11y-good-hover)}button.warning-btn,button.warning-btn-text{background:50% 50% var(--sa11y-warning) var(--sa11y-warning-svg) no-repeat;background-color:var(--sa11y-warning);background-size:24px;border:1px solid var(--sa11y-warning);transform:scaleX(var(--sa11y-icon-direction))}button.warning-btn-text:focus,button.warning-btn-text:hover,button.warning-btn:focus,button.warning-btn:hover{background-color:var(--sa11y-warning-hover)}button.sa11y-btn:active,button.sa11y-btn:focus{box-shadow:0 0 0 5px var(--sa11y-focus-color);outline:0}@media screen and (forced-colors:active){button.sa11y-btn{border:1px solid transparent!important;forced-color-adjust:none;outline:3px solid transparent!important}}'+E,e.appendChild(t)}}const Dt=()=>{document.querySelectorAll("sa11y-annotation").forEach((e=>{const t=((e,t,n)=>{let o=e;for(;null!==o;){if(window.getComputedStyle(o).getPropertyValue(t)===n)return o;o=o.parentElement}return null})(e,"overflow","hidden");null!==t&&t.setAttribute("data-sa11y-overflow","")}))};class Gt extends HTMLElement{connectedCallback(){this.attachShadow({mode:"open"})}}class Mt extends HTMLElement{connectedCallback(){const e=this.attachShadow({mode:"open"}),t=document.createElement("style");t.textContent="\n      span.heading-label {\n        background-color: #777678;\n        background-image: linear-gradient(to bottom right, #b629ce, #16aec2);\n        border-radius: 5px;\n        border: 1px solid #36a5c3;\n        color: white;\n        display: inline-block;\n        font-family: var(--sa11y-font-face);\n        font-weight: 500;\n        font-size: 17px;\n        line-height: normal;\n        letter-spacing: normal;\n        margin: -5px 0 0 5px;\n        padding: 3px;\n        position: absolute;\n        text-shadow: 1px 1px black;\n        -webkit-text-fill-color: white;\n        z-index: 200;\n      }\n      @media screen and (forced-colors: active) {\n        span.heading-label {\n          border: 2px solid transparent;\n        }\n      }",e.appendChild(t)}}const Bt=e=>{if(0===e.offsetTop){const t=p(e.getRootNode().host,"display","none");(e=>{const t=p(e.getRootNode().host,"display","none");if(null!==t){f(t.previousElementSibling||t.parentNode)}})(e);const o=e.getAttribute("data-tippy-content");if(h(`${n._("NOT_VISIBLE_ALERT")}`,o),(()=>{const e=document.querySelector("sa11y-tooltips").shadowRoot.querySelector("button");null!==e&&e.click()})(),t){const e=t.previousElementSibling,{parentNode:n}=t;return e?u(e).top-150:u(n).top-150}}else b(),i.Panel.skipButton.focus();return u(e).top-150};let Ht=-1;const Ft=()=>{const e=g.getItem("sa11y-latest-dismissed");null!==e&&(Ht=parseInt(e,10)-1),g.removeItem("sa11y-latest-dismissed");const t=a("[data-sa11y-opened]","root");t[0]&&(Ht=parseInt(t[0].getAttribute("data-sa11y-position"),10))},jt=()=>{Ft();const e=A.Annotations.Array;Ht>=e.length-1&&(Ht=-1);const t=e[Ht+1].shadowRoot.querySelector("button"),n=Bt(t);window.scrollTo({top:n,behavior:`${i.Global.scrollBehaviour}`}),0!==t.offsetTop&&(t.focus(),t.click()),Ht+=1};function zt(e){A.Annotations.Array.length&&!i.Panel.skipButton.hasAttribute("disabled")&&(e.altKey&&"KeyS"===e.code?(e.preventDefault(),jt()):e.altKey&&"KeyW"===e.code&&(e.preventDefault(),(()=>{if(Ft(),Ht>0){const e=A.Annotations.Array[Ht-1].shadowRoot.querySelector("button"),t=Bt(e);window.scrollTo({top:t,behavior:`${i.Global.scrollBehaviour}`}),0!==e.offsetTop&&(e.focus(),e.click()),Ht-=1,-1===Ht&&(Ht=A.Annotations.Array.length-1)}})()))}const qt=e=>zt(e),Ut=e=>{jt()};function Vt(e){return A.Found.Images.forEach((t=>{const o=t.getAttribute("alt");if(null===o)t.closest("a[href]")?d(t.closest("a[href]")).textContent.trim().length>=1?e.push({element:t,type:"error",content:n.sprintf("MISSING_ALT_LINK_BUT_HAS_TEXT_MESSAGE"),inline:!1,position:"beforebegin"}):0===d(t.closest("a[href]")).textContent.trim().length&&e.push({element:t,type:"error",content:n.sprintf("MISSING_ALT_LINK_MESSAGE"),inline:!1,position:"beforebegin"}):e.push({element:t,type:"error",content:n.sprintf("MISSING_ALT_MESSAGE"),inline:!1,position:"beforebegin"});else{const i=s(o),a=(e=>{const t=[null,null,null];return[".png",".jpg",".jpeg",".webp",".gif",".tiff",".svg","DSC_"].forEach((n=>{e.toLowerCase().indexOf(n)>=0&&(t[0]=n)})),n._("SUSPICIOUS_ALT_STOPWORDS").forEach((n=>{e.toLowerCase().indexOf(n)>=0&&(t[1]=n)})),n._("PLACEHOLDER_ALT_STOPWORDS").forEach((n=>{e.length===n.length&&e.toLowerCase().indexOf(n)>=0&&(t[2]=n)})),t})(i),r=o.length,l=t.getAttribute("src"),c=l||t.getAttribute("srcset");if(t.closest("a[href]")&&"-1"===t.closest("a[href]").getAttribute("tabindex")&&"true"===t.closest("a[href]").getAttribute("aria-hidden"));else if(null!==a[0]&&t.closest("a[href]"))e.push({element:t,type:"error",content:n.sprintf("LINK_IMAGE_BAD_ALT_MESSAGE",a[0],i),inline:!1,position:"beforebegin"});else if(null!==a[2]&&t.closest("a[href]"))e.push({element:t,type:"error",content:n.sprintf("LINK_IMAGE_PLACEHOLDER_ALT_MESSAGE",i),inline:!1,position:"beforebegin"});else if(null!==a[1]&&t.closest("a[href]")){const o=m(`LINKEDIMAGE${c+i}`);e.push({element:t,type:"warning",content:n.sprintf("LINK_IMAGE_SUS_ALT_MESSAGE",a[1],i),inline:!1,position:"beforebegin",dismiss:o})}else if(null!==a[0])e.push({element:t,type:"error",content:n.sprintf("LINK_ALT_HAS_BAD_WORD_MESSAGE",a[0],i),inline:!1,position:"beforebegin"});else if(null!==a[2])e.push({element:t,type:"error",content:n.sprintf("ALT_PLACEHOLDER_MESSAGE",i),inline:!1,position:"beforebegin"});else if(null!==a[1]){const o=m(`IMAGE${c+i+a[1]}`);e.push({element:t,type:"warning",content:n.sprintf("ALT_HAS_SUS_WORD",a[1],i),inline:!1,position:"beforebegin",dismiss:o})}else if(""!==o&&" "!==o||!t.closest("a[href]")){if(o.length>250&&t.closest("a[href]")){const a=m(`LINKEDIMAGE${c+i+o.length}`);e.push({element:t,type:"warning",content:n.sprintf("LINK_IMAGE_LONG_ALT",r,i),inline:!1,position:"beforebegin",dismiss:a})}else if(""!==o&&t.closest("a[href]")&&0===d(t.closest("a[href]")).textContent.trim().length){const o=m(`LINKEDIMAGE${c+i}`);e.push({element:t,type:"warning",content:n.sprintf("LINK_IMAGE_ALT_WARNING",i),inline:!1,position:"beforebegin",dismiss:o})}else if(""!==o&&t.closest("a[href]")&&d(t.closest("a[href]")).textContent.trim().length>=1){const o=m(`LINKEDIMAGE${c+i}`);e.push({element:t,type:"warning",content:n.sprintf("LINK_IMAGE_ALT_AND_TEXT_WARNING",i),inline:!1,position:"beforebegin",dismiss:o})}else if(""===o||" "===o)if(t.closest("figure")){const o=t.closest("figure").querySelector("figcaption");if(null!==o&&o.textContent.trim().length>=1){const o=m(`DECORATIVE${c}`);e.push({element:t,type:"warning",content:n.sprintf("IMAGE_FIGURE_DECORATIVE"),inline:!1,position:"beforebegin",dismiss:o})}else{const o=m(`DECORATIVE${c}`);e.push({element:t,type:"warning",content:n.sprintf("IMAGE_DECORATIVE"),inline:!1,position:"beforebegin",dismiss:o})}}else{const o=m(`DECORATIVE${c}`);e.push({element:t,type:"warning",content:n.sprintf("IMAGE_DECORATIVE"),inline:!1,position:"beforebegin",dismiss:o})}else if(o.length>250){const a=m(`IMAGE${c+i+o.length}`);e.push({element:t,type:"warning",content:n.sprintf("IMAGE_ALT_TOO_LONG",r,i),inline:!1,position:"beforebegin",dismiss:a})}else if(""!==o)if(t.closest("figure")){const o=t.closest("figure").querySelector("figcaption");if(o&&o.textContent.trim().toLowerCase()===i.trim().toLowerCase()){const o=m(`FIGURE${c+i}`);e.push({element:t,type:"warning",content:n.sprintf("IMAGE_FIGURE_DUPLICATE_ALT",i),inline:!1,position:"beforebegin",dismiss:o})}else e.push({element:t,type:"good",content:n.sprintf("IMAGE_PASS",i),inline:!1,position:"beforebegin"})}else e.push({element:t,type:"good",content:n.sprintf("IMAGE_PASS",i),inline:!1,position:"beforebegin"})}else"-1"===t.closest("a[href]").getAttribute("tabindex")&&"true"===t.closest("a[href]").getAttribute("aria-hidden")||("true"===t.closest("a[href]").getAttribute("aria-hidden")?e.push({element:t,type:"error",content:n.sprintf("LINK_IMAGE_ARIA_HIDDEN"),inline:!1,position:"beforebegin"}):0===d(t.closest("a[href]")).textContent.trim().length?e.push({element:t,type:"error",content:n.sprintf("LINK_IMAGE_NO_ALT_TEXT"),inline:!1,position:"beforebegin"}):e.push({element:t,type:"good",content:n.sprintf("LINK_IMAGE_HAS_TEXT"),inline:!1,position:"beforebegin"}))}})),{results:e}}function Wt(e,t,o,i,a){let r;return A.Found.Headings.forEach(((i,c)=>{const u=function(e){const t=l(e),n=Array.from(e.querySelectorAll("img"));let o="";if(0===n.length&&t.length>1)o=t;else if(n.length&&0===t.length){const e=n[0].getAttribute("alt");e&&" "!==e&&""!==e?void 0!==e&&(o=e):o=""}else n.length&&t.length&&(n.forEach((e=>{e.insertAdjacentHTML("afterend",` <span data-sa11y-clone-image-text aria-hidden="true">${n[0].getAttribute("alt")}</span>`)})),o=t);return o}(d(i)),g=s(u);let f;f=i.getAttribute("aria-level")?+i.getAttribute("aria-level"):+i.tagName.slice(1),f=parseInt(f,10);const b=g.length;let h=null,y=null;if(f-r>1&&0!==c)if(!0===t)h=n.sprintf("HEADING_NON_CONSECUTIVE_LEVEL",r,f),e.push({element:i,type:"error",content:h,inline:!1,position:"beforebegin"});else{y=n.sprintf("HEADING_NON_CONSECUTIVE_LEVEL",r,f);const t=m(`HEADING${f+g}`);e.push({element:i,type:"warning",content:y,inline:!1,position:"beforebegin",dismiss:t})}else if(0===b)if(i.querySelectorAll("img").length){const t=i.querySelector("img").getAttribute("alt");null!==t&&" "!==t&&""!==t||(h=n.sprintf("HEADING_EMPTY_WITH_IMAGE",f),e.push({element:i,type:"error",content:h,inline:!1,position:"beforebegin"}))}else h=n.sprintf("HEADING_EMPTY",f),e.push({element:i,type:"error",content:h,inline:!1,position:"beforebegin"});else if(0===c&&1!==f&&2!==f)h=n.sprintf("HEADING_FIRST"),e.push({element:i,type:"error",content:h,inline:!1,position:"beforebegin"});else if(b>170&&!0===o){y=n.sprintf("HEADING_LONG",b);const t=m(`HEADING${f+g}`);e.push({element:i,type:"warning",content:y,inline:!1,position:"beforebegin",dismiss:t})}r=f;const v=!!((x=i).getAttribute("hidden")||0===x.offsetWidth&&0===x.offsetHeight||1===x.clientHeight&&1===x.clientWidth)||"none"===getComputedStyle(x).getPropertyValue("display");var x;const A=p(i,"display","none");if(null!==h)a.push({element:i,headingLevel:f,text:g,index:c,type:"error",hidden:v,visibleParent:A});else if(null!==y){const e=m(`HEADING${f+g}`);a.push({element:i,headingLevel:f,text:g,index:c,type:"warning",hidden:v,visibleParent:A,dismiss:e})}else null!==h&&null!==y||a.push({element:i,headingLevel:f,text:g,index:c,hidden:v,visibleParent:A})})),0===A.Found.HeadingOne.length&&!0===i&&e.push({type:"error",content:n.sprintf("HEADING_MISSING_ONE")}),{results:e,headingOutline:a}}function Kt(e,t,o){return A.Found.Links.forEach((a=>{let r=c(a);const p=a.getAttribute("aria-labelledby"),u=a.getAttribute("aria-label");let g=null,f=null;const b=a.getAttribute("title"),h=a.getAttribute("href");if(a.children.length){const e=a.children[0];g=e.getAttribute("aria-labelledby"),f=e.getAttribute("aria-label")}if("noAria"===r){r=l(a);const e=a.querySelector("img");if(e){const t=c(e);r+="noAria"!==t?t:e&&e.getAttribute("alt")||""}}const y=(e=>{const t=[null,null,null,null];return n._("PARTIAL_ALT_STOPWORDS").forEach((n=>(e.length===n.length&&e.toLowerCase().indexOf(n)>=0&&(t[0]=n),!1))),n._("WARNING_ALT_STOPWORDS").forEach((n=>(e.toLowerCase().indexOf(n)>=0&&(t[1]=n),!1))),e.toLowerCase().includes("doi")&&(t[2]="doi.org"),["http",".asp",".htm",".php",".edu/",".com/",".net/",".org/",".us/",".ca/",".de/",".icu/",".uk/",".ru/",".info/",".top/",".xyz/",".tk/",".cn/",".ga/",".cf/",".nl/",".io/",".fr/",".pe/",".nz/",".pt/",".es/",".pl/",".ua/"].forEach((n=>(e.toLowerCase().indexOf(n)>=0&&(t[3]=n),!1))),t})(d(a,i.Exclusions.LinkSpan).textContent.replace(/[!?。，、&*()\-;':"\\|,.<>↣↳←→↓«»↴]+/g,"").trim()),v=r.match(/([<>↣↳←→↓«»↴]+)/),x=v?v[1]:null;if(a.querySelectorAll("img").length);else if(h&&!r)a&&b||(a.children.length?e.push({element:a,type:"error",content:n.sprintf("LINK_EMPTY_LINK_NO_LABEL"),inline:!0,position:"afterend"}):e.push({element:a,type:"error",content:n.sprintf("LINK_EMPTY"),inline:!0,position:"afterend"}));else if(null!==y[0])if(p||u||g||f){const o=s(r);!0===t&&e.push({element:a,type:"good",content:n.sprintf("LINK_LABEL",o),inline:!0,position:"afterend"})}else"true"===a.getAttribute("aria-hidden")&&"-1"===a.getAttribute("tabindex")||e.push({element:a,type:"error",content:n.sprintf("LINK_STOPWORD",y[0]),inline:!0,position:"afterend"});else if(null!==y[1]||null!==x){const t=m(`LINK${r+h}`),o=x||y[1];e.push({element:a,type:"warning",content:n.sprintf("LINK_BEST_PRACTICES",o),inline:!0,position:"beforebegin",dismiss:t})}else if(null!==y[2]&&!0===o){const t=m(`LINK${r+y[2]+h}`);r.length>8&&e.push({element:a,type:"warning",content:n.sprintf("LINK_DOI"),inline:!0,position:"beforebegin",dismiss:t})}else if(null!==y[3]){const t=m(`LINK${r+y[2]+h}`);r.length>40&&e.push({element:a,type:"warning",content:n.sprintf("LINK_URL"),inline:!0,position:"beforebegin",dismiss:t})}else if(p||u||g||f){if(!0===t){const t=s(r);e.push({element:a,type:"good",content:n.sprintf("LINK_LABEL",t),inline:!0,position:"afterend"})}}else"."!==r&&","!==r&&"/"!==r||e.push({element:a,type:"error",content:n.sprintf("LINK_EMPTY"),inline:!0,position:"afterend"})})),{results:e}}function Qt(e,t){return!0===t.formLabelsPlugin&&("On"!==g.getItem("sa11y-remember-labels")&&!0!==t.headless&&!0!==t.checkAllHideToggles||A.Found.Inputs.forEach((t=>{if(!0!=(!!((o=t).getAttribute("hidden")||0===o.offsetWidth&&0===o.offsetHeight)||"none"===getComputedStyle(o).getPropertyValue("display"))){let o=c(t);const i=t.getAttribute("type"),a=t.getAttribute("tabindex");if("submit"===i||"button"===i||"hidden"===i||"-1"===a);else if("image"===i){const o=t.getAttribute("alt");o&&" "!==o||t.getAttribute("aria-label")||e.push({element:t,type:"error",content:n.sprintf("LABELS_MISSING_IMAGE_INPUT_MESSAGE"),inline:!1,position:"beforebegin"})}else if("reset"===i){const i=m(`INPUT${o}`);e.push({element:t,type:"warning",content:n.sprintf("LABELS_INPUT_RESET_MESSAGE"),inline:!1,position:"beforebegin",dismiss:i})}else if(t.getAttribute("aria-label")||t.getAttribute("aria-labelledby")||t.getAttribute("title"))if(t.getAttribute("title")){o=t.getAttribute("title");const i=m(`INPUT${o}`),a=s(o);e.push({element:t,type:"warning",content:n.sprintf("LABELS_ARIA_LABEL_INPUT_MESSAGE",a),inline:!1,position:"beforebegin",dismiss:i})}else{const i=m(`INPUT${o}`),a=s(o);e.push({element:t,type:"warning",content:n.sprintf("LABELS_ARIA_LABEL_INPUT_MESSAGE",a),inline:!1,position:"beforebegin",dismiss:i})}else if(t.closest("label")&&t.closest("label").textContent.trim());else if(t.getAttribute("id")){let o=!1;if(A.Found.Labels.forEach((e=>{o||e.getAttribute("for")===t.getAttribute("id")&&(o=!0)})),!o){const o=t.getAttribute("id");e.push({element:t,type:"error",content:n.sprintf("LABELS_NO_FOR_ATTRIBUTE_MESSAGE",o),inline:!1,position:"beforebegin"})}}else e.push({element:t,type:"error",content:n.sprintf("LABELS_MISSING_LABEL_MESSAGE"),inline:!1,position:"beforebegin"})}var o}))),{results:e}}e.Lang=n,e.Sa11y=class{constructor(e){const o={...t,...e};this.initialize=()=>{var e;(()=>{const{doNotRun:e}=o;return e.trim().length>0&&document.querySelector(e)})()||(customElements.define("sa11y-heading-label",Mt),customElements.define("sa11y-heading-anchor",Gt),customElements.define("sa11y-annotation",Rt),customElements.define("sa11y-tooltips",Nt),customElements.define("sa11y-dismiss-tooltip",$t),customElements.define("sa11y-control-panel",L),customElements.define("sa11y-console-error",I),i.initializeGlobal(o),i.initializeReadability(o),i.initializeExclusions(o),i.initializeEmbeddedContent(o),e=()=>{if(!0===o.headless)this.checkAll(),g.removeItem("sa11y-dismissed");else{const a=new L;document.body.appendChild(a),function(e,t){!0===i.Global.contrastPlugin?i.Panel.contrastToggle.onclick=async()=>{"On"===g.getItem("sa11y-remember-contrast")?(g.setItem("sa11y-remember-contrast","Off"),i.Panel.contrastToggle.textContent=`${n._("OFF")}`,i.Panel.contrastToggle.setAttribute("aria-pressed","false"),t(!1),await e()):(g.setItem("sa11y-remember-contrast","On"),i.Panel.contrastToggle.textContent=`${n._("ON")}`,i.Panel.contrastToggle.setAttribute("aria-pressed","true"),t(!1),await e())}:g.setItem("sa11y-remember-contrast","Off"),!0===i.Global.formLabelsPlugin?i.Panel.labelsToggle.onclick=async()=>{"On"===g.getItem("sa11y-remember-labels")?(g.setItem("sa11y-remember-labels","Off"),i.Panel.labelsToggle.textContent=`${n._("OFF")}`,i.Panel.labelsToggle.setAttribute("aria-pressed","false"),t(!1),await e()):(g.setItem("sa11y-remember-labels","On"),i.Panel.labelsToggle.textContent=`${n._("ON")}`,i.Panel.labelsToggle.setAttribute("aria-pressed","true"),t(!1),await e())}:g.setItem("sa11y-remember-labels","Off"),!0===i.Global.linksAdvancedPlugin?i.Panel.linksToggle.onclick=async()=>{"On"===g.getItem("sa11y-remember-links-advanced")?(g.setItem("sa11y-remember-links-advanced","Off"),i.Panel.linksToggle.textContent=`${n._("OFF")}`,i.Panel.linksToggle.setAttribute("aria-pressed","false"),t(!1),await e()):(g.setItem("sa11y-remember-links-advanced","On"),i.Panel.linksToggle.textContent=`${n._("ON")}`,i.Panel.linksToggle.setAttribute("aria-pressed","true"),t(!1),await e())}:g.setItem("sa11y-remember-links-advanced","Off"),!0===i.Readability.Plugin&&(i.Panel.readabilityToggle.onclick=async()=>{"On"===g.getItem("sa11y-remember-readability")?(g.setItem("sa11y-remember-readability","Off"),i.Panel.readabilityToggle.textContent=`${n._("OFF")}`,i.Panel.readabilityToggle.setAttribute("aria-pressed","false"),i.Panel.readability.classList.remove("active"),t(!1),await e()):(g.setItem("sa11y-remember-readability","On"),i.Panel.readabilityToggle.textContent=`${n._("ON")}`,i.Panel.readabilityToggle.setAttribute("aria-pressed","true"),i.Panel.readability.classList.add("active"),t(!1),await e())},"On"===g.getItem("sa11y-remember-readability")&&i.Panel.readability.classList.add("active"));const o=window.matchMedia("(prefers-color-scheme: dark)");o.matches?(i.Panel.themeToggle.textContent=`${n._("ON")}`,i.Panel.themeToggle.setAttribute("aria-pressed","true")):(i.Panel.themeToggle.textContent=`${n._("OFF")}`,i.Panel.themeToggle.setAttribute("aria-pressed","false")),o.addEventListener("change",(()=>{o.matches?(i.Global.html.setAttribute("data-sa11y-theme","dark"),i.Panel.themeToggle.textContent=`${n._("ON")}`,i.Panel.themeToggle.setAttribute("aria-pressed","true"),g.setItem("sa11y-remember-theme","")):(i.Global.html.setAttribute("data-sa11y-theme","light"),i.Panel.themeToggle.textContent=`${n._("OFF")}`,i.Panel.themeToggle.setAttribute("aria-pressed","false"),g.setItem("sa11y-remember-theme",""))})),i.Panel.themeToggle.onclick=async()=>{const e=g.getItem("sa11y-remember-theme");"dark"===e?(i.Global.html.setAttribute("data-sa11y-theme","light"),g.setItem("sa11y-remember-theme","light"),i.Panel.themeToggle.textContent=`${n._("OFF")}`,i.Panel.themeToggle.setAttribute("aria-pressed","false")):"light"===e?(i.Global.html.setAttribute("data-sa11y-theme","dark"),g.setItem("sa11y-remember-theme","dark"),i.Panel.themeToggle.textContent=`${n._("ON")}`,i.Panel.themeToggle.setAttribute("aria-pressed","true")):o.matches?(i.Global.html.setAttribute("data-sa11y-theme","light"),g.setItem("sa11y-remember-theme","light"),i.Panel.themeToggle.textContent=`${n._("OFF")}`,i.Panel.themeToggle.setAttribute("aria-pressed","false")):(i.Global.html.setAttribute("data-sa11y-theme","dark"),g.setItem("sa11y-remember-theme","dark"),i.Panel.themeToggle.textContent=`${n._("ON")}`,i.Panel.themeToggle.setAttribute("aria-pressed","true"))};const a=g.getItem("sa11y-remember-theme");"dark"===a?(i.Global.html.setAttribute("data-sa11y-theme","dark"),g.setItem("sa11y-remember-theme","dark"),i.Panel.themeToggle.textContent=`${n._("ON")}`,i.Panel.themeToggle.setAttribute("aria-pressed","true")):"light"===a&&(i.Global.html.setAttribute("data-sa11y-theme","light"),g.setItem("sa11y-remember-theme","light"),i.Panel.themeToggle.textContent=`${n._("OFF")}`,i.Panel.themeToggle.setAttribute("aria-pressed","false")),!0===i.Global.colourFilterPlugin&&i.Panel.colourFilterSelect.addEventListener("change",(async()=>{const o=parseInt(i.Panel.colourFilterSelect.value,10),a=["protanopia","deuteranopia","tritanopia","monochromacy"],r=[n._("RED_EYE"),n._("GREEN_EYE"),n._("BLUE_EYE"),n._("MONO_EYE")];o>=1&&o<=4?window.matchMedia("(forced-colors: active)").matches?h(n._("COLOUR_FILTER_HIGH_CONTRAST_MESSAGE")):(i.Global.Root.setAttribute("data-sa11y-filter",a[o-1]),i.Panel.colourFilterIcon.setAttribute("aria-label",r[o-1]),y(["data-sa11y-error","data-sa11y-warning","data-sa11y-good","data-sa11y-error-inline","data-sa11y-warning-inline","data-sa11y-overflow"],"document"),v(["sa11y-annotation","sa11y-tooltips","sa11y-heading-label"],"document"),i.Panel.skipButton.disabled=!0,i.Panel.pageIssues.classList.remove("active"),"left"!==i.Global.panelPosition&&"right"!==i.Global.panelPosition||i.Panel.settingsContent.classList.add("hide-settings-border"),i.Panel.colourFilterSelect.classList.add("active"),i.Panel.colourPanel.classList.add("active"),i.Panel.colourPanel.setAttribute("data-colour",a[o-1]),i.Panel.content.hidden=!0):(i.Global.Root.removeAttribute("data-sa11y-filter"),i.Panel.settingsContent.classList.remove("hide-settings-border"),i.Panel.colourFilterSelect.classList.remove("active"),i.Panel.colourPanel.classList.remove("active"),i.Panel.colourPanel.removeAttribute("data-colour"),i.Panel.content.hidden=!1,t(!1),await e())}))}(this.checkAll,this.resetAll),i.Panel.outlineToggle.addEventListener("click",(()=>{"true"===i.Panel.outlineToggle.getAttribute("aria-expanded")?(i.Panel.outlineToggle.classList.remove("outline-active"),i.Panel.outline.classList.remove("active"),i.Panel.outlineToggle.setAttribute("aria-expanded","false"),g.setItem("sa11y-remember-outline","Closed"),document.querySelectorAll("sa11y-heading-label").forEach((e=>e.hidden=!0)),x(i.Panel.outlineList,i.Panel.outlineContent)):(i.Panel.outlineToggle.classList.add("outline-active"),i.Panel.outline.classList.add("active"),i.Panel.outlineToggle.setAttribute("aria-expanded","true"),g.setItem("sa11y-remember-outline","Opened"),document.querySelectorAll("sa11y-heading-label").forEach((e=>e.hidden=!1))),i.Panel.outlineHeader.focus(),i.Panel.settings.classList.remove("active"),i.Panel.settingsToggle.classList.remove("settings-active"),i.Panel.settingsToggle.setAttribute("aria-expanded","false"),x(i.Panel.outlineList,i.Panel.outlineContent)})),"Opened"===g.getItem("sa11y-remember-outline")&&(i.Panel.outlineToggle.classList.add("outline-active"),i.Panel.outline.classList.add("active"),i.Panel.outlineToggle.setAttribute("aria-expanded","true"),setTimeout((()=>{x(i.Panel.outlineList,i.Panel.outlineContent)}),0)),i.Panel.settingsToggle.addEventListener("click",(()=>{"true"===i.Panel.settingsToggle.getAttribute("aria-expanded")?(i.Panel.settingsToggle.classList.remove("settings-active"),i.Panel.settings.classList.remove("active"),i.Panel.settingsToggle.setAttribute("aria-expanded","false")):(i.Panel.settingsToggle.classList.add("settings-active"),i.Panel.settings.classList.add("active"),i.Panel.settingsToggle.setAttribute("aria-expanded","true")),i.Panel.settingsHeader.focus(),document.querySelectorAll("sa11y-heading-label").forEach((e=>e.hidden=!0)),i.Panel.outline.classList.remove("active"),i.Panel.outlineToggle.classList.remove("outline-active"),i.Panel.outlineToggle.setAttribute("aria-expanded","false"),g.setItem("sa11y-remember-outline","Closed"),i.Panel.settingsContent.clientHeight>350&&(i.Panel.settingsContent.setAttribute("tabindex","0"),i.Panel.settingsContent.setAttribute("aria-label",`${n._("SETTINGS")}`),i.Panel.settingsContent.setAttribute("role","region"))})),i.Panel.skipToPageIssues.addEventListener("click",(()=>{i.Panel.pageIssuesHeader.focus()})),setTimeout((()=>{x(i.Panel.pageIssuesList,i.Panel.pageIssuesContent)}),0),i.Panel.controls.addEventListener("keydown",(e=>{const t=i.Panel.panel.querySelectorAll("#outline-toggle[role=tab], #settings-toggle[role=tab]");if("ArrowRight"===e.key)for(let n=0;n<t.length;n++)if("true"===t[n].getAttribute("aria-expanded")||"false"===t[n].getAttribute("aria-expanded")){t[n+1].focus(),e.preventDefault();break}if("ArrowDown"===e.key)for(let n=0;n<t.length;n++)if("true"===t[n].getAttribute("aria-expanded")||"false"===t[n].getAttribute("aria-expanded")){t[n+1].focus(),e.preventDefault();break}if("ArrowLeft"===e.key)for(let n=t.length-1;n>0;n--)if("true"===t[n].getAttribute("aria-expanded")||"false"===t[n].getAttribute("aria-expanded")){t[n-1].focus(),e.preventDefault();break}if("ArrowUp"===e.key)for(let n=t.length-1;n>0;n--)if("true"===t[n].getAttribute("aria-expanded")||"false"===t[n].getAttribute("aria-expanded")){t[n-1].focus(),e.preventDefault();break}})),function(){if(!0===i.Global.colourFilterPlugin&&!1===i.Global.headless){const e=document.createElement("div");e.id="sa11y-colour-filters",e.setAttribute("aria-hidden","true"),e.innerHTML='\n        \x3c!-- DaltonLens SVG filters to simulate color vision deficiencies --\x3e\n        <svg id="sa11y-svg-filters" xmlns="http://www.w3.org/2000/svg">\n          <filter id="sa11y-protanopia" color-interpolation-filters="linearRGB">\n            <feColorMatrix type="matrix" in="SourceGraphic" values="\n                0.10889,0.89111,-0.00000,0,0\n                0.10889,0.89111,0.00000,0,0\n                0.00447,-0.00447,1.00000,0,0\n                0,0,0,1,0"\n            />\n          </filter>\n          <filter id="sa11y-deuteranopia" color-interpolation-filters="linearRGB">\n            <feColorMatrix type="matrix" in="SourceGraphic" values="\n                0.29031,0.70969,-0.00000,0,0\n                0.29031,0.70969,-0.00000,0,0\n                -0.02197,0.02197,1.00000,0,0\n                0,0,0,1,0"\n            />\n          </filter>\n          <filter id="sa11y-tritanopia" color-interpolation-filters="linearRGB">\n            <feColorMatrix type="matrix" in="SourceGraphic" result="ProjectionOnPlane1" values="\n                1.01354, 0.14268, -0.15622, 0, 0\n                -0.01181, 0.87561, 0.13619, 0, 0\n                0.07707, 0.81208, 0.11085, 0, 0\n                7.92482, -5.66475, -2.26007, 1, -0.2"\n            />\n            <feComponentTransfer in="ProjectionOnPlane1" result="ProjectionOnPlane1">\n                <feFuncA type="discrete" tableValues="0 0 0 0 1"/>\n            </feComponentTransfer>\n            <feColorMatrix type="matrix" in="SourceGraphic" result="ProjectionOnPlane2" values="\n                0.93337, 0.19999, -0.13336, 0, 0\n                0.05809, 0.82565, 0.11626, 0, 0\n                -0.37923, 1.13825, 0.24098, 0, 0\n                0,0,0,1,0"\n            />\n            <feBlend in="ProjectionOnPlane1" in2="ProjectionOnPlane2" mode="normal"/>\n          </filter>\n          <filter id="sa11y-monochromacy">\n            <feColorMatrix values="0.33 0.33 0.33 0 0                           0.33 0.33 0.33 0 0                           0.33 0.33 0.33 0 0                           0 0 0 1 0"></feColorMatrix>\n          </filter>\n        </svg>',document.body.appendChild(e)}}(),w(o.detectSPArouting,this.checkAll,this.resetAll),this.dismissTooltip=new $t,document.body.appendChild(this.dismissTooltip),i.Panel.toggle.disabled=!1,this.checkAll(),e=this.checkAll,t=this.resetAll,i.Panel.toggle.addEventListener("click",(n=>{"Opened"===g.getItem("sa11y-remember-panel")?(n.preventDefault(),g.setItem("sa11y-remember-panel","Closed"),i.Panel.toggle.classList.remove("on"),i.Panel.toggle.setAttribute("aria-expanded","false"),t(),""===i.Panel.notifCount.innerHTML.trim()?i.Panel.notifBadge.style.display="none":i.Panel.notifBadge.style.display="flex"):(n.preventDefault(),g.setItem("sa11y-remember-panel","Opened"),i.Panel.toggle.classList.add("on"),i.Panel.toggle.setAttribute("aria-expanded","true"),e(),x(i.Panel.outlineList,i.Panel.outlineContent))})),"Opened"===g.getItem("sa11y-remember-panel")&&(i.Panel.toggle.classList.add("on"),i.Panel.toggle.setAttribute("aria-expanded","true"),i.Panel.panel.style.transform=""),document.onkeydown=e=>{const n=e||window.event;"Escape"===n.key&&i.Panel.panel.classList.contains("active")&&(i.Panel.toggle.setAttribute("aria-expanded","false"),i.Panel.toggle.classList.remove("on"),i.Panel.toggle.click(),t()),n.altKey&&"KeyA"===n.code&&(i.Panel.toggle.click(),i.Panel.toggle.focus(),n.preventDefault())}}var e,t},"complete"===document.readyState?e():window.addEventListener("load",e))},this.checkAll=async()=>{try{this.results=[],this.headingOutline=[],this.errorCount=0,this.warningCount=0;if(document.querySelector(o.checkRoot)||h(`${n.sprintf("ERROR_MISSING_ROOT_TARGET",o.checkRoot)}`),i.initializeShadowSearch(o.checkRoot,o.autoDetectShadowComponents,o.shadowComponents),A.initializeElements(o.linksToFlag),Wt(this.results,o.nonConsecutiveHeadingIsError,o.flagLongHeadings,o.missingH1,this.headingOutline),Kt(this.results,o.showGoodLinkButton,o.linksToDOI),Vt(this.results),function(e,t){if(!0===t.contrastPlugin&&("On"===g.getItem("sa11y-remember-contrast")||!0===t.headless||!0===t.checkAllHideToggles)){let t={errors:[],warnings:[]};const o={parseRgb(e){let t,n,o,i,a;if(n=e.match(/rgb\(\s*(\-?\d+),\s*(\-?\d+)\s*,\s*(\-?\d+)\s*\)/)){for(o=n.slice(1,4),t=i=0;i<=2;t=++i)o[t]=+o[t];o[3]=1}else if(n=e.match(/rgba\(\s*(\-?\d+),\s*(\-?\d+)\s*,\s*(\-?\d+)\s*,\s*([01]|[01]?\.\d+)\)/))for(o=n.slice(1,5),t=a=0;a<=3;t=++a)o[t]=+o[t];return o},relativeLuminance(e){const t=[];for(let n=0;n<3;n++){const o=e[n]/255;t.push(o<.03928?o/12.92:Math.pow((o+.055)/1.055,2.4))}return.2126*t[0]+.7152*t[1]+.0722*t[2]},contrastRatio(e,t){const n=o.relativeLuminance(o.parseRgb(e)),i=o.relativeLuminance(o.parseRgb(t));return(Math.max(n,i)+.05)/(Math.min(n,i)+.05)},getBackground(e){if(11===e.nodeType){const t=e.getRootNode().host.parentNode;if(null===t)return"alpha";e=t}const t=getComputedStyle(e),n=t.backgroundColor,i=t.backgroundImage,a=`${o.parseRgb(n)}`.split(",");return a[3]<1&&a[3]>0?"alpha":"rgba(0, 0, 0, 0)"!==n&&"transparent"!==n&&"none"===i&&"0"!==a[3]?n:"none"!==i?"image":"HTML"===e.tagName?"rgb(255, 255, 255)":o.getBackground(e.parentNode)},check(){t={errors:[],warnings:[]};for(let e=0;e<A.Found.Contrast.length;e++){const n=A.Found.Contrast[e];if(A.Found.Contrast){const e=getComputedStyle(n),{color:i}=e,{fill:a}=e,r=parseInt(e.fontSize,10)*(3/4),{fontWeight:s}=e,l=n.tagName,d=o.getBackground(n),c=[].reduce.call(n.childNodes,((e,t)=>e+(3===t.nodeType?t.textContent:"")),"").trim(),p=window.getComputedStyle(n).clip.replace(/\s/g,""),u=parseFloat(window.getComputedStyle(n).width),g=parseFloat(window.getComputedStyle(n).height);let f,m,b;if(1!==u||1!==g||"rect(0,0,0,0)"!==p&&"rect(1px,1px,1px,1px)"!==p)if("SVG"===l)f=Math.round(100*o.contrastRatio(a,d))/100,f<3&&(m={elem:n,ratio:`${f}:1`},t.errors.push(m));else if(c.length||"INPUT"===l||"SELECT"===l||"TEXTAREA"===l){const e=n.getAttribute("type");"range"===e||"color"===e||("image"===d||"alpha"===d?(b={elem:n},t.warnings.push(b)):(f=Math.round(100*o.contrastRatio(i,d))/100,r>=18||r>=14&&s>=700?f<3&&(m={elem:n,ratio:`${f}:1`},t.errors.push(m)):f<4.5&&(m={elem:n,ratio:`${f}:1`},t.errors.push(m))))}}}return t}};o.check(),t.errors.forEach((t=>{const o=t.elem,i=t.ratio,a=s(d(o.cloneNode(!0),"script, style").textContent);"INPUT"===o.tagName?e.push({element:o,type:"error",content:n.sprintf("CONTRAST_INPUT_ERROR",i),inline:!1,position:"beforebegin"}):e.push({element:o,type:"error",content:n.sprintf("CONTRAST_ERROR",i,a),inline:!1,position:"beforebegin"})})),t.warnings.forEach((t=>{const o=t.elem,i=d(o.cloneNode(!0),"script, style").textContent,a=m(`CONTRAST${i}`),r=s(i);e.push({element:o,type:"warning",content:n.sprintf("CONTRAST_WARNING",r),inline:!1,position:"beforebegin",dismiss:a})}))}}(this.results,o),Qt(this.results,o),function(e,t){if(!0===t.linksAdvancedPlugin&&("On"===g.getItem("sa11y-remember-links-advanced")||!0===t.headless||!0===t.checkAllHideToggles)){const t={};A.Found.Links.forEach((o=>{let a=c(o);const r=o.querySelector("img");if("noAria"===a&&(a=d(o,i.Exclusions.LinkSpan),a=l(a),r)){const e=c(r);a+="noAria"!==e?e:r&&r.getAttribute("alt")||""}const p=a.replace(/'|"|-|\.|\s+/g,"").toLowerCase(),u=o.getAttribute("href");if(0!==a.length)if(t[p]&&0!==p.length)if(t[u]);else{const t=m(`LINK${p+u}`),i=s(a);e.push({element:o,type:"warning",content:n.sprintf("LINK_IDENTICAL_NAME",i),inline:!0,position:"beforebegin",dismiss:t})}else t[p]=!0,t[u]=!0;const g=n._("NEW_WINDOW_PHRASES").some((e=>(0===a.trim().length&&o.getAttribute("title")&&(a=o.getAttribute("title")),a.toLowerCase().indexOf(e)>=0))),f=["pdf","doc","docx","word","mp3","ppt","text","pptx","txt","exe","dmg","rtf","windows","macos","csv","xls","xlsx","mp4","mov","avi","zip"].concat(n._("FILE_TYPE_PHRASES")).some((e=>a.toLowerCase().indexOf(e)>=0)),b=o.matches("\n              a[href$='.pdf'],\n              a[href$='.doc'],\n              a[href$='.docx'],\n              a[href$='.zip'],\n              a[href$='.mp3'],\n              a[href$='.txt'],\n              a[href$='.exe'],\n              a[href$='.dmg'],\n              a[href$='.rtf'],\n              a[href$='.pptx'],\n              a[href$='.ppt'],\n              a[href$='.xls'],\n              a[href$='.xlsx'],\n              a[href$='.csv'],\n              a[href$='.mp4'],\n              a[href$='.mov'],\n              a[href$='.avi']\n            ");if(0!==p.length&&"_blank"===o.getAttribute("target")&&!b&&!g){const t=m(`LINK${p+u}`);e.push({element:o,type:"warning",content:n.sprintf("NEW_TAB_WARNING"),inline:!0,position:"beforebegin",dismiss:t})}if(0!==p.length&&b&&!f){const t=m(`LINK${p+u}`);e.push({element:o,type:"warning",content:n.sprintf("FILE_TYPE_WARNING"),inline:!0,position:"beforebegin",dismiss:t})}}))}}(this.results,o),function(e,t){if(!0===t.badLinksQA&&A.Found.CustomErrorLinks.forEach((t=>{e.push({element:t,type:"error",content:n.sprintf("QA_BAD_LINK",t),inline:!0,position:"beforebegin"})})),!0===t.strongItalicsQA&&A.Found.StrongItalics.forEach((t=>{const o=t.textContent.trim().length,i=m(t.tagName+t.textContent);o>400&&e.push({element:t.parentNode,type:"warning",content:n.sprintf("QA_BAD_ITALICS"),inline:!1,position:"beforebegin",dismiss:i})})),A.Found.Links.forEach((o=>{const a=o.getAttribute("href"),r=i.Global.documentLinks.split(", ");if(a){const i=r.some((e=>a.includes(e))),s=a.includes(".pdf"),l=m(`DOCUMENT${a}`);!0===t.documentQA&&i?e.push({element:o,type:"warning",content:n.sprintf("QA_DOCUMENT"),inline:!0,position:"beforebegin",dismiss:l}):!0===t.pdfQA&&s&&e.push({element:o,type:"warning",content:n.sprintf("QA_PDF"),inline:!0,position:"beforebegin",dismiss:l})}})),!0===t.langQA&&(!A.Found.Language||A.Found.Language.length<2)&&e.push({type:"error",content:n.sprintf("QA_PAGE_LANGUAGE")}),!0===t.blockquotesQA&&A.Found.Blockquotes.forEach((t=>{const o=t.textContent;if(o.trim().length<25){const i=s(o),a=m(`BLOCKQUOTE${i}`);e.push({element:t,type:"warning",content:n.sprintf("QA_BLOCKQUOTE_MESSAGE",i),inline:!1,position:"beforebegin",dismiss:a})}})),!0===t.tablesQA&&A.Found.Tables.forEach((t=>{const o=t.querySelectorAll("th"),i=t.querySelectorAll("h1, h2, h3, h4, h5, h6");0===o.length&&e.push({element:t,type:"error",content:n.sprintf("TABLES_MISSING_HEADINGS"),inline:!1,position:"beforebegin"}),i.length>0&&i.forEach((t=>{e.push({element:t,type:"error",content:n.sprintf("TABLES_SEMANTIC_HEADING"),inline:!1,position:"beforebegin"})})),o.forEach((t=>{0===t.textContent.trim().length&&e.push({element:t,type:"error",content:n.sprintf("TABLES_EMPTY_HEADING"),inline:!1,position:"afterbegin"})}))})),!0===t.fakeHeadingsQA&&A.Found.Paragraphs.forEach((t=>{const o=t.innerHTML.indexOf("</strong><br>"),i=t.innerHTML.indexOf("<br></strong>"),a='h1, h2, h3, h4, h5, h6, [role="heading"][aria-level], blockquote',r=a.concat(", table"),d=l(t);let c;if(t&&d.length>=300){const{firstChild:a}=t;if("STRONG"===a.tagName&&(-1!==i||-1!==o)){c=l(a);const o=null!==c.match(/[.;?!"]/);if(!/[*]$/.test(c)&&!t.closest(r)&&c.length>=4&&c.length<=120&&!1===o){const t=s(c),o=m(`BOLD${t}`);e.push({element:a,type:"warning",content:n.sprintf("QA_FAKE_HEADING",t),inline:!1,position:"beforebegin",dismiss:o})}}}if(/^<(strong)>.+<\/\1>$/.test(t.innerHTML.trim())){c=d;const o=t.previousElementSibling,i=null!==c.match(/[.;?!"]/);if(null!==o&&o.matches(a));else if(!/[*]$/.test(c)&&c.length>=4&&c.length<=120&&!t.closest(r)&&!1===i){const o=s(c),i=m(`BOLD${o}`);e.push({element:t,type:"warning",content:n.sprintf("QA_FAKE_HEADING",o),inline:!1,position:"beforebegin",dismiss:i})}}(t=>{const o=getComputedStyle(t).fontSize.replace("px",""),i='h1, h2, h3, h4, h5, h6, [role="heading"][aria-level], blockquote',a=l(t),r=t.previousElementSibling,d=null!==a.match(/[.;?!"]/);if(null!==r&&r.matches(i));else if(o>=24&&!t.closest(i)&&a.length>=4&&a.length<=120&&!1===d){const o=s(a),i=m(`BOLD${o}`);e.push({element:t,type:"warning",content:n.sprintf("QA_FAKE_HEADING",o),inline:!1,position:"beforebegin",dismiss:i})}})(t)})),!0===t.fakeListQA&&A.Found.Paragraphs.forEach((t=>{let o="";const i={b:"a",B:"A",2:"1","б":"а","Б":"А"},a=e=>e.replace(/^b|^B|^б|^Б|^2/,(e=>i[e]));let r=!1;const s=t.textContent.substring(0,2);if(s.trim().length>0&&s!==o&&s.match(/a\.|a\)|A\.|A\)|а\.|а\)|А\.|А\)|1\.|1\)|\*\s|-\s|--|•\s|→\s|✓\s|✔\s|✗\s|✖\s|✘\s|❯\s|›\s|»\s/)){const i=t.innerHTML.indexOf("<br>");if(-1!==i&&s===a(t.innerHTML.substring(i+4).trim().substring(0,2))&&(r=!0),r||function(e,t){let n=e.nextElementSibling;if(!t)return n;for(;n;){if(n.matches(t))return n;n=n.nextElementSibling}return""}(t,"p")&&s===a(t.nextElementSibling.textContent.substring(0,2))&&(r=!0),r){const i=m(`LIST${t.textContent}`);e.push({element:t,type:"warning",content:n.sprintf("QA_SHOULD_BE_LIST",s),inline:!1,position:"beforebegin",dismiss:i}),o=s}else o=""}else o=""})),!0===t.allCapsQA){const t=t=>{let o="";"LI"===t.tagName?t.childNodes.forEach((e=>{3===e.nodeType&&(o+=e.textContent)})):o=l(t);const i=o.match(/([A-Z]{2,}[ ])([A-Z]{2,}[ ])([A-Z]{2,}[ ])([A-Z]{2,})/g);if(i&&i[0].length>10){const i=m(`UPPERCASE${o}`);e.push({element:t,type:"warning",content:n.sprintf("QA_UPPERCASE_WARNING"),inline:!1,position:"beforebegin",dismiss:i})}};A.Found.Paragraphs.forEach((e=>t(e))),A.Found.Headings.forEach((e=>t(e))),A.Found.Lists.forEach((e=>t(e))),A.Found.Blockquotes.forEach((e=>t(e)))}if(!0===t.duplicateIdQA){const t={};A.Found.Ids.forEach((o=>{const{id:i}=o;i&&(void 0===t[i]?t[i]=1:e.push({element:o,type:"error",content:n.sprintf("QA_DUPLICATE_ID",i),inline:!0,position:"beforebegin"}))}))}if(!0===t.underlinedTextQA){A.Found.Underlines.forEach((t=>{const o=m(`UNDERLINE${l(t)}`);e.push({element:t,type:"warning",content:n.sprintf("QA_TEXT_UNDERLINE_WARNING"),inline:!0,position:"beforebegin",dismiss:o})}));const t=t=>{const o=getComputedStyle(t).textDecorationLine,i=l(t);if("underline"===o){const o=m(`UNDERLINE${i}`);e.push({element:t,type:"warning",content:n.sprintf("QA_TEXT_UNDERLINE_WARNING"),inline:!1,position:"beforebegin",dismiss:o})}};A.Found.Paragraphs.forEach((e=>t(e))),A.Found.Headings.forEach((e=>t(e))),A.Found.Lists.forEach((e=>t(e))),A.Found.Blockquotes.forEach((e=>t(e))),A.Found.Spans.forEach((e=>t(e)))}if(!0===t.pageTitleQA){const t=document.querySelector("title");t&&0!==t.textContent.trim().length||e.push({type:"error",content:n.sprintf("QA_PAGE_TITLE")})}!0===t.subscriptQA&&A.Found.Subscripts.forEach((t=>{const o=l(t);if(o.length>=80){const i=m(t.tagName+o);e.push({element:t,type:"warning",content:n.sprintf("QA_SUBSCRIPT_WARNING"),inline:!0,position:"beforebegin",dismiss:i})}}))}(this.results,o),function(e,t){!0===t.embeddedContentAll&&(!0===t.embeddedContentAudio&&A.Found.Audio.forEach((t=>{const o=m(`IFRAME${"undefined"!==t.getAttribute("src")?t.getAttribute("src"):t.querySelector("[src]").getAttribute("src")}`);e.push({element:t,type:"warning",content:n.sprintf("EMBED_AUDIO"),inline:!1,position:"beforebegin",dismiss:o})})),!0===t.embeddedContentVideo&&A.Found.Videos.forEach((t=>{const o=t.getElementsByTagName("TRACK");if("VIDEO"===t.tagName&&o.length);else{const o=m(`IFRAME${"undefined"!==t.getAttribute("src")?t.getAttribute("src"):t.querySelector("[src]").getAttribute("src")}`);e.push({element:t,type:"warning",content:n.sprintf("EMBED_VIDEO"),inline:!1,position:"beforebegin",dismiss:o})}})),!0===t.embeddedContentDataViz&&A.Found.Visualizations.forEach((t=>{const o=m(`IFRAME${"undefined"!==t.getAttribute("src")?t.getAttribute("src"):t.querySelector("[src]").getAttribute("src")}`);e.push({element:t,type:"warning",content:n.sprintf("EMBED_DATA_VIZ"),inline:!1,position:"beforebegin",dismiss:o})})),!0===t.embeddedContentTitles&&A.Found.Iframes.forEach((t=>{"VIDEO"===t.tagName||"AUDIO"===t.tagName||"true"===t.getAttribute("aria-hidden")||null!==t.getAttribute("hidden")||"none"===t.style.display||"presentation"===t.getAttribute("role")||null!==t.getAttribute("title")&&""!==t.getAttribute("title")||null!==t.getAttribute("aria-label")&&""!==t.getAttribute("aria-label")||null===t.getAttribute("aria-labelledby")&&(t.classList.contains("sa11y-warning-border")&&t.classList.remove("sa11y-warning-border"),e.push({element:t,type:"error",content:n.sprintf("EMBED_MISSING_TITLE"),inline:!1,position:"beforebegin"}))})),!0===t.embeddedContentGeneral&&A.Found.EmbeddedContent.forEach((t=>{if("VIDEO"===t.tagName||"AUDIO"===t.tagName||"true"===t.getAttribute("aria-hidden")||null!==t.getAttribute("hidden")||"none"===t.style.display||"presentation"===t.getAttribute("role")||"-1"===t.getAttribute("tabindex"));else{const o=m(`IFRAME${"undefined"!==t.getAttribute("src")?t.getAttribute("src"):t.querySelector("[src]").getAttribute("src")}`);e.push({element:t,type:"warning",content:n.sprintf("EMBED_GENERAL_WARNING"),inline:!1,position:"beforebegin",dismiss:o})}})))}(this.results,o),function(){let e;if(!0===i.Readability.Plugin&&"On"===g.getItem("sa11y-remember-readability")){A.Found.Readability.forEach((e=>{const t=e.textContent;t.length>=120&&"."!==t.charAt(t.length-1)&&e.insertAdjacentHTML("beforeend","<span data-sa11y-readability-period>.</span>")}));const t=[];for(let e=0;e<A.Found.Readability.length;e++){const n=l(d(A.Found.Readability[e]));""!==n&&t.push(n)}const o=t.join(" ").toString();if(["en","es","fr","de","nl","it","pt"].includes(i.Readability.Lang)){const t=e=>{let t=e;if(t=t.toLowerCase().replace(".","").replace("\n",""),t.length<=3)return 1;t=t.replace(/(?:[^laeiouy]es|ed|[^laeiouy]e)$/,""),t=t.replace(/^y/,"");const n=t.match(/[aeiouy]{1,2}/g);let o=0;return!!n&&(o=n.length),o},a=o.replace(/[.!?-]+/g," ").split(" ");let r=0;for(let e=0;e<a.length;e++)0!=a[e]&&(r+=1);const s=o.split(/[.!?]+/);let l=0;for(let e=0;e<s.length;e++)""!==s[e]&&(l+=1);let d=0,c=0,p=0;for(let e=0;e<a.length;e++)if(0!=a[e]){const n=t(a[e]);1===n&&(c+=1),2===n&&(p+=1),d+=n}let u=!1;"en"===i.Readability.Lang?u=206.835-r/l*1.015-d/r*84.6:"fr"===i.Readability.Lang?u=207-r/l*1.015-d/r*73.6:"es"===i.Readability.Lang?u=206.84-r/l*1.02-d/r*100*.6:"de"===i.Readability.Lang?u=180-r/l-d/r*58.5:"nl"===i.Readability.Lang?u=206.84-d/r*100*.77-r/l*.93:"it"===i.Readability.Lang?u=217-r/l*1.3-d/r*100*.6:"pt"===i.Readability.Lang&&(u=248.835-r/l*1.015-d/r*84.6),u>100?u=100:u<0&&(u=0);const g=u.toFixed(1),f=(r/l).toFixed(1),m=Math.round((r-(c+p))/r*100);let b;b=g>=0&&g<30?n._("LANG_VERY_DIFFICULT"):g>31&&g<49?n._("LANG_DIFFICULT"):g>50&&g<60?n._("LANG_FAIRLY_DIFFICULT"):n._("LANG_GOOD"),e={score:g,averageWordsPerSentence:f,complexWords:m,difficultyLevel:b,wordCount:r}}else if(["sv","fi","da","no","nb","nn"].includes(i.Readability.Lang)){const t=(e=>{const t=()=>e.replace(/[-'.]/gi,"").split(/[^a-zA-ZöäåÖÄÅÆæØø0-9]/g).filter(Boolean),o=t().length,i=t().filter((e=>e.length>6)).length,a=e.split(/\?|!|\.|\n/g).filter(Boolean).length,r=Math.round(o/a+100*i/o),s=(o/a).toFixed(1),l=Math.round(i/o*100);let d;return d=r>=0&&r<39?n._("LANG_GOOD"):r>40&&r<50?n._("LANG_FAIRLY_DIFFICULT"):r>51&&r<61?n._("LANG_DIFFICULT"):n._("LANG_VERY_DIFFICULT"),{score:r,difficulty:d,avgWordsPerSentence:s,complexWords:l,wordCount:o}})(o);e={score:t.score,averageWordsPerSentence:t.avgWordsPerSentence,complexWords:t.complexWords,difficultyLevel:t.difficulty,wordCount:t.wordCount}}!1===i.Global.headless&&(0===o.length?i.Panel.readabilityInfo.innerHTML=n._("READABILITY_NO_P_OR_LI_MESSAGE"):e.wordCount>30?(i.Panel.readabilityInfo.innerHTML=`${e.score} <span class="readability-score">${e.difficultyLevel}</span>`,i.Panel.readabilityDetails.innerHTML=`\n            <li>\n              <strong>${n._("LANG_AVG_SENTENCE")}</strong>\n              ${e.averageWordsPerSentence}\n            </li>\n            <li>\n              <strong>${n._("LANG_COMPLEX_WORDS")}</strong>\n              ${e.complexWords}%\n            </li>\n            <li>\n              <strong>${n._("LANG_TOTAL_WORDS")}</strong>\n              ${e.wordCount}\n            </li>`):i.Panel.readabilityInfo.textContent=n._("READABILITY_NOT_ENOUGH_CONTENT_MESSAGE"))}}(),!0===o.customChecks&&function(e){const t="More than one Announcement component found! The Announcement component should be used strategically and sparingly. It should be used to get attention or indicate that something is important. Misuse of this component makes it less effective or impactful. Secondly, this component is semantically labeled as an Announcement for people who use screen readers.",n="Do <strong>not nest forms</strong> within the Accordion component. If the form contains validation issues, a person may not see the form feedback since the accordion panel goes back to its original closed state.",o=a(".sa11y-announcement-component","root");if(o.length>1)for(let n=1;n<o.length;n++){const i=m(o[n].textContent);e.push({element:o[n],type:"warning",content:t,inline:!1,position:"beforebegin",dismiss:i})}a(".sa11y-accordion-example","root").forEach((t=>{const o=t.querySelector("form");o&&o.length&&e.push({element:t,type:"error",content:n,inline:!1,position:"beforebegin"})}))}(this.results),!0===o.selectorPath&&this.results.forEach((e=>{if(void 0!==e.element){const t=function(e){const t=[];let n=e;for(;n;){let e=n.localName;if(n.id){e+=`#${n.id}`,t.unshift(e);break}n.className&&(e+=`.${n.className.replace(/\s+/g,".")}`);const o=n.parentNode;if(!o)break;{const i=o.children;i.length>1&&(e+=`:nth-child(${Array.prototype.indexOf.call(i,n)+1})`),t.unshift(e)}n=n.parentNode.host||n.parentNode}return t.join(" > ")}(e.element);Object.assign(e,{cssPath:t})}})),!1===o.headless){const s=function(e,t){let o=g.getItem("sa11y-dismissed");o=o?JSON.parse(o):[];const a=o.map((t=>{const n=e.find((e=>t.key.includes(e.dismiss)&&t.href===i.Global.currentPage));return void 0===n?"":n})),r=e.filter((e=>a.find((t=>t.dismiss===e.dismiss)))).length,s=e.filter((e=>!a.find((t=>t.dismiss===e.dismiss))));return r>=1?(i.Panel.dismissButton.classList.add("active"),i.Panel.dismissTooltip.innerText=n.sprintf("PANEL_DISMISS_BUTTON",r),t.object.setContent(n.sprintf("PANEL_DISMISS_BUTTON",r))):i.Panel.dismissButton.classList.remove("active"),{dismissedIssues:o,updatedResults:s,dismissCount:r}}(this.results,this.dismissTooltip);this.results=s.updatedResults,this.dismissed=s.dismissedIssues,this.dismissedCount=s.dismissCount;const l=function(e,t,n){let o=t,i=n;return e.forEach(((t,n)=>{const a=e[n].type;"error"===a?o+=1:"warning"===a&&(i+=1)})),{error:o,warning:i}}(this.results,this.errorCount,this.warningCount);if(this.errorCount=l.error,this.warningCount=l.warning,function(e,t){const o=e+t;0===o?(i.Panel.notifCount.innerText="",i.Panel.notifText.innerText="",i.Panel.notifBadge.style.display="none"):t>0&&0===e?(i.Panel.notifBadge.classList.add("notification-badge-warning"),i.Panel.notifCount.innerText=`${t}`,i.Panel.notifText.innerText=`${n._("PANEL_ICON_WARNINGS")}`):(i.Panel.notifBadge.classList.remove("notification-badge-warning"),i.Panel.notifCount.innerText=`${o}`,i.Panel.notifText.innerText=n._("PANEL_ICON_TOTAL")),"Opened"===g.getItem("sa11y-remember-panel")||0===o?i.Panel.notifBadge.style.display="none":i.Panel.notifBadge.style.display="flex"}(this.errorCount,this.warningCount),"Opened"===g.getItem("sa11y-remember-panel")){this.results.forEach(((e,t)=>{Object.assign(e,{id:t}),function(e,t,o,a=!1,s,l,d){const c=["error","warning","good"];if(-1===c.indexOf(t))throw Error(`Invalid type [${t}] for annotation`);[t].forEach((t=>{if("error"===t&&void 0!==e){const t=a?"data-sa11y-error-inline":"data-sa11y-error";e.setAttribute(t,l)}else if("warning"===t&&void 0!==e){const t=a?"data-sa11y-warning-inline":"data-sa11y-warning";e.setAttribute(t,l)}}));const p={[c[0]]:n._("ERROR"),[c[1]]:n._("WARNING"),[c[2]]:n._("GOOD")},u=!0===d&&"warning"===t?`<button data-sa11y-dismiss='${l}' type='button'>${n._("DISMISS")}</button>`:"",g=document.createElement("sa11y-annotation");g.setAttribute("data-sa11y-annotation",l);const f=document.createElement("div"),m=document.createElement("li");if(void 0===e)i.Panel.pageIssues.classList.add("active"),i.Panel.panel.classList.add("has-page-issues"),m.innerHTML=`<strong>${p[t]}</strong> ${o}`,i.Panel.pageIssuesList.insertAdjacentElement("afterbegin",m);else{f.classList.add(a?"instance-inline":"instance"),f.innerHTML=`\n    <button\n      type="button"\n      aria-label="${p[t]}"\n      aria-haspopup="dialog"\n      class="sa11y-btn ${[t]}-btn${a?"-text":""}"\n      data-tippy-content=\n        "<div lang='${n._("LANG_CODE")}'>\n          <button class='close-btn close-tooltip' aria-label='${n._("ALERT_CLOSE")}'></button>\n          <div class='header-text'><h2>${p[t]}</h2></div>\n          ${r(o)}\n          ${u}\n        </div>"\n    ></button>`;let i=e.closest("a, button");i||(i=e),i.insertAdjacentElement(s,g),g.shadowRoot.appendChild(f)}}(e.element,e.type,e.content,e.inline,e.position,e.id,o.dismissAnnotations)})),A.initializeAnnotations();const s=new Nt;document.body.appendChild(s),function(e,t,o,r,s){if(!0===e){const e=document.querySelector("sa11y-tooltips").shadowRoot,l=document.querySelector("sa11y-control-panel").shadowRoot,d=document.querySelector("sa11y-dismiss-tooltip"),c=async o=>{let p=JSON.parse(g.getItem("sa11y-dismissed"));const u=o.target;if(d.hidden=!1,"BUTTON"===u.tagName&&u.hasAttribute("data-sa11y-dismiss")){const o=parseInt(u.getAttribute("data-sa11y-dismiss"),10),d=t.find((e=>e.id===o));null===p&&(setTimeout((()=>h(n._("DISMISS_REMINDER"))),0),p=[]);const f={key:d.dismiss,href:i.Global.currentPage},m=a(`[data-sa11y-annotation='${d.id}']`)[0].getAttribute("data-sa11y-position");g.setItem("sa11y-latest-dismissed",m),g.setItem("sa11y-dismiss-item",JSON.stringify(f)),p.push(f),g.setItem("sa11y-dismissed",JSON.stringify(p)),g.removeItem("sa11y-dismiss-item"),null!==u.closest("[data-tippy-root]")&&u.closest("[data-tippy-root]").remove(),s(!1),await r(),e.removeEventListener("click",c),l.removeEventListener("click",c)}};e.addEventListener("click",c),l.addEventListener("click",c),i.Panel.dismissButton.onclick=async()=>{d.hidden=!0;const e=o.filter((e=>e.href!==i.Global.currentPage));g.setItem("sa11y-dismissed",JSON.stringify(e)),i.Panel.dismissButton.classList.remove("active"),s(!1),await r()}}}(o.dismissAnnotations,this.results,this.dismissed,this.checkAll,this.resetAll),k(this.dismissed,this.headingOutline),e=this.dismissedCount,t=this.errorCount,p=this.warningCount,i.Panel.skipButton.disabled=!1,i.Panel.panel.classList.add("active"),i.Global.html.setAttribute("data-sa11y-active","true"),i.Panel.skipButton.classList.add("active"),t>0&&p>0?(i.Panel.content.setAttribute("class","errors"),i.Panel.status.innerHTML=`${n._("ERRORS")} <span class="panel-count">${t}</span> ${n._("WARNINGS")} <span class="panel-count" id="warning-count">${p}</span>`):t>0?(i.Panel.content.setAttribute("class","errors"),i.Panel.status.innerHTML=`${n._("ERRORS")} <span class="panel-count">${t}</span>`):p>0?(i.Panel.content.setAttribute("class","warnings"),i.Panel.status.innerHTML=`${n._("WARNINGS")} <span class="panel-count" id="warning-count">${p}</span>`):(e>0?(i.Panel.status.innerHTML=`${n._("DISMISSED")} <span class="panel-count">${e}</span>`,i.Panel.skipButton.classList.remove("active")):(i.Panel.content.setAttribute("class","good"),i.Panel.status.innerHTML=`${n._("PANEL_STATUS_NONE")}`),0===document.querySelectorAll("sa11y-annotation").length&&(i.Panel.skipButton.disabled=!0)),document.addEventListener("keydown",qt),i.Panel.skipButton.addEventListener("click",Ut),Dt(),document.querySelectorAll("sa11y-annotation").forEach((e=>{const t=e.nextElementSibling;null!==t&&"SA11Y-ANNOTATION"===t.tagName&&customElements.get("sa11y-annotation")&&t.shadowRoot.querySelector("button").setAttribute("style","margin: -5px -15px !important;")}))}}const u=new CustomEvent("sa11y-check-complete",{detail:{results:this.results,page:i.Global.currentPage}});document.dispatchEvent(u)}catch(e){const t=new I(e);document.body.appendChild(t),console.error(e)}var e,t,p},this.resetAll=(e=!0)=>{for(i.Global.html.removeAttribute("data-sa11y-active"),y(["data-sa11y-parent","data-sa11y-error","data-sa11y-warning","data-sa11y-good","data-sa11y-error-inline","data-sa11y-warning-inline","data-sa11y-overflow","data-sa11y-pulse-border","data-sa11y-filter"],"document"),v(["sa11y-annotation","sa11y-heading-label","sa11y-heading-anchor","sa11y-tooltips","[data-sa11y-readability-period]","[data-sa11y-clone-image-text]",".sa11y-css-utilities"],"document"),i.Panel.outlineList.innerHTML="",i.Panel.pageIssuesList.innerHTML="",i.Panel.readabilityInfo.innerHTML="",i.Panel.readabilityDetails.innerHTML="",i.Panel.panel.classList.remove("has-page-issues"),b(),document.removeEventListener("keydown",qt),i.Panel.skipButton.removeEventListener("click",Ut),!0===o.colourFilterPlugin&&(i.Panel.colourFilterSelect.value=0,i.Panel.colourPanel.classList.remove("active"),i.Panel.colourFilterSelect.classList.remove("active"),i.Panel.content.hidden=!1);i.Panel.status.firstChild;)i.Panel.status.removeChild(i.Panel.status.firstChild);e&&i.Panel.panel.classList.remove("active")},this.initialize()}},Object.defineProperty(e,"__esModule",{value:!0})}));
